<?xml version="1.0"?>
<api version="1.0">
	<namespace name="IBus">
		<function name="attr_background_new" symbol="ibus_attr_background_new">
			<return-type type="IBusAttribute*"/>
			<parameters>
				<parameter name="color" type="guint"/>
				<parameter name="start_index" type="guint"/>
				<parameter name="end_index" type="guint"/>
			</parameters>
		</function>
		<function name="attr_foreground_new" symbol="ibus_attr_foreground_new">
			<return-type type="IBusAttribute*"/>
			<parameters>
				<parameter name="color" type="guint"/>
				<parameter name="start_index" type="guint"/>
				<parameter name="end_index" type="guint"/>
			</parameters>
		</function>
		<function name="attr_underline_new" symbol="ibus_attr_underline_new">
			<return-type type="IBusAttribute*"/>
			<parameters>
				<parameter name="underline_type" type="guint"/>
				<parameter name="start_index" type="guint"/>
				<parameter name="end_index" type="guint"/>
			</parameters>
		</function>
		<function name="error_quark" symbol="ibus_error_quark">
			<return-type type="GQuark"/>
		</function>
		<function name="free_strv" symbol="ibus_free_strv">
			<return-type type="void"/>
			<parameters>
				<parameter name="strv" type="gchar**"/>
			</parameters>
		</function>
		<function name="get_address" symbol="ibus_get_address">
			<return-type type="gchar*"/>
		</function>
		<function name="get_daemon_uid" symbol="ibus_get_daemon_uid">
			<return-type type="glong"/>
		</function>
		<function name="get_language_name" symbol="ibus_get_language_name">
			<return-type type="gchar*"/>
			<parameters>
				<parameter name="_locale" type="gchar*"/>
			</parameters>
		</function>
		<function name="get_local_machine_id" symbol="ibus_get_local_machine_id">
			<return-type type="gchar*"/>
		</function>
		<function name="get_socket_path" symbol="ibus_get_socket_path">
			<return-type type="gchar*"/>
		</function>
		<function name="get_timeout" symbol="ibus_get_timeout">
			<return-type type="gint"/>
		</function>
		<function name="get_user_name" symbol="ibus_get_user_name">
			<return-type type="gchar*"/>
		</function>
		<function name="init" symbol="ibus_init">
			<return-type type="void"/>
		</function>
		<function name="key_event_from_string" symbol="ibus_key_event_from_string">
			<return-type type="gboolean"/>
			<parameters>
				<parameter name="string" type="gchar*"/>
				<parameter name="keyval" type="guint*"/>
				<parameter name="modifiers" type="guint*"/>
			</parameters>
		</function>
		<function name="key_event_to_string" symbol="ibus_key_event_to_string">
			<return-type type="gchar*"/>
			<parameters>
				<parameter name="keyval" type="guint"/>
				<parameter name="modifiers" type="guint"/>
			</parameters>
		</function>
		<function name="keyval_from_name" symbol="ibus_keyval_from_name">
			<return-type type="guint"/>
			<parameters>
				<parameter name="keyval_name" type="gchar*"/>
			</parameters>
		</function>
		<function name="keyval_name" symbol="ibus_keyval_name">
			<return-type type="gchar*"/>
			<parameters>
				<parameter name="keyval" type="guint"/>
			</parameters>
		</function>
		<function name="keyval_to_unicode" symbol="ibus_keyval_to_unicode">
			<return-type type="gunichar"/>
			<parameters>
				<parameter name="keyval" type="guint"/>
			</parameters>
		</function>
		<function name="main" symbol="ibus_main">
			<return-type type="void"/>
		</function>
		<function name="quit" symbol="ibus_quit">
			<return-type type="void"/>
		</function>
		<function name="set_display" symbol="ibus_set_display">
			<return-type type="void"/>
			<parameters>
				<parameter name="display" type="gchar*"/>
			</parameters>
		</function>
		<function name="set_log_handler" symbol="ibus_set_log_handler">
			<return-type type="void"/>
			<parameters>
				<parameter name="verbose" type="gboolean"/>
			</parameters>
		</function>
		<function name="unicode_to_keyval" symbol="ibus_unicode_to_keyval">
			<return-type type="guint"/>
			<parameters>
				<parameter name="wc" type="gunichar"/>
			</parameters>
		</function>
		<function name="write_address" symbol="ibus_write_address">
			<return-type type="void"/>
			<parameters>
				<parameter name="address" type="gchar*"/>
			</parameters>
		</function>
		<function name="xml_free" symbol="ibus_xml_free">
			<return-type type="void"/>
			<parameters>
				<parameter name="node" type="XMLNode*"/>
			</parameters>
		</function>
		<function name="xml_output" symbol="ibus_xml_output">
			<return-type type="void"/>
			<parameters>
				<parameter name="node" type="XMLNode*"/>
				<parameter name="output" type="GString*"/>
			</parameters>
		</function>
		<function name="xml_parse_buffer" symbol="ibus_xml_parse_buffer">
			<return-type type="XMLNode*"/>
			<parameters>
				<parameter name="buffer" type="gchar*"/>
			</parameters>
		</function>
		<function name="xml_parse_file" symbol="ibus_xml_parse_file">
			<return-type type="XMLNode*"/>
			<parameters>
				<parameter name="name" type="gchar*"/>
			</parameters>
		</function>
		<callback name="IBusFreeFunc">
			<return-type type="void"/>
			<parameters>
				<parameter name="object" type="gpointer"/>
			</parameters>
		</callback>
		<callback name="IBusObjectDestroyFunc">
			<return-type type="void"/>
			<parameters>
				<parameter name="p1" type="IBusObject*"/>
			</parameters>
		</callback>
		<callback name="IBusSerializableCopyFunc">
			<return-type type="gboolean"/>
			<parameters>
				<parameter name="dest" type="IBusSerializable*"/>
				<parameter name="src" type="IBusSerializable*"/>
			</parameters>
		</callback>
		<callback name="IBusSerializableDeserializeFunc">
			<return-type type="gint"/>
			<parameters>
				<parameter name="serializable" type="IBusSerializable*"/>
				<parameter name="variant" type="GVariant*"/>
			</parameters>
		</callback>
		<callback name="IBusSerializableSerializeFunc">
			<return-type type="gboolean"/>
			<parameters>
				<parameter name="serializable" type="IBusSerializable*"/>
				<parameter name="builder" type="GVariantBuilder*"/>
			</parameters>
		</callback>
		<struct name="IBusRectangle">
			<field name="x" type="gint"/>
			<field name="y" type="gint"/>
			<field name="width" type="gint"/>
			<field name="height" type="gint"/>
		</struct>
		<struct name="XMLNode">
			<field name="name" type="gchar*"/>
			<field name="text" type="gchar*"/>
			<field name="attributes" type="gchar**"/>
			<field name="sub_nodes" type="GList*"/>
		</struct>
		<enum name="IBusAttrType">
			<member name="IBUS_ATTR_TYPE_UNDERLINE" value="1"/>
			<member name="IBUS_ATTR_TYPE_FOREGROUND" value="2"/>
			<member name="IBUS_ATTR_TYPE_BACKGROUND" value="3"/>
		</enum>
		<enum name="IBusAttrUnderline">
			<member name="IBUS_ATTR_UNDERLINE_NONE" value="0"/>
			<member name="IBUS_ATTR_UNDERLINE_SINGLE" value="1"/>
			<member name="IBUS_ATTR_UNDERLINE_DOUBLE" value="2"/>
			<member name="IBUS_ATTR_UNDERLINE_LOW" value="3"/>
			<member name="IBUS_ATTR_UNDERLINE_ERROR" value="4"/>
		</enum>
		<enum name="IBusBusNameFlag">
			<member name="IBUS_BUS_NAME_FLAG_ALLOW_REPLACEMENT" value="1"/>
			<member name="IBUS_BUS_NAME_FLAG_REPLACE_EXISTING" value="2"/>
			<member name="IBUS_BUS_NAME_FLAG_DO_NOT_QUEUE" value="4"/>
		</enum>
		<enum name="IBusBusRequestNameReply">
			<member name="IBUS_BUS_REQUEST_NAME_REPLY_PRIMARY_OWNER" value="1"/>
			<member name="IBUS_BUS_REQUEST_NAME_REPLY_IN_QUEUE" value="2"/>
			<member name="IBUS_BUS_REQUEST_NAME_REPLY_EXISTS" value="3"/>
			<member name="IBUS_BUS_REQUEST_NAME_REPLY_ALREADY_OWNER" value="4"/>
		</enum>
		<enum name="IBusBusStartServiceByNameReply">
			<member name="IBUS_BUS_START_REPLY_SUCCESS" value="1"/>
			<member name="IBUS_BUS_START_REPLY_ALREADY_RUNNING" value="2"/>
		</enum>
		<enum name="IBusCapabilite">
			<member name="IBUS_CAP_PREEDIT_TEXT" value="1"/>
			<member name="IBUS_CAP_AUXILIARY_TEXT" value="2"/>
			<member name="IBUS_CAP_LOOKUP_TABLE" value="4"/>
			<member name="IBUS_CAP_FOCUS" value="8"/>
			<member name="IBUS_CAP_PROPERTY" value="16"/>
			<member name="IBUS_CAP_SURROUNDING_TEXT" value="32"/>
		</enum>
		<enum name="IBusError">
			<member name="IBUS_ERROR_NO_ENGINE" value="0"/>
		</enum>
		<enum name="IBusModifierType">
			<member name="IBUS_SHIFT_MASK" value="1"/>
			<member name="IBUS_LOCK_MASK" value="2"/>
			<member name="IBUS_CONTROL_MASK" value="4"/>
			<member name="IBUS_MOD1_MASK" value="8"/>
			<member name="IBUS_MOD2_MASK" value="16"/>
			<member name="IBUS_MOD3_MASK" value="32"/>
			<member name="IBUS_MOD4_MASK" value="64"/>
			<member name="IBUS_MOD5_MASK" value="128"/>
			<member name="IBUS_BUTTON1_MASK" value="256"/>
			<member name="IBUS_BUTTON2_MASK" value="512"/>
			<member name="IBUS_BUTTON3_MASK" value="1024"/>
			<member name="IBUS_BUTTON4_MASK" value="2048"/>
			<member name="IBUS_BUTTON5_MASK" value="4096"/>
			<member name="IBUS_HANDLED_MASK" value="16777216"/>
			<member name="IBUS_FORWARD_MASK" value="33554432"/>
			<member name="IBUS_IGNORED_MASK" value="33554432"/>
			<member name="IBUS_SUPER_MASK" value="67108864"/>
			<member name="IBUS_HYPER_MASK" value="134217728"/>
			<member name="IBUS_META_MASK" value="268435456"/>
			<member name="IBUS_RELEASE_MASK" value="1073741824"/>
			<member name="IBUS_MODIFIER_MASK" value="1593843711"/>
		</enum>
		<enum name="IBusObjectFlags">
			<member name="IBUS_IN_DESTRUCTION" value="1"/>
			<member name="IBUS_DESTROYED" value="2"/>
			<member name="IBUS_RESERVED_1" value="4"/>
			<member name="IBUS_RESERVED_2" value="8"/>
		</enum>
		<enum name="IBusOrientation">
			<member name="IBUS_ORIENTATION_HORIZONTAL" value="0"/>
			<member name="IBUS_ORIENTATION_VERTICAL" value="1"/>
			<member name="IBUS_ORIENTATION_SYSTEM" value="2"/>
		</enum>
		<enum name="IBusPreeditFocusMode">
			<member name="IBUS_ENGINE_PREEDIT_CLEAR" value="0"/>
			<member name="IBUS_ENGINE_PREEDIT_COMMIT" value="1"/>
		</enum>
		<enum name="IBusPropState">
			<member name="PROP_STATE_UNCHECKED" value="0"/>
			<member name="PROP_STATE_CHECKED" value="1"/>
			<member name="PROP_STATE_INCONSISTENT" value="2"/>
		</enum>
		<enum name="IBusPropType">
			<member name="PROP_TYPE_NORMAL" value="0"/>
			<member name="PROP_TYPE_TOGGLE" value="1"/>
			<member name="PROP_TYPE_RADIO" value="2"/>
			<member name="PROP_TYPE_MENU" value="3"/>
			<member name="PROP_TYPE_SEPARATOR" value="4"/>
		</enum>
		<object name="IBusAttrList" parent="IBusSerializable" type-name="IBusAttrList" get-type="ibus_attr_list_get_type">
			<method name="append" symbol="ibus_attr_list_append">
				<return-type type="void"/>
				<parameters>
					<parameter name="attr_list" type="IBusAttrList*"/>
					<parameter name="attr" type="IBusAttribute*"/>
				</parameters>
			</method>
			<method name="get" symbol="ibus_attr_list_get">
				<return-type type="IBusAttribute*"/>
				<parameters>
					<parameter name="attr_list" type="IBusAttrList*"/>
					<parameter name="index" type="guint"/>
				</parameters>
			</method>
			<constructor name="new" symbol="ibus_attr_list_new">
				<return-type type="IBusAttrList*"/>
			</constructor>
			<field name="attributes" type="GArray*"/>
		</object>
		<object name="IBusAttribute" parent="IBusSerializable" type-name="IBusAttribute" get-type="ibus_attribute_get_type">
			<method name="get_attr_type" symbol="ibus_attribute_get_attr_type">
				<return-type type="guint"/>
				<parameters>
					<parameter name="attr" type="IBusAttribute*"/>
				</parameters>
			</method>
			<method name="get_end_index" symbol="ibus_attribute_get_end_index">
				<return-type type="guint"/>
				<parameters>
					<parameter name="attr" type="IBusAttribute*"/>
				</parameters>
			</method>
			<method name="get_start_index" symbol="ibus_attribute_get_start_index">
				<return-type type="guint"/>
				<parameters>
					<parameter name="attr" type="IBusAttribute*"/>
				</parameters>
			</method>
			<method name="get_value" symbol="ibus_attribute_get_value">
				<return-type type="guint"/>
				<parameters>
					<parameter name="attr" type="IBusAttribute*"/>
				</parameters>
			</method>
			<constructor name="new" symbol="ibus_attribute_new">
				<return-type type="IBusAttribute*"/>
				<parameters>
					<parameter name="type" type="guint"/>
					<parameter name="value" type="guint"/>
					<parameter name="start_index" type="guint"/>
					<parameter name="end_index" type="guint"/>
				</parameters>
			</constructor>
			<field name="type" type="guint"/>
			<field name="value" type="guint"/>
			<field name="start_index" type="guint"/>
			<field name="end_index" type="guint"/>
		</object>
		<object name="IBusBus" parent="IBusObject" type-name="IBusBus" get-type="ibus_bus_get_type">
			<method name="add_match" symbol="ibus_bus_add_match">
				<return-type type="gboolean"/>
				<parameters>
					<parameter name="bus" type="IBusBus*"/>
					<parameter name="rule" type="gchar*"/>
				</parameters>
			</method>
			<method name="add_match_async" symbol="ibus_bus_add_match_async">
				<return-type type="void"/>
				<parameters>
					<parameter name="bus" type="IBusBus*"/>
					<parameter name="rule" type="gchar*"/>
					<parameter name="timeout_msec" type="gint"/>
					<parameter name="cancellable" type="GCancellable*"/>
					<parameter name="callback" type="GAsyncReadyCallback"/>
					<parameter name="user_data" type="gpointer"/>
				</parameters>
			</method>
			<method name="add_match_async_finish" symbol="ibus_bus_add_match_async_finish">
				<return-type type="gboolean"/>
				<parameters>
					<parameter name="bus" type="IBusBus*"/>
					<parameter name="res" type="GAsyncResult*"/>
					<parameter name="error" type="GError**"/>
				</parameters>
			</method>
			<method name="create_input_context" symbol="ibus_bus_create_input_context">
				<return-type type="IBusInputContext*"/>
				<parameters>
					<parameter name="bus" type="IBusBus*"/>
					<parameter name="client_name" type="gchar*"/>
				</parameters>
			</method>
			<method name="create_input_context_async" symbol="ibus_bus_create_input_context_async">
				<return-type type="void"/>
				<parameters>
					<parameter name="bus" type="IBusBus*"/>
					<parameter name="client_name" type="gchar*"/>
					<parameter name="timeout_msec" type="gint"/>
					<parameter name="cancellable" type="GCancellable*"/>
					<parameter name="callback" type="GAsyncReadyCallback"/>
					<parameter name="user_data" type="gpointer"/>
				</parameters>
			</method>
			<method name="create_input_context_async_finish" symbol="ibus_bus_create_input_context_async_finish">
				<return-type type="IBusInputContext*"/>
				<parameters>
					<parameter name="bus" type="IBusBus*"/>
					<parameter name="res" type="GAsyncResult*"/>
					<parameter name="error" type="GError**"/>
				</parameters>
			</method>
			<method name="current_input_context" symbol="ibus_bus_current_input_context">
				<return-type type="gchar*"/>
				<parameters>
					<parameter name="bus" type="IBusBus*"/>
				</parameters>
			</method>
			<method name="current_input_context_async" symbol="ibus_bus_current_input_context_async">
				<return-type type="void"/>
				<parameters>
					<parameter name="bus" type="IBusBus*"/>
					<parameter name="timeout_msec" type="gint"/>
					<parameter name="cancellable" type="GCancellable*"/>
					<parameter name="callback" type="GAsyncReadyCallback"/>
					<parameter name="user_data" type="gpointer"/>
				</parameters>
			</method>
			<method name="current_input_context_async_finish" symbol="ibus_bus_current_input_context_async_finish">
				<return-type type="gchar*"/>
				<parameters>
					<parameter name="bus" type="IBusBus*"/>
					<parameter name="res" type="GAsyncResult*"/>
					<parameter name="error" type="GError**"/>
				</parameters>
			</method>
			<method name="exit" symbol="ibus_bus_exit">
				<return-type type="gboolean"/>
				<parameters>
					<parameter name="bus" type="IBusBus*"/>
					<parameter name="restart" type="gboolean"/>
				</parameters>
			</method>
			<method name="exit_async" symbol="ibus_bus_exit_async">
				<return-type type="void"/>
				<parameters>
					<parameter name="bus" type="IBusBus*"/>
					<parameter name="restart" type="gboolean"/>
					<parameter name="timeout_msec" type="gint"/>
					<parameter name="cancellable" type="GCancellable*"/>
					<parameter name="callback" type="GAsyncReadyCallback"/>
					<parameter name="user_data" type="gpointer"/>
				</parameters>
			</method>
			<method name="exit_async_finish" symbol="ibus_bus_exit_async_finish">
				<return-type type="gboolean"/>
				<parameters>
					<parameter name="bus" type="IBusBus*"/>
					<parameter name="res" type="GAsyncResult*"/>
					<parameter name="error" type="GError**"/>
				</parameters>
			</method>
			<method name="get_config" symbol="ibus_bus_get_config">
				<return-type type="IBusConfig*"/>
				<parameters>
					<parameter name="bus" type="IBusBus*"/>
				</parameters>
			</method>
			<method name="get_connection" symbol="ibus_bus_get_connection">
				<return-type type="GDBusConnection*"/>
				<parameters>
					<parameter name="bus" type="IBusBus*"/>
				</parameters>
			</method>
			<method name="get_engines_by_names" symbol="ibus_bus_get_engines_by_names">
				<return-type type="IBusEngineDesc**"/>
				<parameters>
					<parameter name="bus" type="IBusBus*"/>
					<parameter name="names" type="gchar**"/>
				</parameters>
			</method>
			<method name="get_global_engine" symbol="ibus_bus_get_global_engine">
				<return-type type="IBusEngineDesc*"/>
				<parameters>
					<parameter name="bus" type="IBusBus*"/>
				</parameters>
			</method>
			<method name="get_global_engine_async" symbol="ibus_bus_get_global_engine_async">
				<return-type type="void"/>
				<parameters>
					<parameter name="bus" type="IBusBus*"/>
					<parameter name="timeout_msec" type="gint"/>
					<parameter name="cancellable" type="GCancellable*"/>
					<parameter name="callback" type="GAsyncReadyCallback"/>
					<parameter name="user_data" type="gpointer"/>
				</parameters>
			</method>
			<method name="get_global_engine_async_finish" symbol="ibus_bus_get_global_engine_async_finish">
				<return-type type="IBusEngineDesc*"/>
				<parameters>
					<parameter name="bus" type="IBusBus*"/>
					<parameter name="res" type="GAsyncResult*"/>
					<parameter name="error" type="GError**"/>
				</parameters>
			</method>
			<method name="get_name_owner" symbol="ibus_bus_get_name_owner">
				<return-type type="gchar*"/>
				<parameters>
					<parameter name="bus" type="IBusBus*"/>
					<parameter name="name" type="gchar*"/>
				</parameters>
			</method>
			<method name="get_name_owner_async" symbol="ibus_bus_get_name_owner_async">
				<return-type type="void"/>
				<parameters>
					<parameter name="bus" type="IBusBus*"/>
					<parameter name="name" type="gchar*"/>
					<parameter name="timeout_msec" type="gint"/>
					<parameter name="cancellable" type="GCancellable*"/>
					<parameter name="callback" type="GAsyncReadyCallback"/>
					<parameter name="user_data" type="gpointer"/>
				</parameters>
			</method>
			<method name="get_name_owner_async_finish" symbol="ibus_bus_get_name_owner_async_finish">
				<return-type type="gchar*"/>
				<parameters>
					<parameter name="bus" type="IBusBus*"/>
					<parameter name="res" type="GAsyncResult*"/>
					<parameter name="error" type="GError**"/>
				</parameters>
			</method>
			<method name="get_use_global_engine" symbol="ibus_bus_get_use_global_engine">
				<return-type type="gboolean"/>
				<parameters>
					<parameter name="bus" type="IBusBus*"/>
				</parameters>
			</method>
			<method name="get_use_global_engine_async" symbol="ibus_bus_get_use_global_engine_async">
				<return-type type="void"/>
				<parameters>
					<parameter name="bus" type="IBusBus*"/>
					<parameter name="timeout_msec" type="gint"/>
					<parameter name="cancellable" type="GCancellable*"/>
					<parameter name="callback" type="GAsyncReadyCallback"/>
					<parameter name="user_data" type="gpointer"/>
				</parameters>
			</method>
			<method name="get_use_global_engine_async_finish" symbol="ibus_bus_get_use_global_engine_async_finish">
				<return-type type="gboolean"/>
				<parameters>
					<parameter name="bus" type="IBusBus*"/>
					<parameter name="res" type="GAsyncResult*"/>
					<parameter name="error" type="GError**"/>
				</parameters>
			</method>
			<method name="get_use_sys_layout" symbol="ibus_bus_get_use_sys_layout">
				<return-type type="gboolean"/>
				<parameters>
					<parameter name="bus" type="IBusBus*"/>
				</parameters>
			</method>
			<method name="get_use_sys_layout_async" symbol="ibus_bus_get_use_sys_layout_async">
				<return-type type="void"/>
				<parameters>
					<parameter name="bus" type="IBusBus*"/>
					<parameter name="timeout_msec" type="gint"/>
					<parameter name="cancellable" type="GCancellable*"/>
					<parameter name="callback" type="GAsyncReadyCallback"/>
					<parameter name="user_data" type="gpointer"/>
				</parameters>
			</method>
			<method name="get_use_sys_layout_async_finish" symbol="ibus_bus_get_use_sys_layout_async_finish">
				<return-type type="gboolean"/>
				<parameters>
					<parameter name="bus" type="IBusBus*"/>
					<parameter name="res" type="GAsyncResult*"/>
					<parameter name="error" type="GError**"/>
				</parameters>
			</method>
			<method name="hello" symbol="ibus_bus_hello">
				<return-type type="gchar*"/>
				<parameters>
					<parameter name="bus" type="IBusBus*"/>
				</parameters>
			</method>
			<method name="is_connected" symbol="ibus_bus_is_connected">
				<return-type type="gboolean"/>
				<parameters>
					<parameter name="bus" type="IBusBus*"/>
				</parameters>
			</method>
			<method name="is_global_engine_enabled" symbol="ibus_bus_is_global_engine_enabled">
				<return-type type="gboolean"/>
				<parameters>
					<parameter name="bus" type="IBusBus*"/>
				</parameters>
			</method>
			<method name="is_global_engine_enabled_async" symbol="ibus_bus_is_global_engine_enabled_async">
				<return-type type="void"/>
				<parameters>
					<parameter name="bus" type="IBusBus*"/>
					<parameter name="timeout_msec" type="gint"/>
					<parameter name="cancellable" type="GCancellable*"/>
					<parameter name="callback" type="GAsyncReadyCallback"/>
					<parameter name="user_data" type="gpointer"/>
				</parameters>
			</method>
			<method name="is_global_engine_enabled_async_finish" symbol="ibus_bus_is_global_engine_enabled_async_finish">
				<return-type type="gboolean"/>
				<parameters>
					<parameter name="bus" type="IBusBus*"/>
					<parameter name="res" type="GAsyncResult*"/>
					<parameter name="error" type="GError**"/>
				</parameters>
			</method>
			<method name="list_active_engines" symbol="ibus_bus_list_active_engines">
				<return-type type="GList*"/>
				<parameters>
					<parameter name="bus" type="IBusBus*"/>
				</parameters>
			</method>
			<method name="list_active_engines_async" symbol="ibus_bus_list_active_engines_async">
				<return-type type="void"/>
				<parameters>
					<parameter name="bus" type="IBusBus*"/>
					<parameter name="timeout_msec" type="gint"/>
					<parameter name="cancellable" type="GCancellable*"/>
					<parameter name="callback" type="GAsyncReadyCallback"/>
					<parameter name="user_data" type="gpointer"/>
				</parameters>
			</method>
			<method name="list_active_engines_async_finish" symbol="ibus_bus_list_active_engines_async_finish">
				<return-type type="GList*"/>
				<parameters>
					<parameter name="bus" type="IBusBus*"/>
					<parameter name="res" type="GAsyncResult*"/>
					<parameter name="error" type="GError**"/>
				</parameters>
			</method>
			<method name="list_engines" symbol="ibus_bus_list_engines">
				<return-type type="GList*"/>
				<parameters>
					<parameter name="bus" type="IBusBus*"/>
				</parameters>
			</method>
			<method name="list_engines_async" symbol="ibus_bus_list_engines_async">
				<return-type type="void"/>
				<parameters>
					<parameter name="bus" type="IBusBus*"/>
					<parameter name="timeout_msec" type="gint"/>
					<parameter name="cancellable" type="GCancellable*"/>
					<parameter name="callback" type="GAsyncReadyCallback"/>
					<parameter name="user_data" type="gpointer"/>
				</parameters>
			</method>
			<method name="list_engines_async_finish" symbol="ibus_bus_list_engines_async_finish">
				<return-type type="GList*"/>
				<parameters>
					<parameter name="bus" type="IBusBus*"/>
					<parameter name="res" type="GAsyncResult*"/>
					<parameter name="error" type="GError**"/>
				</parameters>
			</method>
			<method name="list_names" symbol="ibus_bus_list_names">
				<return-type type="GList*"/>
				<parameters>
					<parameter name="bus" type="IBusBus*"/>
				</parameters>
			</method>
			<method name="list_queued_owners" symbol="ibus_bus_list_queued_owners">
				<return-type type="GList*"/>
				<parameters>
					<parameter name="bus" type="IBusBus*"/>
					<parameter name="name" type="gchar*"/>
				</parameters>
			</method>
			<method name="name_has_owner" symbol="ibus_bus_name_has_owner">
				<return-type type="gboolean"/>
				<parameters>
					<parameter name="bus" type="IBusBus*"/>
					<parameter name="name" type="gchar*"/>
				</parameters>
			</method>
			<method name="name_has_owner_async" symbol="ibus_bus_name_has_owner_async">
				<return-type type="void"/>
				<parameters>
					<parameter name="bus" type="IBusBus*"/>
					<parameter name="name" type="gchar*"/>
					<parameter name="timeout_msec" type="gint"/>
					<parameter name="cancellable" type="GCancellable*"/>
					<parameter name="callback" type="GAsyncReadyCallback"/>
					<parameter name="user_data" type="gpointer"/>
				</parameters>
			</method>
			<method name="name_has_owner_async_finish" symbol="ibus_bus_name_has_owner_async_finish">
				<return-type type="gboolean"/>
				<parameters>
					<parameter name="bus" type="IBusBus*"/>
					<parameter name="res" type="GAsyncResult*"/>
					<parameter name="error" type="GError**"/>
				</parameters>
			</method>
			<constructor name="new" symbol="ibus_bus_new">
				<return-type type="IBusBus*"/>
			</constructor>
			<method name="register_component" symbol="ibus_bus_register_component">
				<return-type type="gboolean"/>
				<parameters>
					<parameter name="bus" type="IBusBus*"/>
					<parameter name="component" type="IBusComponent*"/>
				</parameters>
			</method>
			<method name="register_component_async" symbol="ibus_bus_register_component_async">
				<return-type type="void"/>
				<parameters>
					<parameter name="bus" type="IBusBus*"/>
					<parameter name="component" type="IBusComponent*"/>
					<parameter name="timeout_msec" type="gint"/>
					<parameter name="cancellable" type="GCancellable*"/>
					<parameter name="callback" type="GAsyncReadyCallback"/>
					<parameter name="user_data" type="gpointer"/>
				</parameters>
			</method>
			<method name="register_component_async_finish" symbol="ibus_bus_register_component_async_finish">
				<return-type type="gboolean"/>
				<parameters>
					<parameter name="bus" type="IBusBus*"/>
					<parameter name="res" type="GAsyncResult*"/>
					<parameter name="error" type="GError**"/>
				</parameters>
			</method>
			<method name="release_name" symbol="ibus_bus_release_name">
				<return-type type="guint"/>
				<parameters>
					<parameter name="bus" type="IBusBus*"/>
					<parameter name="name" type="gchar*"/>
				</parameters>
			</method>
			<method name="release_name_async" symbol="ibus_bus_release_name_async">
				<return-type type="void"/>
				<parameters>
					<parameter name="bus" type="IBusBus*"/>
					<parameter name="name" type="gchar*"/>
					<parameter name="timeout_msec" type="gint"/>
					<parameter name="cancellable" type="GCancellable*"/>
					<parameter name="callback" type="GAsyncReadyCallback"/>
					<parameter name="user_data" type="gpointer"/>
				</parameters>
			</method>
			<method name="release_name_async_finish" symbol="ibus_bus_release_name_async_finish">
				<return-type type="guint"/>
				<parameters>
					<parameter name="bus" type="IBusBus*"/>
					<parameter name="res" type="GAsyncResult*"/>
					<parameter name="error" type="GError**"/>
				</parameters>
			</method>
			<method name="remove_match" symbol="ibus_bus_remove_match">
				<return-type type="gboolean"/>
				<parameters>
					<parameter name="bus" type="IBusBus*"/>
					<parameter name="rule" type="gchar*"/>
				</parameters>
			</method>
			<method name="remove_match_async" symbol="ibus_bus_remove_match_async">
				<return-type type="void"/>
				<parameters>
					<parameter name="bus" type="IBusBus*"/>
					<parameter name="rule" type="gchar*"/>
					<parameter name="timeout_msec" type="gint"/>
					<parameter name="cancellable" type="GCancellable*"/>
					<parameter name="callback" type="GAsyncReadyCallback"/>
					<parameter name="user_data" type="gpointer"/>
				</parameters>
			</method>
			<method name="remove_match_async_finish" symbol="ibus_bus_remove_match_async_finish">
				<return-type type="gboolean"/>
				<parameters>
					<parameter name="bus" type="IBusBus*"/>
					<parameter name="res" type="GAsyncResult*"/>
					<parameter name="error" type="GError**"/>
				</parameters>
			</method>
			<method name="request_name" symbol="ibus_bus_request_name">
				<return-type type="guint32"/>
				<parameters>
					<parameter name="bus" type="IBusBus*"/>
					<parameter name="name" type="gchar*"/>
					<parameter name="flags" type="guint32"/>
				</parameters>
			</method>
			<method name="request_name_async" symbol="ibus_bus_request_name_async">
				<return-type type="void"/>
				<parameters>
					<parameter name="bus" type="IBusBus*"/>
					<parameter name="name" type="gchar*"/>
					<parameter name="flags" type="guint"/>
					<parameter name="timeout_msec" type="gint"/>
					<parameter name="cancellable" type="GCancellable*"/>
					<parameter name="callback" type="GAsyncReadyCallback"/>
					<parameter name="user_data" type="gpointer"/>
				</parameters>
			</method>
			<method name="request_name_async_finish" symbol="ibus_bus_request_name_async_finish">
				<return-type type="guint"/>
				<parameters>
					<parameter name="bus" type="IBusBus*"/>
					<parameter name="res" type="GAsyncResult*"/>
					<parameter name="error" type="GError**"/>
				</parameters>
			</method>
			<method name="set_global_engine" symbol="ibus_bus_set_global_engine">
				<return-type type="gboolean"/>
				<parameters>
					<parameter name="bus" type="IBusBus*"/>
					<parameter name="global_engine" type="gchar*"/>
				</parameters>
			</method>
			<method name="set_global_engine_async" symbol="ibus_bus_set_global_engine_async">
				<return-type type="void"/>
				<parameters>
					<parameter name="bus" type="IBusBus*"/>
					<parameter name="global_engine" type="gchar*"/>
					<parameter name="timeout_msec" type="gint"/>
					<parameter name="cancellable" type="GCancellable*"/>
					<parameter name="callback" type="GAsyncReadyCallback"/>
					<parameter name="user_data" type="gpointer"/>
				</parameters>
			</method>
			<method name="set_global_engine_async_finish" symbol="ibus_bus_set_global_engine_async_finish">
				<return-type type="gboolean"/>
				<parameters>
					<parameter name="bus" type="IBusBus*"/>
					<parameter name="res" type="GAsyncResult*"/>
					<parameter name="error" type="GError**"/>
				</parameters>
			</method>
			<method name="set_watch_dbus_signal" symbol="ibus_bus_set_watch_dbus_signal">
				<return-type type="void"/>
				<parameters>
					<parameter name="bus" type="IBusBus*"/>
					<parameter name="watch" type="gboolean"/>
				</parameters>
			</method>
			<method name="set_watch_ibus_signal" symbol="ibus_bus_set_watch_ibus_signal">
				<return-type type="void"/>
				<parameters>
					<parameter name="bus" type="IBusBus*"/>
					<parameter name="watch" type="gboolean"/>
				</parameters>
			</method>
			<signal name="connected" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="object" type="IBusBus*"/>
				</parameters>
			</signal>
			<signal name="disconnected" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="object" type="IBusBus*"/>
				</parameters>
			</signal>
			<signal name="global-engine-changed" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="object" type="IBusBus*"/>
					<parameter name="p0" type="char*"/>
				</parameters>
			</signal>
			<signal name="name-owner-changed" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="object" type="IBusBus*"/>
					<parameter name="p0" type="char*"/>
					<parameter name="p1" type="char*"/>
					<parameter name="p2" type="char*"/>
				</parameters>
			</signal>
		</object>
		<object name="IBusComponent" parent="IBusSerializable" type-name="IBusComponent" get-type="ibus_component_get_type">
			<method name="add_engine" symbol="ibus_component_add_engine">
				<return-type type="void"/>
				<parameters>
					<parameter name="component" type="IBusComponent*"/>
					<parameter name="engine" type="IBusEngineDesc*"/>
				</parameters>
			</method>
			<method name="add_observed_path" symbol="ibus_component_add_observed_path">
				<return-type type="void"/>
				<parameters>
					<parameter name="component" type="IBusComponent*"/>
					<parameter name="path" type="gchar*"/>
					<parameter name="access_fs" type="gboolean"/>
				</parameters>
			</method>
			<method name="check_modification" symbol="ibus_component_check_modification">
				<return-type type="gboolean"/>
				<parameters>
					<parameter name="component" type="IBusComponent*"/>
				</parameters>
			</method>
			<method name="get_author" symbol="ibus_component_get_author">
				<return-type type="gchar*"/>
				<parameters>
					<parameter name="component" type="IBusComponent*"/>
				</parameters>
			</method>
			<method name="get_description" symbol="ibus_component_get_description">
				<return-type type="gchar*"/>
				<parameters>
					<parameter name="component" type="IBusComponent*"/>
				</parameters>
			</method>
			<method name="get_engines" symbol="ibus_component_get_engines">
				<return-type type="GList*"/>
				<parameters>
					<parameter name="component" type="IBusComponent*"/>
				</parameters>
			</method>
			<method name="get_exec" symbol="ibus_component_get_exec">
				<return-type type="gchar*"/>
				<parameters>
					<parameter name="component" type="IBusComponent*"/>
				</parameters>
			</method>
			<method name="get_homepage" symbol="ibus_component_get_homepage">
				<return-type type="gchar*"/>
				<parameters>
					<parameter name="component" type="IBusComponent*"/>
				</parameters>
			</method>
			<method name="get_license" symbol="ibus_component_get_license">
				<return-type type="gchar*"/>
				<parameters>
					<parameter name="component" type="IBusComponent*"/>
				</parameters>
			</method>
			<method name="get_name" symbol="ibus_component_get_name">
				<return-type type="gchar*"/>
				<parameters>
					<parameter name="component" type="IBusComponent*"/>
				</parameters>
			</method>
			<method name="get_textdomain" symbol="ibus_component_get_textdomain">
				<return-type type="gchar*"/>
				<parameters>
					<parameter name="component" type="IBusComponent*"/>
				</parameters>
			</method>
			<method name="get_version" symbol="ibus_component_get_version">
				<return-type type="gchar*"/>
				<parameters>
					<parameter name="component" type="IBusComponent*"/>
				</parameters>
			</method>
			<constructor name="new" symbol="ibus_component_new">
				<return-type type="IBusComponent*"/>
				<parameters>
					<parameter name="name" type="gchar*"/>
					<parameter name="description" type="gchar*"/>
					<parameter name="version" type="gchar*"/>
					<parameter name="license" type="gchar*"/>
					<parameter name="author" type="gchar*"/>
					<parameter name="homepage" type="gchar*"/>
					<parameter name="exec" type="gchar*"/>
					<parameter name="textdomain" type="gchar*"/>
				</parameters>
			</constructor>
			<constructor name="new_from_file" symbol="ibus_component_new_from_file">
				<return-type type="IBusComponent*"/>
				<parameters>
					<parameter name="filename" type="gchar*"/>
				</parameters>
			</constructor>
			<constructor name="new_from_xml_node" symbol="ibus_component_new_from_xml_node">
				<return-type type="IBusComponent*"/>
				<parameters>
					<parameter name="node" type="XMLNode*"/>
				</parameters>
			</constructor>
			<constructor name="new_varargs" symbol="ibus_component_new_varargs">
				<return-type type="IBusComponent*"/>
				<parameters>
					<parameter name="first_property_name" type="gchar*"/>
				</parameters>
			</constructor>
			<method name="output" symbol="ibus_component_output">
				<return-type type="void"/>
				<parameters>
					<parameter name="component" type="IBusComponent*"/>
					<parameter name="output" type="GString*"/>
					<parameter name="indent" type="gint"/>
				</parameters>
			</method>
			<method name="output_engines" symbol="ibus_component_output_engines">
				<return-type type="void"/>
				<parameters>
					<parameter name="component" type="IBusComponent*"/>
					<parameter name="output" type="GString*"/>
					<parameter name="indent" type="gint"/>
				</parameters>
			</method>
			<property name="author" type="char*" readable="1" writable="1" construct="0" construct-only="1"/>
			<property name="description" type="char*" readable="1" writable="1" construct="0" construct-only="1"/>
			<property name="exec" type="char*" readable="1" writable="1" construct="0" construct-only="1"/>
			<property name="homepage" type="char*" readable="1" writable="1" construct="0" construct-only="1"/>
			<property name="license" type="char*" readable="1" writable="1" construct="0" construct-only="1"/>
			<property name="name" type="char*" readable="1" writable="1" construct="0" construct-only="1"/>
			<property name="textdomain" type="char*" readable="1" writable="1" construct="0" construct-only="1"/>
			<property name="version" type="char*" readable="1" writable="1" construct="0" construct-only="1"/>
			<field name="pdummy" type="gpointer[]"/>
		</object>
		<object name="IBusConfig" parent="IBusProxy" type-name="IBusConfig" get-type="ibus_config_get_type">
			<implements>
				<interface name="GDBusInterface"/>
				<interface name="GInitable"/>
				<interface name="GAsyncInitable"/>
			</implements>
			<method name="get_value" symbol="ibus_config_get_value">
				<return-type type="GVariant*"/>
				<parameters>
					<parameter name="config" type="IBusConfig*"/>
					<parameter name="section" type="gchar*"/>
					<parameter name="name" type="gchar*"/>
				</parameters>
			</method>
			<method name="get_value_async" symbol="ibus_config_get_value_async">
				<return-type type="void"/>
				<parameters>
					<parameter name="config" type="IBusConfig*"/>
					<parameter name="section" type="gchar*"/>
					<parameter name="name" type="gchar*"/>
					<parameter name="timeout_ms" type="gint"/>
					<parameter name="cancellable" type="GCancellable*"/>
					<parameter name="callback" type="GAsyncReadyCallback"/>
					<parameter name="user_data" type="gpointer"/>
				</parameters>
			</method>
			<method name="get_value_async_finish" symbol="ibus_config_get_value_async_finish">
				<return-type type="GVariant*"/>
				<parameters>
					<parameter name="config" type="IBusConfig*"/>
					<parameter name="result" type="GAsyncResult*"/>
					<parameter name="error" type="GError**"/>
				</parameters>
			</method>
			<method name="get_values" symbol="ibus_config_get_values">
				<return-type type="GVariant*"/>
				<parameters>
					<parameter name="config" type="IBusConfig*"/>
					<parameter name="section" type="gchar*"/>
				</parameters>
			</method>
			<method name="get_values_async" symbol="ibus_config_get_values_async">
				<return-type type="void"/>
				<parameters>
					<parameter name="config" type="IBusConfig*"/>
					<parameter name="section" type="gchar*"/>
					<parameter name="timeout_ms" type="gint"/>
					<parameter name="cancellable" type="GCancellable*"/>
					<parameter name="callback" type="GAsyncReadyCallback"/>
					<parameter name="user_data" type="gpointer"/>
				</parameters>
			</method>
			<method name="get_values_async_finish" symbol="ibus_config_get_values_async_finish">
				<return-type type="GVariant*"/>
				<parameters>
					<parameter name="config" type="IBusConfig*"/>
					<parameter name="result" type="GAsyncResult*"/>
					<parameter name="error" type="GError**"/>
				</parameters>
			</method>
			<constructor name="new" symbol="ibus_config_new">
				<return-type type="IBusConfig*"/>
				<parameters>
					<parameter name="connection" type="GDBusConnection*"/>
					<parameter name="cancellable" type="GCancellable*"/>
					<parameter name="error" type="GError**"/>
				</parameters>
			</constructor>
			<constructor name="new_async" symbol="ibus_config_new_async">
				<return-type type="void"/>
				<parameters>
					<parameter name="connection" type="GDBusConnection*"/>
					<parameter name="cancellable" type="GCancellable*"/>
					<parameter name="callback" type="GAsyncReadyCallback"/>
					<parameter name="user_data" type="gpointer"/>
				</parameters>
			</constructor>
			<constructor name="new_async_finish" symbol="ibus_config_new_async_finish">
				<return-type type="IBusConfig*"/>
				<parameters>
					<parameter name="res" type="GAsyncResult*"/>
					<parameter name="error" type="GError**"/>
				</parameters>
			</constructor>
			<method name="set_value" symbol="ibus_config_set_value">
				<return-type type="gboolean"/>
				<parameters>
					<parameter name="config" type="IBusConfig*"/>
					<parameter name="section" type="gchar*"/>
					<parameter name="name" type="gchar*"/>
					<parameter name="value" type="GVariant*"/>
				</parameters>
			</method>
			<method name="set_value_async" symbol="ibus_config_set_value_async">
				<return-type type="void"/>
				<parameters>
					<parameter name="config" type="IBusConfig*"/>
					<parameter name="section" type="gchar*"/>
					<parameter name="name" type="gchar*"/>
					<parameter name="value" type="GVariant*"/>
					<parameter name="timeout_ms" type="gint"/>
					<parameter name="cancellable" type="GCancellable*"/>
					<parameter name="callback" type="GAsyncReadyCallback"/>
					<parameter name="user_data" type="gpointer"/>
				</parameters>
			</method>
			<method name="set_value_async_finish" symbol="ibus_config_set_value_async_finish">
				<return-type type="gboolean"/>
				<parameters>
					<parameter name="config" type="IBusConfig*"/>
					<parameter name="result" type="GAsyncResult*"/>
					<parameter name="error" type="GError**"/>
				</parameters>
			</method>
			<method name="unset" symbol="ibus_config_unset">
				<return-type type="gboolean"/>
				<parameters>
					<parameter name="config" type="IBusConfig*"/>
					<parameter name="section" type="gchar*"/>
					<parameter name="name" type="gchar*"/>
				</parameters>
			</method>
			<signal name="value-changed" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="object" type="IBusConfig*"/>
					<parameter name="p0" type="char*"/>
					<parameter name="p1" type="char*"/>
					<parameter name="p2" type="GVariant"/>
				</parameters>
			</signal>
		</object>
		<object name="IBusConfigService" parent="IBusService" type-name="IBusConfigService" get-type="ibus_config_service_get_type">
			<constructor name="new" symbol="ibus_config_service_new">
				<return-type type="IBusConfigService*"/>
				<parameters>
					<parameter name="connection" type="GDBusConnection*"/>
				</parameters>
			</constructor>
			<method name="value_changed" symbol="ibus_config_service_value_changed">
				<return-type type="void"/>
				<parameters>
					<parameter name="config" type="IBusConfigService*"/>
					<parameter name="section" type="gchar*"/>
					<parameter name="name" type="gchar*"/>
					<parameter name="value" type="GVariant*"/>
				</parameters>
			</method>
			<vfunc name="get_value">
				<return-type type="GVariant*"/>
				<parameters>
					<parameter name="config" type="IBusConfigService*"/>
					<parameter name="section" type="gchar*"/>
					<parameter name="name" type="gchar*"/>
					<parameter name="error" type="GError**"/>
				</parameters>
			</vfunc>
			<vfunc name="get_values">
				<return-type type="GVariant*"/>
				<parameters>
					<parameter name="config" type="IBusConfigService*"/>
					<parameter name="section" type="gchar*"/>
					<parameter name="error" type="GError**"/>
				</parameters>
			</vfunc>
			<vfunc name="set_value">
				<return-type type="gboolean"/>
				<parameters>
					<parameter name="config" type="IBusConfigService*"/>
					<parameter name="section" type="gchar*"/>
					<parameter name="name" type="gchar*"/>
					<parameter name="value" type="GVariant*"/>
					<parameter name="error" type="GError**"/>
				</parameters>
			</vfunc>
			<vfunc name="unset_value">
				<return-type type="gboolean"/>
				<parameters>
					<parameter name="config" type="IBusConfigService*"/>
					<parameter name="section" type="gchar*"/>
					<parameter name="name" type="gchar*"/>
					<parameter name="error" type="GError**"/>
				</parameters>
			</vfunc>
		</object>
		<object name="IBusEngine" parent="IBusService" type-name="IBusEngine" get-type="ibus_engine_get_type">
			<method name="commit_text" symbol="ibus_engine_commit_text">
				<return-type type="void"/>
				<parameters>
					<parameter name="engine" type="IBusEngine*"/>
					<parameter name="text" type="IBusText*"/>
				</parameters>
			</method>
			<method name="delete_surrounding_text" symbol="ibus_engine_delete_surrounding_text">
				<return-type type="void"/>
				<parameters>
					<parameter name="engine" type="IBusEngine*"/>
					<parameter name="offset" type="gint"/>
					<parameter name="nchars" type="guint"/>
				</parameters>
			</method>
			<method name="forward_key_event" symbol="ibus_engine_forward_key_event">
				<return-type type="void"/>
				<parameters>
					<parameter name="engine" type="IBusEngine*"/>
					<parameter name="keyval" type="guint"/>
					<parameter name="keycode" type="guint"/>
					<parameter name="state" type="guint"/>
				</parameters>
			</method>
			<method name="get_name" symbol="ibus_engine_get_name">
				<return-type type="gchar*"/>
				<parameters>
					<parameter name="engine" type="IBusEngine*"/>
				</parameters>
			</method>
			<method name="get_surrounding_text" symbol="ibus_engine_get_surrounding_text">
				<return-type type="void"/>
				<parameters>
					<parameter name="engine" type="IBusEngine*"/>
					<parameter name="text" type="IBusText**"/>
					<parameter name="cursor_pos" type="guint*"/>
					<parameter name="anchor_pos" type="guint*"/>
				</parameters>
			</method>
			<method name="hide_auxiliary_text" symbol="ibus_engine_hide_auxiliary_text">
				<return-type type="void"/>
				<parameters>
					<parameter name="engine" type="IBusEngine*"/>
				</parameters>
			</method>
			<method name="hide_lookup_table" symbol="ibus_engine_hide_lookup_table">
				<return-type type="void"/>
				<parameters>
					<parameter name="engine" type="IBusEngine*"/>
				</parameters>
			</method>
			<method name="hide_preedit_text" symbol="ibus_engine_hide_preedit_text">
				<return-type type="void"/>
				<parameters>
					<parameter name="engine" type="IBusEngine*"/>
				</parameters>
			</method>
			<constructor name="new" symbol="ibus_engine_new">
				<return-type type="IBusEngine*"/>
				<parameters>
					<parameter name="engine_name" type="gchar*"/>
					<parameter name="object_path" type="gchar*"/>
					<parameter name="connection" type="GDBusConnection*"/>
				</parameters>
			</constructor>
			<constructor name="new_type" symbol="ibus_engine_new_type">
				<return-type type="IBusEngine*"/>
				<parameters>
					<parameter name="engine_type" type="GType"/>
					<parameter name="engine_name" type="gchar*"/>
					<parameter name="object_path" type="gchar*"/>
					<parameter name="connection" type="GDBusConnection*"/>
				</parameters>
			</constructor>
			<method name="register_properties" symbol="ibus_engine_register_properties">
				<return-type type="void"/>
				<parameters>
					<parameter name="engine" type="IBusEngine*"/>
					<parameter name="prop_list" type="IBusPropList*"/>
				</parameters>
			</method>
			<method name="show_auxiliary_text" symbol="ibus_engine_show_auxiliary_text">
				<return-type type="void"/>
				<parameters>
					<parameter name="engine" type="IBusEngine*"/>
				</parameters>
			</method>
			<method name="show_lookup_table" symbol="ibus_engine_show_lookup_table">
				<return-type type="void"/>
				<parameters>
					<parameter name="engine" type="IBusEngine*"/>
				</parameters>
			</method>
			<method name="show_preedit_text" symbol="ibus_engine_show_preedit_text">
				<return-type type="void"/>
				<parameters>
					<parameter name="engine" type="IBusEngine*"/>
				</parameters>
			</method>
			<method name="update_auxiliary_text" symbol="ibus_engine_update_auxiliary_text">
				<return-type type="void"/>
				<parameters>
					<parameter name="engine" type="IBusEngine*"/>
					<parameter name="text" type="IBusText*"/>
					<parameter name="visible" type="gboolean"/>
				</parameters>
			</method>
			<method name="update_lookup_table" symbol="ibus_engine_update_lookup_table">
				<return-type type="void"/>
				<parameters>
					<parameter name="engine" type="IBusEngine*"/>
					<parameter name="lookup_table" type="IBusLookupTable*"/>
					<parameter name="visible" type="gboolean"/>
				</parameters>
			</method>
			<method name="update_lookup_table_fast" symbol="ibus_engine_update_lookup_table_fast">
				<return-type type="void"/>
				<parameters>
					<parameter name="engine" type="IBusEngine*"/>
					<parameter name="lookup_table" type="IBusLookupTable*"/>
					<parameter name="visible" type="gboolean"/>
				</parameters>
			</method>
			<method name="update_preedit_text" symbol="ibus_engine_update_preedit_text">
				<return-type type="void"/>
				<parameters>
					<parameter name="engine" type="IBusEngine*"/>
					<parameter name="text" type="IBusText*"/>
					<parameter name="cursor_pos" type="guint"/>
					<parameter name="visible" type="gboolean"/>
				</parameters>
			</method>
			<method name="update_preedit_text_with_mode" symbol="ibus_engine_update_preedit_text_with_mode">
				<return-type type="void"/>
				<parameters>
					<parameter name="engine" type="IBusEngine*"/>
					<parameter name="text" type="IBusText*"/>
					<parameter name="cursor_pos" type="guint"/>
					<parameter name="visible" type="gboolean"/>
					<parameter name="mode" type="IBusPreeditFocusMode"/>
				</parameters>
			</method>
			<method name="update_property" symbol="ibus_engine_update_property">
				<return-type type="void"/>
				<parameters>
					<parameter name="engine" type="IBusEngine*"/>
					<parameter name="prop" type="IBusProperty*"/>
				</parameters>
			</method>
			<property name="engine-name" type="char*" readable="1" writable="1" construct="0" construct-only="1"/>
			<signal name="cancel-hand-writing" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="engine" type="IBusEngine*"/>
					<parameter name="n_strokes" type="guint"/>
				</parameters>
			</signal>
			<signal name="candidate-clicked" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="engine" type="IBusEngine*"/>
					<parameter name="index" type="guint"/>
					<parameter name="button" type="guint"/>
					<parameter name="state" type="guint"/>
				</parameters>
			</signal>
			<signal name="cursor-down" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="engine" type="IBusEngine*"/>
				</parameters>
			</signal>
			<signal name="cursor-up" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="engine" type="IBusEngine*"/>
				</parameters>
			</signal>
			<signal name="disable" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="engine" type="IBusEngine*"/>
				</parameters>
			</signal>
			<signal name="enable" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="engine" type="IBusEngine*"/>
				</parameters>
			</signal>
			<signal name="focus-in" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="engine" type="IBusEngine*"/>
				</parameters>
			</signal>
			<signal name="focus-out" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="engine" type="IBusEngine*"/>
				</parameters>
			</signal>
			<signal name="page-down" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="engine" type="IBusEngine*"/>
				</parameters>
			</signal>
			<signal name="page-up" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="engine" type="IBusEngine*"/>
				</parameters>
			</signal>
			<signal name="process-hand-writing-event" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="engine" type="IBusEngine*"/>
					<parameter name="coordinates" type="gpointer"/>
					<parameter name="coordinates_len" type="guint"/>
				</parameters>
			</signal>
			<signal name="process-key-event" when="LAST">
				<return-type type="gboolean"/>
				<parameters>
					<parameter name="engine" type="IBusEngine*"/>
					<parameter name="keyval" type="guint"/>
					<parameter name="keycode" type="guint"/>
					<parameter name="state" type="guint"/>
				</parameters>
			</signal>
			<signal name="property-activate" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="engine" type="IBusEngine*"/>
					<parameter name="prop_name" type="char*"/>
					<parameter name="prop_state" type="guint"/>
				</parameters>
			</signal>
			<signal name="property-hide" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="engine" type="IBusEngine*"/>
					<parameter name="prop_name" type="char*"/>
				</parameters>
			</signal>
			<signal name="property-show" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="engine" type="IBusEngine*"/>
					<parameter name="prop_name" type="char*"/>
				</parameters>
			</signal>
			<signal name="reset" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="engine" type="IBusEngine*"/>
				</parameters>
			</signal>
			<signal name="set-capabilities" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="engine" type="IBusEngine*"/>
					<parameter name="caps" type="guint"/>
				</parameters>
			</signal>
			<signal name="set-cursor-location" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="engine" type="IBusEngine*"/>
					<parameter name="x" type="gint"/>
					<parameter name="y" type="gint"/>
					<parameter name="w" type="gint"/>
					<parameter name="h" type="gint"/>
				</parameters>
			</signal>
			<signal name="set-surrounding-text" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="engine" type="IBusEngine*"/>
					<parameter name="text" type="GObject*"/>
					<parameter name="cursor_index" type="guint"/>
					<parameter name="anchor_pos" type="guint"/>
				</parameters>
			</signal>
			<field name="enabled" type="gboolean"/>
			<field name="has_focus" type="gboolean"/>
			<field name="cursor_area" type="IBusRectangle"/>
			<field name="client_capabilities" type="guint"/>
		</object>
		<object name="IBusEngineDesc" parent="IBusSerializable" type-name="IBusEngineDesc" get-type="ibus_engine_desc_get_type">
			<method name="get_author" symbol="ibus_engine_desc_get_author">
				<return-type type="gchar*"/>
				<parameters>
					<parameter name="info" type="IBusEngineDesc*"/>
				</parameters>
			</method>
			<method name="get_description" symbol="ibus_engine_desc_get_description">
				<return-type type="gchar*"/>
				<parameters>
					<parameter name="info" type="IBusEngineDesc*"/>
				</parameters>
			</method>
			<method name="get_hotkeys" symbol="ibus_engine_desc_get_hotkeys">
				<return-type type="gchar*"/>
				<parameters>
					<parameter name="info" type="IBusEngineDesc*"/>
				</parameters>
			</method>
			<method name="get_icon" symbol="ibus_engine_desc_get_icon">
				<return-type type="gchar*"/>
				<parameters>
					<parameter name="info" type="IBusEngineDesc*"/>
				</parameters>
			</method>
			<method name="get_language" symbol="ibus_engine_desc_get_language">
				<return-type type="gchar*"/>
				<parameters>
					<parameter name="info" type="IBusEngineDesc*"/>
				</parameters>
			</method>
			<method name="get_layout" symbol="ibus_engine_desc_get_layout">
				<return-type type="gchar*"/>
				<parameters>
					<parameter name="info" type="IBusEngineDesc*"/>
				</parameters>
			</method>
			<method name="get_license" symbol="ibus_engine_desc_get_license">
				<return-type type="gchar*"/>
				<parameters>
					<parameter name="info" type="IBusEngineDesc*"/>
				</parameters>
			</method>
			<method name="get_longname" symbol="ibus_engine_desc_get_longname">
				<return-type type="gchar*"/>
				<parameters>
					<parameter name="info" type="IBusEngineDesc*"/>
				</parameters>
			</method>
			<method name="get_name" symbol="ibus_engine_desc_get_name">
				<return-type type="gchar*"/>
				<parameters>
					<parameter name="info" type="IBusEngineDesc*"/>
				</parameters>
			</method>
			<method name="get_rank" symbol="ibus_engine_desc_get_rank">
				<return-type type="guint"/>
				<parameters>
					<parameter name="info" type="IBusEngineDesc*"/>
				</parameters>
			</method>
			<method name="get_symbol" symbol="ibus_engine_desc_get_symbol">
				<return-type type="gchar*"/>
				<parameters>
					<parameter name="info" type="IBusEngineDesc*"/>
				</parameters>
			</method>
			<constructor name="new" symbol="ibus_engine_desc_new">
				<return-type type="IBusEngineDesc*"/>
				<parameters>
					<parameter name="name" type="gchar*"/>
					<parameter name="longname" type="gchar*"/>
					<parameter name="description" type="gchar*"/>
					<parameter name="language" type="gchar*"/>
					<parameter name="license" type="gchar*"/>
					<parameter name="author" type="gchar*"/>
					<parameter name="icon" type="gchar*"/>
					<parameter name="layout" type="gchar*"/>
				</parameters>
			</constructor>
			<constructor name="new_from_xml_node" symbol="ibus_engine_desc_new_from_xml_node">
				<return-type type="IBusEngineDesc*"/>
				<parameters>
					<parameter name="node" type="XMLNode*"/>
				</parameters>
			</constructor>
			<constructor name="new_varargs" symbol="ibus_engine_desc_new_varargs">
				<return-type type="IBusEngineDesc*"/>
				<parameters>
					<parameter name="first_property_name" type="gchar*"/>
				</parameters>
			</constructor>
			<method name="output" symbol="ibus_engine_desc_output">
				<return-type type="void"/>
				<parameters>
					<parameter name="info" type="IBusEngineDesc*"/>
					<parameter name="output" type="GString*"/>
					<parameter name="indent" type="gint"/>
				</parameters>
			</method>
			<property name="author" type="char*" readable="1" writable="1" construct="0" construct-only="1"/>
			<property name="description" type="char*" readable="1" writable="1" construct="0" construct-only="1"/>
			<property name="hotkeys" type="char*" readable="1" writable="1" construct="0" construct-only="1"/>
			<property name="icon" type="char*" readable="1" writable="1" construct="0" construct-only="1"/>
			<property name="language" type="char*" readable="1" writable="1" construct="0" construct-only="1"/>
			<property name="layout" type="char*" readable="1" writable="1" construct="0" construct-only="1"/>
			<property name="license" type="char*" readable="1" writable="1" construct="0" construct-only="1"/>
			<property name="longname" type="char*" readable="1" writable="1" construct="0" construct-only="1"/>
			<property name="name" type="char*" readable="1" writable="1" construct="0" construct-only="1"/>
			<property name="rank" type="guint" readable="1" writable="1" construct="0" construct-only="1"/>
			<property name="symbol" type="char*" readable="1" writable="1" construct="0" construct-only="1"/>
		</object>
		<object name="IBusEngineSimple" parent="IBusEngine" type-name="IBusEngineSimple" get-type="ibus_engine_simple_get_type">
			<method name="add_table" symbol="ibus_engine_simple_add_table">
				<return-type type="void"/>
				<parameters>
					<parameter name="simple" type="IBusEngineSimple*"/>
					<parameter name="data" type="guint16*"/>
					<parameter name="max_seq_len" type="gint"/>
					<parameter name="n_seqs" type="gint"/>
				</parameters>
			</method>
		</object>
		<object name="IBusFactory" parent="IBusService" type-name="IBusFactory" get-type="ibus_factory_get_type">
			<method name="add_engine" symbol="ibus_factory_add_engine">
				<return-type type="void"/>
				<parameters>
					<parameter name="factory" type="IBusFactory*"/>
					<parameter name="engine_name" type="gchar*"/>
					<parameter name="engine_type" type="GType"/>
				</parameters>
			</method>
			<constructor name="new" symbol="ibus_factory_new">
				<return-type type="IBusFactory*"/>
				<parameters>
					<parameter name="connection" type="GDBusConnection*"/>
				</parameters>
			</constructor>
			<signal name="create-engine" when="LAST">
				<return-type type="IBusEngine*"/>
				<parameters>
					<parameter name="factory" type="IBusFactory*"/>
					<parameter name="engine_name" type="char*"/>
				</parameters>
			</signal>
		</object>
		<object name="IBusHotkeyProfile" parent="IBusSerializable" type-name="IBusHotkeyProfile" get-type="ibus_hotkey_profile_get_type">
			<method name="add_hotkey" symbol="ibus_hotkey_profile_add_hotkey">
				<return-type type="gboolean"/>
				<parameters>
					<parameter name="profile" type="IBusHotkeyProfile*"/>
					<parameter name="keyval" type="guint"/>
					<parameter name="modifiers" type="guint"/>
					<parameter name="event" type="GQuark"/>
				</parameters>
			</method>
			<method name="add_hotkey_from_string" symbol="ibus_hotkey_profile_add_hotkey_from_string">
				<return-type type="gboolean"/>
				<parameters>
					<parameter name="profile" type="IBusHotkeyProfile*"/>
					<parameter name="str" type="gchar*"/>
					<parameter name="event" type="GQuark"/>
				</parameters>
			</method>
			<method name="filter_key_event" symbol="ibus_hotkey_profile_filter_key_event">
				<return-type type="GQuark"/>
				<parameters>
					<parameter name="profile" type="IBusHotkeyProfile*"/>
					<parameter name="keyval" type="guint"/>
					<parameter name="modifiers" type="guint"/>
					<parameter name="prev_keyval" type="guint"/>
					<parameter name="prev_modifiers" type="guint"/>
					<parameter name="user_data" type="gpointer"/>
				</parameters>
			</method>
			<method name="lookup_hotkey" symbol="ibus_hotkey_profile_lookup_hotkey">
				<return-type type="GQuark"/>
				<parameters>
					<parameter name="profile" type="IBusHotkeyProfile*"/>
					<parameter name="keyval" type="guint"/>
					<parameter name="modifiers" type="guint"/>
				</parameters>
			</method>
			<constructor name="new" symbol="ibus_hotkey_profile_new">
				<return-type type="IBusHotkeyProfile*"/>
			</constructor>
			<method name="remove_hotkey" symbol="ibus_hotkey_profile_remove_hotkey">
				<return-type type="gboolean"/>
				<parameters>
					<parameter name="profile" type="IBusHotkeyProfile*"/>
					<parameter name="keyval" type="guint"/>
					<parameter name="modifiers" type="guint"/>
				</parameters>
			</method>
			<method name="remove_hotkey_by_event" symbol="ibus_hotkey_profile_remove_hotkey_by_event">
				<return-type type="gboolean"/>
				<parameters>
					<parameter name="profile" type="IBusHotkeyProfile*"/>
					<parameter name="event" type="GQuark"/>
				</parameters>
			</method>
			<signal name="trigger" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="profile" type="IBusHotkeyProfile*"/>
					<parameter name="event" type="guint"/>
					<parameter name="user_data" type="gpointer"/>
				</parameters>
			</signal>
		</object>
		<object name="IBusInputContext" parent="IBusProxy" type-name="IBusInputContext" get-type="ibus_input_context_get_type">
			<implements>
				<interface name="GDBusInterface"/>
				<interface name="GInitable"/>
				<interface name="GAsyncInitable"/>
			</implements>
			<method name="cancel_hand_writing" symbol="ibus_input_context_cancel_hand_writing">
				<return-type type="void"/>
				<parameters>
					<parameter name="context" type="IBusInputContext*"/>
					<parameter name="n_strokes" type="guint"/>
				</parameters>
			</method>
			<method name="focus_in" symbol="ibus_input_context_focus_in">
				<return-type type="void"/>
				<parameters>
					<parameter name="context" type="IBusInputContext*"/>
				</parameters>
			</method>
			<method name="focus_out" symbol="ibus_input_context_focus_out">
				<return-type type="void"/>
				<parameters>
					<parameter name="context" type="IBusInputContext*"/>
				</parameters>
			</method>
			<method name="get_engine" symbol="ibus_input_context_get_engine">
				<return-type type="IBusEngineDesc*"/>
				<parameters>
					<parameter name="context" type="IBusInputContext*"/>
				</parameters>
			</method>
			<method name="get_engine_async" symbol="ibus_input_context_get_engine_async">
				<return-type type="void"/>
				<parameters>
					<parameter name="context" type="IBusInputContext*"/>
					<parameter name="timeout_msec" type="gint"/>
					<parameter name="cancellable" type="GCancellable*"/>
					<parameter name="callback" type="GAsyncReadyCallback"/>
					<parameter name="user_data" type="gpointer"/>
				</parameters>
			</method>
			<method name="get_engine_async_finish" symbol="ibus_input_context_get_engine_async_finish">
				<return-type type="IBusEngineDesc*"/>
				<parameters>
					<parameter name="context" type="IBusInputContext*"/>
					<parameter name="res" type="GAsyncResult*"/>
					<parameter name="error" type="GError**"/>
				</parameters>
			</method>
			<method name="get_input_context" symbol="ibus_input_context_get_input_context">
				<return-type type="IBusInputContext*"/>
				<parameters>
					<parameter name="path" type="gchar*"/>
					<parameter name="connection" type="GDBusConnection*"/>
				</parameters>
			</method>
			<method name="get_input_context_async" symbol="ibus_input_context_get_input_context_async">
				<return-type type="void"/>
				<parameters>
					<parameter name="path" type="gchar*"/>
					<parameter name="connection" type="GDBusConnection*"/>
					<parameter name="cancellable" type="GCancellable*"/>
					<parameter name="callback" type="GAsyncReadyCallback"/>
					<parameter name="user_data" type="gpointer"/>
				</parameters>
			</method>
			<method name="get_input_context_async_finish" symbol="ibus_input_context_get_input_context_async_finish">
				<return-type type="IBusInputContext*"/>
				<parameters>
					<parameter name="res" type="GAsyncResult*"/>
					<parameter name="error" type="GError**"/>
				</parameters>
			</method>
			<method name="needs_surrounding_text" symbol="ibus_input_context_needs_surrounding_text">
				<return-type type="gboolean"/>
				<parameters>
					<parameter name="context" type="IBusInputContext*"/>
				</parameters>
			</method>
			<constructor name="new" symbol="ibus_input_context_new">
				<return-type type="IBusInputContext*"/>
				<parameters>
					<parameter name="path" type="gchar*"/>
					<parameter name="connection" type="GDBusConnection*"/>
					<parameter name="cancellable" type="GCancellable*"/>
					<parameter name="error" type="GError**"/>
				</parameters>
			</constructor>
			<constructor name="new_async" symbol="ibus_input_context_new_async">
				<return-type type="void"/>
				<parameters>
					<parameter name="path" type="gchar*"/>
					<parameter name="connection" type="GDBusConnection*"/>
					<parameter name="cancellable" type="GCancellable*"/>
					<parameter name="callback" type="GAsyncReadyCallback"/>
					<parameter name="user_data" type="gpointer"/>
				</parameters>
			</constructor>
			<constructor name="new_async_finish" symbol="ibus_input_context_new_async_finish">
				<return-type type="IBusInputContext*"/>
				<parameters>
					<parameter name="res" type="GAsyncResult*"/>
					<parameter name="error" type="GError**"/>
				</parameters>
			</constructor>
			<method name="process_hand_writing_event" symbol="ibus_input_context_process_hand_writing_event">
				<return-type type="void"/>
				<parameters>
					<parameter name="context" type="IBusInputContext*"/>
					<parameter name="coordinates" type="gdouble*"/>
					<parameter name="coordinates_len" type="guint"/>
				</parameters>
			</method>
			<method name="process_key_event" symbol="ibus_input_context_process_key_event">
				<return-type type="gboolean"/>
				<parameters>
					<parameter name="context" type="IBusInputContext*"/>
					<parameter name="keyval" type="guint32"/>
					<parameter name="keycode" type="guint32"/>
					<parameter name="state" type="guint32"/>
				</parameters>
			</method>
			<method name="process_key_event_async" symbol="ibus_input_context_process_key_event_async">
				<return-type type="void"/>
				<parameters>
					<parameter name="context" type="IBusInputContext*"/>
					<parameter name="keyval" type="guint32"/>
					<parameter name="keycode" type="guint32"/>
					<parameter name="state" type="guint32"/>
					<parameter name="timeout_msec" type="gint"/>
					<parameter name="cancellable" type="GCancellable*"/>
					<parameter name="callback" type="GAsyncReadyCallback"/>
					<parameter name="user_data" type="gpointer"/>
				</parameters>
			</method>
			<method name="process_key_event_async_finish" symbol="ibus_input_context_process_key_event_async_finish">
				<return-type type="gboolean"/>
				<parameters>
					<parameter name="context" type="IBusInputContext*"/>
					<parameter name="res" type="GAsyncResult*"/>
					<parameter name="error" type="GError**"/>
				</parameters>
			</method>
			<method name="property_activate" symbol="ibus_input_context_property_activate">
				<return-type type="void"/>
				<parameters>
					<parameter name="context" type="IBusInputContext*"/>
					<parameter name="prop_name" type="gchar*"/>
					<parameter name="state" type="guint32"/>
				</parameters>
			</method>
			<method name="reset" symbol="ibus_input_context_reset">
				<return-type type="void"/>
				<parameters>
					<parameter name="context" type="IBusInputContext*"/>
				</parameters>
			</method>
			<method name="set_capabilities" symbol="ibus_input_context_set_capabilities">
				<return-type type="void"/>
				<parameters>
					<parameter name="context" type="IBusInputContext*"/>
					<parameter name="capabilities" type="guint32"/>
				</parameters>
			</method>
			<method name="set_cursor_location" symbol="ibus_input_context_set_cursor_location">
				<return-type type="void"/>
				<parameters>
					<parameter name="context" type="IBusInputContext*"/>
					<parameter name="x" type="gint32"/>
					<parameter name="y" type="gint32"/>
					<parameter name="w" type="gint32"/>
					<parameter name="h" type="gint32"/>
				</parameters>
			</method>
			<method name="set_engine" symbol="ibus_input_context_set_engine">
				<return-type type="void"/>
				<parameters>
					<parameter name="context" type="IBusInputContext*"/>
					<parameter name="name" type="gchar*"/>
				</parameters>
			</method>
			<method name="set_surrounding_text" symbol="ibus_input_context_set_surrounding_text">
				<return-type type="void"/>
				<parameters>
					<parameter name="context" type="IBusInputContext*"/>
					<parameter name="text" type="IBusText*"/>
					<parameter name="cursor_pos" type="guint32"/>
					<parameter name="anchor_pos" type="guint32"/>
				</parameters>
			</method>
			<signal name="commit-text" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="object" type="IBusInputContext*"/>
					<parameter name="p0" type="IBusText*"/>
				</parameters>
			</signal>
			<signal name="cursor-down-lookup-table" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="object" type="IBusInputContext*"/>
				</parameters>
			</signal>
			<signal name="cursor-up-lookup-table" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="object" type="IBusInputContext*"/>
				</parameters>
			</signal>
			<signal name="delete-surrounding-text" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="object" type="IBusInputContext*"/>
					<parameter name="p0" type="gint"/>
					<parameter name="p1" type="guint"/>
				</parameters>
			</signal>
			<signal name="disabled" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="object" type="IBusInputContext*"/>
				</parameters>
			</signal>
			<signal name="enabled" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="object" type="IBusInputContext*"/>
				</parameters>
			</signal>
			<signal name="forward-key-event" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="object" type="IBusInputContext*"/>
					<parameter name="p0" type="guint"/>
					<parameter name="p1" type="guint"/>
					<parameter name="p2" type="guint"/>
				</parameters>
			</signal>
			<signal name="hide-auxiliary-text" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="object" type="IBusInputContext*"/>
				</parameters>
			</signal>
			<signal name="hide-lookup-table" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="object" type="IBusInputContext*"/>
				</parameters>
			</signal>
			<signal name="hide-preedit-text" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="object" type="IBusInputContext*"/>
				</parameters>
			</signal>
			<signal name="page-down-lookup-table" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="object" type="IBusInputContext*"/>
				</parameters>
			</signal>
			<signal name="page-up-lookup-table" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="object" type="IBusInputContext*"/>
				</parameters>
			</signal>
			<signal name="register-properties" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="object" type="IBusInputContext*"/>
					<parameter name="p0" type="IBusPropList*"/>
				</parameters>
			</signal>
			<signal name="show-auxiliary-text" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="object" type="IBusInputContext*"/>
				</parameters>
			</signal>
			<signal name="show-lookup-table" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="object" type="IBusInputContext*"/>
				</parameters>
			</signal>
			<signal name="show-preedit-text" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="object" type="IBusInputContext*"/>
				</parameters>
			</signal>
			<signal name="update-auxiliary-text" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="object" type="IBusInputContext*"/>
					<parameter name="p0" type="IBusText*"/>
					<parameter name="p1" type="gboolean"/>
				</parameters>
			</signal>
			<signal name="update-lookup-table" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="object" type="IBusInputContext*"/>
					<parameter name="p0" type="IBusLookupTable*"/>
					<parameter name="p1" type="gboolean"/>
				</parameters>
			</signal>
			<signal name="update-preedit-text" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="object" type="IBusInputContext*"/>
					<parameter name="p0" type="IBusText*"/>
					<parameter name="p1" type="guint"/>
					<parameter name="p2" type="gboolean"/>
				</parameters>
			</signal>
			<signal name="update-property" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="object" type="IBusInputContext*"/>
					<parameter name="p0" type="IBusProperty*"/>
				</parameters>
			</signal>
		</object>
		<object name="IBusKeymap" parent="IBusObject" type-name="IBusKeymap" get-type="ibus_keymap_get_type">
			<method name="get" symbol="ibus_keymap_get">
				<return-type type="IBusKeymap*"/>
				<parameters>
					<parameter name="name" type="gchar*"/>
				</parameters>
			</method>
			<method name="lookup_keysym" symbol="ibus_keymap_lookup_keysym">
				<return-type type="guint"/>
				<parameters>
					<parameter name="keymap" type="IBusKeymap*"/>
					<parameter name="keycode" type="guint16"/>
					<parameter name="state" type="guint32"/>
				</parameters>
			</method>
			<constructor name="new" symbol="ibus_keymap_new">
				<return-type type="IBusKeymap*"/>
				<parameters>
					<parameter name="name" type="gchar*"/>
				</parameters>
			</constructor>
			<field name="name" type="gchar*"/>
			<field name="keymap" type="guint[][]"/>
		</object>
		<object name="IBusLookupTable" parent="IBusSerializable" type-name="IBusLookupTable" get-type="ibus_lookup_table_get_type">
			<method name="append_candidate" symbol="ibus_lookup_table_append_candidate">
				<return-type type="void"/>
				<parameters>
					<parameter name="table" type="IBusLookupTable*"/>
					<parameter name="text" type="IBusText*"/>
				</parameters>
			</method>
			<method name="append_label" symbol="ibus_lookup_table_append_label">
				<return-type type="void"/>
				<parameters>
					<parameter name="table" type="IBusLookupTable*"/>
					<parameter name="text" type="IBusText*"/>
				</parameters>
			</method>
			<method name="clear" symbol="ibus_lookup_table_clear">
				<return-type type="void"/>
				<parameters>
					<parameter name="table" type="IBusLookupTable*"/>
				</parameters>
			</method>
			<method name="cursor_down" symbol="ibus_lookup_table_cursor_down">
				<return-type type="gboolean"/>
				<parameters>
					<parameter name="table" type="IBusLookupTable*"/>
				</parameters>
			</method>
			<method name="cursor_up" symbol="ibus_lookup_table_cursor_up">
				<return-type type="gboolean"/>
				<parameters>
					<parameter name="table" type="IBusLookupTable*"/>
				</parameters>
			</method>
			<method name="get_candidate" symbol="ibus_lookup_table_get_candidate">
				<return-type type="IBusText*"/>
				<parameters>
					<parameter name="table" type="IBusLookupTable*"/>
					<parameter name="index" type="guint"/>
				</parameters>
			</method>
			<method name="get_cursor_in_page" symbol="ibus_lookup_table_get_cursor_in_page">
				<return-type type="guint"/>
				<parameters>
					<parameter name="table" type="IBusLookupTable*"/>
				</parameters>
			</method>
			<method name="get_cursor_pos" symbol="ibus_lookup_table_get_cursor_pos">
				<return-type type="guint"/>
				<parameters>
					<parameter name="table" type="IBusLookupTable*"/>
				</parameters>
			</method>
			<method name="get_label" symbol="ibus_lookup_table_get_label">
				<return-type type="IBusText*"/>
				<parameters>
					<parameter name="table" type="IBusLookupTable*"/>
					<parameter name="index" type="guint"/>
				</parameters>
			</method>
			<method name="get_number_of_candidates" symbol="ibus_lookup_table_get_number_of_candidates">
				<return-type type="guint"/>
				<parameters>
					<parameter name="table" type="IBusLookupTable*"/>
				</parameters>
			</method>
			<method name="get_orientation" symbol="ibus_lookup_table_get_orientation">
				<return-type type="gint"/>
				<parameters>
					<parameter name="table" type="IBusLookupTable*"/>
				</parameters>
			</method>
			<method name="get_page_size" symbol="ibus_lookup_table_get_page_size">
				<return-type type="guint"/>
				<parameters>
					<parameter name="table" type="IBusLookupTable*"/>
				</parameters>
			</method>
			<method name="is_cursor_visible" symbol="ibus_lookup_table_is_cursor_visible">
				<return-type type="gboolean"/>
				<parameters>
					<parameter name="table" type="IBusLookupTable*"/>
				</parameters>
			</method>
			<method name="is_round" symbol="ibus_lookup_table_is_round">
				<return-type type="gboolean"/>
				<parameters>
					<parameter name="table" type="IBusLookupTable*"/>
				</parameters>
			</method>
			<constructor name="new" symbol="ibus_lookup_table_new">
				<return-type type="IBusLookupTable*"/>
				<parameters>
					<parameter name="page_size" type="guint"/>
					<parameter name="cursor_pos" type="guint"/>
					<parameter name="cursor_visible" type="gboolean"/>
					<parameter name="round" type="gboolean"/>
				</parameters>
			</constructor>
			<method name="page_down" symbol="ibus_lookup_table_page_down">
				<return-type type="gboolean"/>
				<parameters>
					<parameter name="table" type="IBusLookupTable*"/>
				</parameters>
			</method>
			<method name="page_up" symbol="ibus_lookup_table_page_up">
				<return-type type="gboolean"/>
				<parameters>
					<parameter name="table" type="IBusLookupTable*"/>
				</parameters>
			</method>
			<method name="set_cursor_pos" symbol="ibus_lookup_table_set_cursor_pos">
				<return-type type="void"/>
				<parameters>
					<parameter name="table" type="IBusLookupTable*"/>
					<parameter name="cursor_pos" type="guint"/>
				</parameters>
			</method>
			<method name="set_cursor_visible" symbol="ibus_lookup_table_set_cursor_visible">
				<return-type type="void"/>
				<parameters>
					<parameter name="table" type="IBusLookupTable*"/>
					<parameter name="visible" type="gboolean"/>
				</parameters>
			</method>
			<method name="set_label" symbol="ibus_lookup_table_set_label">
				<return-type type="void"/>
				<parameters>
					<parameter name="table" type="IBusLookupTable*"/>
					<parameter name="index" type="guint"/>
					<parameter name="text" type="IBusText*"/>
				</parameters>
			</method>
			<method name="set_orientation" symbol="ibus_lookup_table_set_orientation">
				<return-type type="void"/>
				<parameters>
					<parameter name="table" type="IBusLookupTable*"/>
					<parameter name="orientation" type="gint"/>
				</parameters>
			</method>
			<method name="set_page_size" symbol="ibus_lookup_table_set_page_size">
				<return-type type="void"/>
				<parameters>
					<parameter name="table" type="IBusLookupTable*"/>
					<parameter name="page_size" type="guint"/>
				</parameters>
			</method>
			<method name="set_round" symbol="ibus_lookup_table_set_round">
				<return-type type="void"/>
				<parameters>
					<parameter name="table" type="IBusLookupTable*"/>
					<parameter name="round" type="gboolean"/>
				</parameters>
			</method>
			<field name="page_size" type="guint"/>
			<field name="cursor_pos" type="guint"/>
			<field name="cursor_visible" type="gboolean"/>
			<field name="round" type="gboolean"/>
			<field name="orientation" type="gint"/>
			<field name="candidates" type="GArray*"/>
			<field name="labels" type="GArray*"/>
		</object>
		<object name="IBusObject" parent="GInitiallyUnowned" type-name="IBusObject" get-type="ibus_object_get_type">
			<method name="destroy" symbol="ibus_object_destroy">
				<return-type type="void"/>
				<parameters>
					<parameter name="object" type="IBusObject*"/>
				</parameters>
			</method>
			<constructor name="new" symbol="ibus_object_new">
				<return-type type="IBusObject*"/>
			</constructor>
			<signal name="destroy" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="object" type="IBusObject*"/>
				</parameters>
			</signal>
			<field name="flags" type="guint32"/>
		</object>
		<object name="IBusObservedPath" parent="IBusSerializable" type-name="IBusObservedPath" get-type="ibus_observed_path_get_type">
			<method name="check_modification" symbol="ibus_observed_path_check_modification">
				<return-type type="gboolean"/>
				<parameters>
					<parameter name="path" type="IBusObservedPath*"/>
				</parameters>
			</method>
			<constructor name="new" symbol="ibus_observed_path_new">
				<return-type type="IBusObservedPath*"/>
				<parameters>
					<parameter name="path" type="gchar*"/>
					<parameter name="fill_stat" type="gboolean"/>
				</parameters>
			</constructor>
			<constructor name="new_from_xml_node" symbol="ibus_observed_path_new_from_xml_node">
				<return-type type="IBusObservedPath*"/>
				<parameters>
					<parameter name="node" type="XMLNode*"/>
					<parameter name="fill_stat" type="gboolean"/>
				</parameters>
			</constructor>
			<method name="output" symbol="ibus_observed_path_output">
				<return-type type="void"/>
				<parameters>
					<parameter name="path" type="IBusObservedPath*"/>
					<parameter name="output" type="GString*"/>
					<parameter name="indent" type="gint"/>
				</parameters>
			</method>
			<method name="traverse" symbol="ibus_observed_path_traverse">
				<return-type type="GList*"/>
				<parameters>
					<parameter name="path" type="IBusObservedPath*"/>
				</parameters>
			</method>
			<field name="path" type="gchar*"/>
			<field name="mtime" type="glong"/>
			<field name="is_dir" type="gboolean"/>
			<field name="is_exist" type="gboolean"/>
		</object>
		<object name="IBusPanelService" parent="IBusService" type-name="IBusPanelService" get-type="ibus_panel_service_get_type">
			<method name="candidate_clicked" symbol="ibus_panel_service_candidate_clicked">
				<return-type type="void"/>
				<parameters>
					<parameter name="panel" type="IBusPanelService*"/>
					<parameter name="index" type="guint"/>
					<parameter name="button" type="guint"/>
					<parameter name="state" type="guint"/>
				</parameters>
			</method>
			<method name="cursor_down" symbol="ibus_panel_service_cursor_down">
				<return-type type="void"/>
				<parameters>
					<parameter name="panel" type="IBusPanelService*"/>
				</parameters>
			</method>
			<method name="cursor_up" symbol="ibus_panel_service_cursor_up">
				<return-type type="void"/>
				<parameters>
					<parameter name="panel" type="IBusPanelService*"/>
				</parameters>
			</method>
			<constructor name="new" symbol="ibus_panel_service_new">
				<return-type type="IBusPanelService*"/>
				<parameters>
					<parameter name="connection" type="GDBusConnection*"/>
				</parameters>
			</constructor>
			<method name="page_down" symbol="ibus_panel_service_page_down">
				<return-type type="void"/>
				<parameters>
					<parameter name="panel" type="IBusPanelService*"/>
				</parameters>
			</method>
			<method name="page_up" symbol="ibus_panel_service_page_up">
				<return-type type="void"/>
				<parameters>
					<parameter name="panel" type="IBusPanelService*"/>
				</parameters>
			</method>
			<method name="property_activate" symbol="ibus_panel_service_property_activate">
				<return-type type="void"/>
				<parameters>
					<parameter name="panel" type="IBusPanelService*"/>
					<parameter name="prop_name" type="gchar*"/>
					<parameter name="prop_state" type="guint"/>
				</parameters>
			</method>
			<method name="property_hide" symbol="ibus_panel_service_property_hide">
				<return-type type="void"/>
				<parameters>
					<parameter name="panel" type="IBusPanelService*"/>
					<parameter name="prop_name" type="gchar*"/>
				</parameters>
			</method>
			<method name="property_show" symbol="ibus_panel_service_property_show">
				<return-type type="void"/>
				<parameters>
					<parameter name="panel" type="IBusPanelService*"/>
					<parameter name="prop_name" type="gchar*"/>
				</parameters>
			</method>
			<signal name="cursor-down-lookup-table" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="panel" type="IBusPanelService*"/>
				</parameters>
			</signal>
			<signal name="cursor-up-lookup-table" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="panel" type="IBusPanelService*"/>
				</parameters>
			</signal>
			<signal name="focus-in" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="panel" type="IBusPanelService*"/>
					<parameter name="input_context_path" type="char*"/>
				</parameters>
			</signal>
			<signal name="focus-out" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="panel" type="IBusPanelService*"/>
					<parameter name="input_context_path" type="char*"/>
				</parameters>
			</signal>
			<signal name="hide-auxiliary-text" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="panel" type="IBusPanelService*"/>
				</parameters>
			</signal>
			<signal name="hide-language-bar" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="panel" type="IBusPanelService*"/>
				</parameters>
			</signal>
			<signal name="hide-lookup-table" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="panel" type="IBusPanelService*"/>
				</parameters>
			</signal>
			<signal name="hide-preedit-text" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="panel" type="IBusPanelService*"/>
				</parameters>
			</signal>
			<signal name="page-down-lookup-table" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="panel" type="IBusPanelService*"/>
				</parameters>
			</signal>
			<signal name="page-up-lookup-table" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="panel" type="IBusPanelService*"/>
				</parameters>
			</signal>
			<signal name="register-properties" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="panel" type="IBusPanelService*"/>
					<parameter name="prop_list" type="IBusPropList*"/>
				</parameters>
			</signal>
			<signal name="reset" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="panel" type="IBusPanelService*"/>
				</parameters>
			</signal>
			<signal name="set-cursor-location" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="panel" type="IBusPanelService*"/>
					<parameter name="x" type="gint"/>
					<parameter name="y" type="gint"/>
					<parameter name="w" type="gint"/>
					<parameter name="h" type="gint"/>
				</parameters>
			</signal>
			<signal name="show-auxiliary-text" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="panel" type="IBusPanelService*"/>
				</parameters>
			</signal>
			<signal name="show-language-bar" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="panel" type="IBusPanelService*"/>
				</parameters>
			</signal>
			<signal name="show-lookup-table" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="panel" type="IBusPanelService*"/>
				</parameters>
			</signal>
			<signal name="show-preedit-text" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="panel" type="IBusPanelService*"/>
				</parameters>
			</signal>
			<signal name="start-setup" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="panel" type="IBusPanelService*"/>
				</parameters>
			</signal>
			<signal name="state-changed" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="panel" type="IBusPanelService*"/>
				</parameters>
			</signal>
			<signal name="update-auxiliary-text" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="panel" type="IBusPanelService*"/>
					<parameter name="text" type="IBusText*"/>
					<parameter name="visible" type="gboolean"/>
				</parameters>
			</signal>
			<signal name="update-lookup-table" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="panel" type="IBusPanelService*"/>
					<parameter name="lookup_table" type="IBusLookupTable*"/>
					<parameter name="visible" type="gboolean"/>
				</parameters>
			</signal>
			<signal name="update-preedit-text" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="panel" type="IBusPanelService*"/>
					<parameter name="text" type="IBusText*"/>
					<parameter name="cursor_pos" type="guint"/>
					<parameter name="visible" type="gboolean"/>
				</parameters>
			</signal>
			<signal name="update-property" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="panel" type="IBusPanelService*"/>
					<parameter name="prop" type="IBusProperty*"/>
				</parameters>
			</signal>
		</object>
		<object name="IBusPropList" parent="IBusSerializable" type-name="IBusPropList" get-type="ibus_prop_list_get_type">
			<method name="append" symbol="ibus_prop_list_append">
				<return-type type="void"/>
				<parameters>
					<parameter name="prop_list" type="IBusPropList*"/>
					<parameter name="prop" type="IBusProperty*"/>
				</parameters>
			</method>
			<method name="get" symbol="ibus_prop_list_get">
				<return-type type="IBusProperty*"/>
				<parameters>
					<parameter name="prop_list" type="IBusPropList*"/>
					<parameter name="index" type="guint"/>
				</parameters>
			</method>
			<constructor name="new" symbol="ibus_prop_list_new">
				<return-type type="IBusPropList*"/>
			</constructor>
			<method name="update_property" symbol="ibus_prop_list_update_property">
				<return-type type="gboolean"/>
				<parameters>
					<parameter name="prop_list" type="IBusPropList*"/>
					<parameter name="prop" type="IBusProperty*"/>
				</parameters>
			</method>
			<field name="properties" type="GArray*"/>
		</object>
		<object name="IBusProperty" parent="IBusSerializable" type-name="IBusProperty" get-type="ibus_property_get_type">
			<method name="get_icon" symbol="ibus_property_get_icon">
				<return-type type="gchar*"/>
				<parameters>
					<parameter name="prop" type="IBusProperty*"/>
				</parameters>
			</method>
			<method name="get_key" symbol="ibus_property_get_key">
				<return-type type="gchar*"/>
				<parameters>
					<parameter name="prop" type="IBusProperty*"/>
				</parameters>
			</method>
			<method name="get_label" symbol="ibus_property_get_label">
				<return-type type="IBusText*"/>
				<parameters>
					<parameter name="prop" type="IBusProperty*"/>
				</parameters>
			</method>
			<method name="get_prop_type" symbol="ibus_property_get_prop_type">
				<return-type type="IBusPropType"/>
				<parameters>
					<parameter name="prop" type="IBusProperty*"/>
				</parameters>
			</method>
			<method name="get_sensitive" symbol="ibus_property_get_sensitive">
				<return-type type="gboolean"/>
				<parameters>
					<parameter name="prop" type="IBusProperty*"/>
				</parameters>
			</method>
			<method name="get_state" symbol="ibus_property_get_state">
				<return-type type="IBusPropState"/>
				<parameters>
					<parameter name="prop" type="IBusProperty*"/>
				</parameters>
			</method>
			<method name="get_sub_props" symbol="ibus_property_get_sub_props">
				<return-type type="IBusPropList*"/>
				<parameters>
					<parameter name="prop" type="IBusProperty*"/>
				</parameters>
			</method>
			<method name="get_tooltip" symbol="ibus_property_get_tooltip">
				<return-type type="IBusText*"/>
				<parameters>
					<parameter name="prop" type="IBusProperty*"/>
				</parameters>
			</method>
			<method name="get_visible" symbol="ibus_property_get_visible">
				<return-type type="gboolean"/>
				<parameters>
					<parameter name="prop" type="IBusProperty*"/>
				</parameters>
			</method>
			<constructor name="new" symbol="ibus_property_new">
				<return-type type="IBusProperty*"/>
				<parameters>
					<parameter name="key" type="gchar*"/>
					<parameter name="type" type="IBusPropType"/>
					<parameter name="label" type="IBusText*"/>
					<parameter name="icon" type="gchar*"/>
					<parameter name="tooltip" type="IBusText*"/>
					<parameter name="sensitive" type="gboolean"/>
					<parameter name="visible" type="gboolean"/>
					<parameter name="state" type="IBusPropState"/>
					<parameter name="prop_list" type="IBusPropList*"/>
				</parameters>
			</constructor>
			<method name="set_icon" symbol="ibus_property_set_icon">
				<return-type type="void"/>
				<parameters>
					<parameter name="prop" type="IBusProperty*"/>
					<parameter name="icon" type="gchar*"/>
				</parameters>
			</method>
			<method name="set_label" symbol="ibus_property_set_label">
				<return-type type="void"/>
				<parameters>
					<parameter name="prop" type="IBusProperty*"/>
					<parameter name="label" type="IBusText*"/>
				</parameters>
			</method>
			<method name="set_sensitive" symbol="ibus_property_set_sensitive">
				<return-type type="void"/>
				<parameters>
					<parameter name="prop" type="IBusProperty*"/>
					<parameter name="sensitive" type="gboolean"/>
				</parameters>
			</method>
			<method name="set_state" symbol="ibus_property_set_state">
				<return-type type="void"/>
				<parameters>
					<parameter name="prop" type="IBusProperty*"/>
					<parameter name="state" type="IBusPropState"/>
				</parameters>
			</method>
			<method name="set_sub_props" symbol="ibus_property_set_sub_props">
				<return-type type="void"/>
				<parameters>
					<parameter name="prop" type="IBusProperty*"/>
					<parameter name="prop_list" type="IBusPropList*"/>
				</parameters>
			</method>
			<method name="set_tooltip" symbol="ibus_property_set_tooltip">
				<return-type type="void"/>
				<parameters>
					<parameter name="prop" type="IBusProperty*"/>
					<parameter name="tooltip" type="IBusText*"/>
				</parameters>
			</method>
			<method name="set_visible" symbol="ibus_property_set_visible">
				<return-type type="void"/>
				<parameters>
					<parameter name="prop" type="IBusProperty*"/>
					<parameter name="visible" type="gboolean"/>
				</parameters>
			</method>
			<method name="update" symbol="ibus_property_update">
				<return-type type="gboolean"/>
				<parameters>
					<parameter name="prop" type="IBusProperty*"/>
					<parameter name="prop_update" type="IBusProperty*"/>
				</parameters>
			</method>
			<field name="key" type="gchar*"/>
			<field name="icon" type="gchar*"/>
			<field name="label" type="IBusText*"/>
			<field name="tooltip" type="IBusText*"/>
			<field name="sensitive" type="gboolean"/>
			<field name="visible" type="gboolean"/>
			<field name="type" type="guint"/>
			<field name="state" type="guint"/>
			<field name="sub_props" type="IBusPropList*"/>
		</object>
		<object name="IBusProxy" parent="GDBusProxy" type-name="IBusProxy" get-type="ibus_proxy_get_type">
			<implements>
				<interface name="GDBusInterface"/>
				<interface name="GInitable"/>
				<interface name="GAsyncInitable"/>
			</implements>
			<method name="destroy" symbol="ibus_proxy_destroy">
				<return-type type="void"/>
				<parameters>
					<parameter name="proxy" type="IBusProxy*"/>
				</parameters>
			</method>
			<signal name="destroy" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="proxy" type="IBusProxy*"/>
				</parameters>
			</signal>
			<field name="flags" type="guint32"/>
			<field name="own" type="gboolean"/>
		</object>
		<object name="IBusSerializable" parent="IBusObject" type-name="IBusSerializable" get-type="ibus_serializable_get_type">
			<method name="copy" symbol="ibus_serializable_copy">
				<return-type type="IBusSerializable*"/>
				<parameters>
					<parameter name="serializable" type="IBusSerializable*"/>
				</parameters>
			</method>
			<method name="deserialize" symbol="ibus_serializable_deserialize">
				<return-type type="IBusSerializable*"/>
				<parameters>
					<parameter name="variant" type="GVariant*"/>
				</parameters>
			</method>
			<method name="get_qattachment" symbol="ibus_serializable_get_qattachment">
				<return-type type="GVariant*"/>
				<parameters>
					<parameter name="serializable" type="IBusSerializable*"/>
					<parameter name="key" type="GQuark"/>
				</parameters>
			</method>
			<constructor name="new" symbol="ibus_serializable_new">
				<return-type type="IBusSerializable*"/>
			</constructor>
			<method name="remove_qattachment" symbol="ibus_serializable_remove_qattachment">
				<return-type type="void"/>
				<parameters>
					<parameter name="serializable" type="IBusSerializable*"/>
					<parameter name="key" type="GQuark"/>
				</parameters>
			</method>
			<method name="serialize" symbol="ibus_serializable_serialize">
				<return-type type="GVariant*"/>
				<parameters>
					<parameter name="serializable" type="IBusSerializable*"/>
				</parameters>
			</method>
			<method name="set_qattachment" symbol="ibus_serializable_set_qattachment">
				<return-type type="void"/>
				<parameters>
					<parameter name="serializable" type="IBusSerializable*"/>
					<parameter name="key" type="GQuark"/>
					<parameter name="value" type="GVariant*"/>
				</parameters>
			</method>
			<vfunc name="copy">
				<return-type type="gboolean"/>
				<parameters>
					<parameter name="dest" type="IBusSerializable*"/>
					<parameter name="src" type="IBusSerializable*"/>
				</parameters>
			</vfunc>
			<vfunc name="deserialize">
				<return-type type="gint"/>
				<parameters>
					<parameter name="object" type="IBusSerializable*"/>
					<parameter name="variant" type="GVariant*"/>
				</parameters>
			</vfunc>
			<vfunc name="serialize">
				<return-type type="gboolean"/>
				<parameters>
					<parameter name="object" type="IBusSerializable*"/>
					<parameter name="builder" type="GVariantBuilder*"/>
				</parameters>
			</vfunc>
		</object>
		<object name="IBusService" parent="IBusObject" type-name="IBusService" get-type="ibus_service_get_type">
			<method name="class_add_interfaces" symbol="ibus_service_class_add_interfaces">
				<return-type type="gboolean"/>
				<parameters>
					<parameter name="klass" type="IBusServiceClass*"/>
					<parameter name="xml_data" type="gchar*"/>
				</parameters>
			</method>
			<method name="emit_signal" symbol="ibus_service_emit_signal">
				<return-type type="gboolean"/>
				<parameters>
					<parameter name="service" type="IBusService*"/>
					<parameter name="dest_bus_name" type="gchar*"/>
					<parameter name="interface_name" type="gchar*"/>
					<parameter name="signal_name" type="gchar*"/>
					<parameter name="parameters" type="GVariant*"/>
					<parameter name="error" type="GError**"/>
				</parameters>
			</method>
			<method name="get_connection" symbol="ibus_service_get_connection">
				<return-type type="GDBusConnection*"/>
				<parameters>
					<parameter name="service" type="IBusService*"/>
				</parameters>
			</method>
			<method name="get_object_path" symbol="ibus_service_get_object_path">
				<return-type type="gchar*"/>
				<parameters>
					<parameter name="service" type="IBusService*"/>
				</parameters>
			</method>
			<constructor name="new" symbol="ibus_service_new">
				<return-type type="IBusService*"/>
				<parameters>
					<parameter name="connection" type="GDBusConnection*"/>
					<parameter name="path" type="gchar*"/>
				</parameters>
			</constructor>
			<method name="register" symbol="ibus_service_register">
				<return-type type="gboolean"/>
				<parameters>
					<parameter name="service" type="IBusService*"/>
					<parameter name="connection" type="GDBusConnection*"/>
					<parameter name="error" type="GError**"/>
				</parameters>
			</method>
			<method name="unregister" symbol="ibus_service_unregister">
				<return-type type="void"/>
				<parameters>
					<parameter name="service" type="IBusService*"/>
					<parameter name="connection" type="GDBusConnection*"/>
				</parameters>
			</method>
			<property name="connection" type="GDBusConnection*" readable="1" writable="1" construct="0" construct-only="1"/>
			<property name="object-path" type="char*" readable="1" writable="1" construct="0" construct-only="1"/>
			<vfunc name="service_get_property">
				<return-type type="GVariant*"/>
				<parameters>
					<parameter name="service" type="IBusService*"/>
					<parameter name="connection" type="GDBusConnection*"/>
					<parameter name="sender" type="gchar*"/>
					<parameter name="object_path" type="gchar*"/>
					<parameter name="interface_name" type="gchar*"/>
					<parameter name="property_name" type="gchar*"/>
					<parameter name="error" type="GError**"/>
				</parameters>
			</vfunc>
			<vfunc name="service_method_call">
				<return-type type="void"/>
				<parameters>
					<parameter name="service" type="IBusService*"/>
					<parameter name="connection" type="GDBusConnection*"/>
					<parameter name="sender" type="gchar*"/>
					<parameter name="object_path" type="gchar*"/>
					<parameter name="interface_name" type="gchar*"/>
					<parameter name="method_name" type="gchar*"/>
					<parameter name="parameters" type="GVariant*"/>
					<parameter name="invocation" type="GDBusMethodInvocation*"/>
				</parameters>
			</vfunc>
			<vfunc name="service_set_property">
				<return-type type="gboolean"/>
				<parameters>
					<parameter name="service" type="IBusService*"/>
					<parameter name="connection" type="GDBusConnection*"/>
					<parameter name="sender" type="gchar*"/>
					<parameter name="object_path" type="gchar*"/>
					<parameter name="interface_name" type="gchar*"/>
					<parameter name="property_name" type="gchar*"/>
					<parameter name="value" type="GVariant*"/>
					<parameter name="error" type="GError**"/>
				</parameters>
			</vfunc>
		</object>
		<object name="IBusText" parent="IBusSerializable" type-name="IBusText" get-type="ibus_text_get_type">
			<method name="append_attribute" symbol="ibus_text_append_attribute">
				<return-type type="void"/>
				<parameters>
					<parameter name="text" type="IBusText*"/>
					<parameter name="type" type="guint"/>
					<parameter name="value" type="guint"/>
					<parameter name="start_index" type="guint"/>
					<parameter name="end_index" type="gint"/>
				</parameters>
			</method>
			<method name="get_attributes" symbol="ibus_text_get_attributes">
				<return-type type="IBusAttrList*"/>
				<parameters>
					<parameter name="text" type="IBusText*"/>
				</parameters>
			</method>
			<method name="get_is_static" symbol="ibus_text_get_is_static">
				<return-type type="gboolean"/>
				<parameters>
					<parameter name="text" type="IBusText*"/>
				</parameters>
			</method>
			<method name="get_length" symbol="ibus_text_get_length">
				<return-type type="guint"/>
				<parameters>
					<parameter name="text" type="IBusText*"/>
				</parameters>
			</method>
			<method name="get_text" symbol="ibus_text_get_text">
				<return-type type="gchar*"/>
				<parameters>
					<parameter name="text" type="IBusText*"/>
				</parameters>
			</method>
			<constructor name="new_from_printf" symbol="ibus_text_new_from_printf">
				<return-type type="IBusText*"/>
				<parameters>
					<parameter name="fmt" type="gchar*"/>
				</parameters>
			</constructor>
			<constructor name="new_from_static_string" symbol="ibus_text_new_from_static_string">
				<return-type type="IBusText*"/>
				<parameters>
					<parameter name="str" type="gchar*"/>
				</parameters>
			</constructor>
			<constructor name="new_from_string" symbol="ibus_text_new_from_string">
				<return-type type="IBusText*"/>
				<parameters>
					<parameter name="str" type="gchar*"/>
				</parameters>
			</constructor>
			<constructor name="new_from_ucs4" symbol="ibus_text_new_from_ucs4">
				<return-type type="IBusText*"/>
				<parameters>
					<parameter name="str" type="gunichar*"/>
				</parameters>
			</constructor>
			<constructor name="new_from_unichar" symbol="ibus_text_new_from_unichar">
				<return-type type="IBusText*"/>
				<parameters>
					<parameter name="c" type="gunichar"/>
				</parameters>
			</constructor>
			<field name="is_static" type="gboolean"/>
			<field name="text" type="gchar*"/>
			<field name="attrs" type="IBusAttrList*"/>
		</object>
		<constant name="IBUS_INTERFACE_CONFIG" type="char*" value="org.freedesktop.IBus.Config"/>
		<constant name="IBUS_INTERFACE_ENGINE" type="char*" value="org.freedesktop.IBus.Engine"/>
		<constant name="IBUS_INTERFACE_FACTORY" type="char*" value="org.freedesktop.IBus.Factory"/>
		<constant name="IBUS_INTERFACE_IBUS" type="char*" value="org.freedesktop.IBus"/>
		<constant name="IBUS_INTERFACE_INPUT_CONTEXT" type="char*" value="org.freedesktop.IBus.InputContext"/>
		<constant name="IBUS_INTERFACE_NOTIFICATIONS" type="char*" value="org.freedesktop.IBus.Notifications"/>
		<constant name="IBUS_INTERFACE_PANEL" type="char*" value="org.freedesktop.IBus.Panel"/>
		<constant name="IBUS_KEY_0" type="int" value="48"/>
		<constant name="IBUS_KEY_1" type="int" value="49"/>
		<constant name="IBUS_KEY_2" type="int" value="50"/>
		<constant name="IBUS_KEY_3" type="int" value="51"/>
		<constant name="IBUS_KEY_3270_AltCursor" type="int" value="64784"/>
		<constant name="IBUS_KEY_3270_Attn" type="int" value="64782"/>
		<constant name="IBUS_KEY_3270_BackTab" type="int" value="64773"/>
		<constant name="IBUS_KEY_3270_ChangeScreen" type="int" value="64793"/>
		<constant name="IBUS_KEY_3270_Copy" type="int" value="64789"/>
		<constant name="IBUS_KEY_3270_CursorBlink" type="int" value="64783"/>
		<constant name="IBUS_KEY_3270_CursorSelect" type="int" value="64796"/>
		<constant name="IBUS_KEY_3270_DeleteWord" type="int" value="64794"/>
		<constant name="IBUS_KEY_3270_Duplicate" type="int" value="64769"/>
		<constant name="IBUS_KEY_3270_Enter" type="int" value="64798"/>
		<constant name="IBUS_KEY_3270_EraseEOF" type="int" value="64774"/>
		<constant name="IBUS_KEY_3270_EraseInput" type="int" value="64775"/>
		<constant name="IBUS_KEY_3270_ExSelect" type="int" value="64795"/>
		<constant name="IBUS_KEY_3270_FieldMark" type="int" value="64770"/>
		<constant name="IBUS_KEY_3270_Ident" type="int" value="64787"/>
		<constant name="IBUS_KEY_3270_Jump" type="int" value="64786"/>
		<constant name="IBUS_KEY_3270_KeyClick" type="int" value="64785"/>
		<constant name="IBUS_KEY_3270_Left2" type="int" value="64772"/>
		<constant name="IBUS_KEY_3270_PA1" type="int" value="64778"/>
		<constant name="IBUS_KEY_3270_PA2" type="int" value="64779"/>
		<constant name="IBUS_KEY_3270_PA3" type="int" value="64780"/>
		<constant name="IBUS_KEY_3270_Play" type="int" value="64790"/>
		<constant name="IBUS_KEY_3270_PrintScreen" type="int" value="64797"/>
		<constant name="IBUS_KEY_3270_Quit" type="int" value="64777"/>
		<constant name="IBUS_KEY_3270_Record" type="int" value="64792"/>
		<constant name="IBUS_KEY_3270_Reset" type="int" value="64776"/>
		<constant name="IBUS_KEY_3270_Right2" type="int" value="64771"/>
		<constant name="IBUS_KEY_3270_Rule" type="int" value="64788"/>
		<constant name="IBUS_KEY_3270_Setup" type="int" value="64791"/>
		<constant name="IBUS_KEY_3270_Test" type="int" value="64781"/>
		<constant name="IBUS_KEY_4" type="int" value="52"/>
		<constant name="IBUS_KEY_5" type="int" value="53"/>
		<constant name="IBUS_KEY_6" type="int" value="54"/>
		<constant name="IBUS_KEY_7" type="int" value="55"/>
		<constant name="IBUS_KEY_8" type="int" value="56"/>
		<constant name="IBUS_KEY_9" type="int" value="57"/>
		<constant name="IBUS_KEY_A" type="int" value="65"/>
		<constant name="IBUS_KEY_AE" type="int" value="198"/>
		<constant name="IBUS_KEY_Aacute" type="int" value="193"/>
		<constant name="IBUS_KEY_Abelowdot" type="int" value="16785056"/>
		<constant name="IBUS_KEY_Abreve" type="int" value="451"/>
		<constant name="IBUS_KEY_Abreveacute" type="int" value="16785070"/>
		<constant name="IBUS_KEY_Abrevebelowdot" type="int" value="16785078"/>
		<constant name="IBUS_KEY_Abrevegrave" type="int" value="16785072"/>
		<constant name="IBUS_KEY_Abrevehook" type="int" value="16785074"/>
		<constant name="IBUS_KEY_Abrevetilde" type="int" value="16785076"/>
		<constant name="IBUS_KEY_AccessX_Enable" type="int" value="65136"/>
		<constant name="IBUS_KEY_AccessX_Feedback_Enable" type="int" value="65137"/>
		<constant name="IBUS_KEY_Acircumflex" type="int" value="194"/>
		<constant name="IBUS_KEY_Acircumflexacute" type="int" value="16785060"/>
		<constant name="IBUS_KEY_Acircumflexbelowdot" type="int" value="16785068"/>
		<constant name="IBUS_KEY_Acircumflexgrave" type="int" value="16785062"/>
		<constant name="IBUS_KEY_Acircumflexhook" type="int" value="16785064"/>
		<constant name="IBUS_KEY_Acircumflextilde" type="int" value="16785066"/>
		<constant name="IBUS_KEY_Adiaeresis" type="int" value="196"/>
		<constant name="IBUS_KEY_Agrave" type="int" value="192"/>
		<constant name="IBUS_KEY_Ahook" type="int" value="16785058"/>
		<constant name="IBUS_KEY_Alt_L" type="int" value="65513"/>
		<constant name="IBUS_KEY_Alt_R" type="int" value="65514"/>
		<constant name="IBUS_KEY_Amacron" type="int" value="960"/>
		<constant name="IBUS_KEY_Aogonek" type="int" value="417"/>
		<constant name="IBUS_KEY_Arabic_0" type="int" value="16778848"/>
		<constant name="IBUS_KEY_Arabic_1" type="int" value="16778849"/>
		<constant name="IBUS_KEY_Arabic_2" type="int" value="16778850"/>
		<constant name="IBUS_KEY_Arabic_3" type="int" value="16778851"/>
		<constant name="IBUS_KEY_Arabic_4" type="int" value="16778852"/>
		<constant name="IBUS_KEY_Arabic_5" type="int" value="16778853"/>
		<constant name="IBUS_KEY_Arabic_6" type="int" value="16778854"/>
		<constant name="IBUS_KEY_Arabic_7" type="int" value="16778855"/>
		<constant name="IBUS_KEY_Arabic_8" type="int" value="16778856"/>
		<constant name="IBUS_KEY_Arabic_9" type="int" value="16778857"/>
		<constant name="IBUS_KEY_Arabic_ain" type="int" value="1497"/>
		<constant name="IBUS_KEY_Arabic_alef" type="int" value="1479"/>
		<constant name="IBUS_KEY_Arabic_alefmaksura" type="int" value="1513"/>
		<constant name="IBUS_KEY_Arabic_beh" type="int" value="1480"/>
		<constant name="IBUS_KEY_Arabic_comma" type="int" value="1452"/>
		<constant name="IBUS_KEY_Arabic_dad" type="int" value="1494"/>
		<constant name="IBUS_KEY_Arabic_dal" type="int" value="1487"/>
		<constant name="IBUS_KEY_Arabic_damma" type="int" value="1519"/>
		<constant name="IBUS_KEY_Arabic_dammatan" type="int" value="1516"/>
		<constant name="IBUS_KEY_Arabic_ddal" type="int" value="16778888"/>
		<constant name="IBUS_KEY_Arabic_farsi_yeh" type="int" value="16778956"/>
		<constant name="IBUS_KEY_Arabic_fatha" type="int" value="1518"/>
		<constant name="IBUS_KEY_Arabic_fathatan" type="int" value="1515"/>
		<constant name="IBUS_KEY_Arabic_feh" type="int" value="1505"/>
		<constant name="IBUS_KEY_Arabic_fullstop" type="int" value="16778964"/>
		<constant name="IBUS_KEY_Arabic_gaf" type="int" value="16778927"/>
		<constant name="IBUS_KEY_Arabic_ghain" type="int" value="1498"/>
		<constant name="IBUS_KEY_Arabic_ha" type="int" value="1511"/>
		<constant name="IBUS_KEY_Arabic_hah" type="int" value="1485"/>
		<constant name="IBUS_KEY_Arabic_hamza" type="int" value="1473"/>
		<constant name="IBUS_KEY_Arabic_hamza_above" type="int" value="16778836"/>
		<constant name="IBUS_KEY_Arabic_hamza_below" type="int" value="16778837"/>
		<constant name="IBUS_KEY_Arabic_hamzaonalef" type="int" value="1475"/>
		<constant name="IBUS_KEY_Arabic_hamzaonwaw" type="int" value="1476"/>
		<constant name="IBUS_KEY_Arabic_hamzaonyeh" type="int" value="1478"/>
		<constant name="IBUS_KEY_Arabic_hamzaunderalef" type="int" value="1477"/>
		<constant name="IBUS_KEY_Arabic_heh" type="int" value="1511"/>
		<constant name="IBUS_KEY_Arabic_heh_doachashmee" type="int" value="16778942"/>
		<constant name="IBUS_KEY_Arabic_heh_goal" type="int" value="16778945"/>
		<constant name="IBUS_KEY_Arabic_jeem" type="int" value="1484"/>
		<constant name="IBUS_KEY_Arabic_jeh" type="int" value="16778904"/>
		<constant name="IBUS_KEY_Arabic_kaf" type="int" value="1507"/>
		<constant name="IBUS_KEY_Arabic_kasra" type="int" value="1520"/>
		<constant name="IBUS_KEY_Arabic_kasratan" type="int" value="1517"/>
		<constant name="IBUS_KEY_Arabic_keheh" type="int" value="16778921"/>
		<constant name="IBUS_KEY_Arabic_khah" type="int" value="1486"/>
		<constant name="IBUS_KEY_Arabic_lam" type="int" value="1508"/>
		<constant name="IBUS_KEY_Arabic_madda_above" type="int" value="16778835"/>
		<constant name="IBUS_KEY_Arabic_maddaonalef" type="int" value="1474"/>
		<constant name="IBUS_KEY_Arabic_meem" type="int" value="1509"/>
		<constant name="IBUS_KEY_Arabic_noon" type="int" value="1510"/>
		<constant name="IBUS_KEY_Arabic_noon_ghunna" type="int" value="16778938"/>
		<constant name="IBUS_KEY_Arabic_peh" type="int" value="16778878"/>
		<constant name="IBUS_KEY_Arabic_percent" type="int" value="16778858"/>
		<constant name="IBUS_KEY_Arabic_qaf" type="int" value="1506"/>
		<constant name="IBUS_KEY_Arabic_question_mark" type="int" value="1471"/>
		<constant name="IBUS_KEY_Arabic_ra" type="int" value="1489"/>
		<constant name="IBUS_KEY_Arabic_rreh" type="int" value="16778897"/>
		<constant name="IBUS_KEY_Arabic_sad" type="int" value="1493"/>
		<constant name="IBUS_KEY_Arabic_seen" type="int" value="1491"/>
		<constant name="IBUS_KEY_Arabic_semicolon" type="int" value="1467"/>
		<constant name="IBUS_KEY_Arabic_shadda" type="int" value="1521"/>
		<constant name="IBUS_KEY_Arabic_sheen" type="int" value="1492"/>
		<constant name="IBUS_KEY_Arabic_sukun" type="int" value="1522"/>
		<constant name="IBUS_KEY_Arabic_superscript_alef" type="int" value="16778864"/>
		<constant name="IBUS_KEY_Arabic_switch" type="int" value="65406"/>
		<constant name="IBUS_KEY_Arabic_tah" type="int" value="1495"/>
		<constant name="IBUS_KEY_Arabic_tatweel" type="int" value="1504"/>
		<constant name="IBUS_KEY_Arabic_tcheh" type="int" value="16778886"/>
		<constant name="IBUS_KEY_Arabic_teh" type="int" value="1482"/>
		<constant name="IBUS_KEY_Arabic_tehmarbuta" type="int" value="1481"/>
		<constant name="IBUS_KEY_Arabic_thal" type="int" value="1488"/>
		<constant name="IBUS_KEY_Arabic_theh" type="int" value="1483"/>
		<constant name="IBUS_KEY_Arabic_tteh" type="int" value="16778873"/>
		<constant name="IBUS_KEY_Arabic_veh" type="int" value="16778916"/>
		<constant name="IBUS_KEY_Arabic_waw" type="int" value="1512"/>
		<constant name="IBUS_KEY_Arabic_yeh" type="int" value="1514"/>
		<constant name="IBUS_KEY_Arabic_yeh_baree" type="int" value="16778962"/>
		<constant name="IBUS_KEY_Arabic_zah" type="int" value="1496"/>
		<constant name="IBUS_KEY_Arabic_zain" type="int" value="1490"/>
		<constant name="IBUS_KEY_Aring" type="int" value="197"/>
		<constant name="IBUS_KEY_Armenian_AT" type="int" value="16778552"/>
		<constant name="IBUS_KEY_Armenian_AYB" type="int" value="16778545"/>
		<constant name="IBUS_KEY_Armenian_BEN" type="int" value="16778546"/>
		<constant name="IBUS_KEY_Armenian_CHA" type="int" value="16778569"/>
		<constant name="IBUS_KEY_Armenian_DA" type="int" value="16778548"/>
		<constant name="IBUS_KEY_Armenian_DZA" type="int" value="16778561"/>
		<constant name="IBUS_KEY_Armenian_E" type="int" value="16778551"/>
		<constant name="IBUS_KEY_Armenian_FE" type="int" value="16778582"/>
		<constant name="IBUS_KEY_Armenian_GHAT" type="int" value="16778562"/>
		<constant name="IBUS_KEY_Armenian_GIM" type="int" value="16778547"/>
		<constant name="IBUS_KEY_Armenian_HI" type="int" value="16778565"/>
		<constant name="IBUS_KEY_Armenian_HO" type="int" value="16778560"/>
		<constant name="IBUS_KEY_Armenian_INI" type="int" value="16778555"/>
		<constant name="IBUS_KEY_Armenian_JE" type="int" value="16778571"/>
		<constant name="IBUS_KEY_Armenian_KE" type="int" value="16778580"/>
		<constant name="IBUS_KEY_Armenian_KEN" type="int" value="16778559"/>
		<constant name="IBUS_KEY_Armenian_KHE" type="int" value="16778557"/>
		<constant name="IBUS_KEY_Armenian_LYUN" type="int" value="16778556"/>
		<constant name="IBUS_KEY_Armenian_MEN" type="int" value="16778564"/>
		<constant name="IBUS_KEY_Armenian_NU" type="int" value="16778566"/>
		<constant name="IBUS_KEY_Armenian_O" type="int" value="16778581"/>
		<constant name="IBUS_KEY_Armenian_PE" type="int" value="16778570"/>
		<constant name="IBUS_KEY_Armenian_PYUR" type="int" value="16778579"/>
		<constant name="IBUS_KEY_Armenian_RA" type="int" value="16778572"/>
		<constant name="IBUS_KEY_Armenian_RE" type="int" value="16778576"/>
		<constant name="IBUS_KEY_Armenian_SE" type="int" value="16778573"/>
		<constant name="IBUS_KEY_Armenian_SHA" type="int" value="16778567"/>
		<constant name="IBUS_KEY_Armenian_TCHE" type="int" value="16778563"/>
		<constant name="IBUS_KEY_Armenian_TO" type="int" value="16778553"/>
		<constant name="IBUS_KEY_Armenian_TSA" type="int" value="16778558"/>
		<constant name="IBUS_KEY_Armenian_TSO" type="int" value="16778577"/>
		<constant name="IBUS_KEY_Armenian_TYUN" type="int" value="16778575"/>
		<constant name="IBUS_KEY_Armenian_VEV" type="int" value="16778574"/>
		<constant name="IBUS_KEY_Armenian_VO" type="int" value="16778568"/>
		<constant name="IBUS_KEY_Armenian_VYUN" type="int" value="16778578"/>
		<constant name="IBUS_KEY_Armenian_YECH" type="int" value="16778549"/>
		<constant name="IBUS_KEY_Armenian_ZA" type="int" value="16778550"/>
		<constant name="IBUS_KEY_Armenian_ZHE" type="int" value="16778554"/>
		<constant name="IBUS_KEY_Armenian_accent" type="int" value="16778587"/>
		<constant name="IBUS_KEY_Armenian_amanak" type="int" value="16778588"/>
		<constant name="IBUS_KEY_Armenian_apostrophe" type="int" value="16778586"/>
		<constant name="IBUS_KEY_Armenian_at" type="int" value="16778600"/>
		<constant name="IBUS_KEY_Armenian_ayb" type="int" value="16778593"/>
		<constant name="IBUS_KEY_Armenian_ben" type="int" value="16778594"/>
		<constant name="IBUS_KEY_Armenian_but" type="int" value="16778589"/>
		<constant name="IBUS_KEY_Armenian_cha" type="int" value="16778617"/>
		<constant name="IBUS_KEY_Armenian_da" type="int" value="16778596"/>
		<constant name="IBUS_KEY_Armenian_dza" type="int" value="16778609"/>
		<constant name="IBUS_KEY_Armenian_e" type="int" value="16778599"/>
		<constant name="IBUS_KEY_Armenian_exclam" type="int" value="16778588"/>
		<constant name="IBUS_KEY_Armenian_fe" type="int" value="16778630"/>
		<constant name="IBUS_KEY_Armenian_full_stop" type="int" value="16778633"/>
		<constant name="IBUS_KEY_Armenian_ghat" type="int" value="16778610"/>
		<constant name="IBUS_KEY_Armenian_gim" type="int" value="16778595"/>
		<constant name="IBUS_KEY_Armenian_hi" type="int" value="16778613"/>
		<constant name="IBUS_KEY_Armenian_ho" type="int" value="16778608"/>
		<constant name="IBUS_KEY_Armenian_hyphen" type="int" value="16778634"/>
		<constant name="IBUS_KEY_Armenian_ini" type="int" value="16778603"/>
		<constant name="IBUS_KEY_Armenian_je" type="int" value="16778619"/>
		<constant name="IBUS_KEY_Armenian_ke" type="int" value="16778628"/>
		<constant name="IBUS_KEY_Armenian_ken" type="int" value="16778607"/>
		<constant name="IBUS_KEY_Armenian_khe" type="int" value="16778605"/>
		<constant name="IBUS_KEY_Armenian_ligature_ew" type="int" value="16778631"/>
		<constant name="IBUS_KEY_Armenian_lyun" type="int" value="16778604"/>
		<constant name="IBUS_KEY_Armenian_men" type="int" value="16778612"/>
		<constant name="IBUS_KEY_Armenian_nu" type="int" value="16778614"/>
		<constant name="IBUS_KEY_Armenian_o" type="int" value="16778629"/>
		<constant name="IBUS_KEY_Armenian_paruyk" type="int" value="16778590"/>
		<constant name="IBUS_KEY_Armenian_pe" type="int" value="16778618"/>
		<constant name="IBUS_KEY_Armenian_pyur" type="int" value="16778627"/>
		<constant name="IBUS_KEY_Armenian_question" type="int" value="16778590"/>
		<constant name="IBUS_KEY_Armenian_ra" type="int" value="16778620"/>
		<constant name="IBUS_KEY_Armenian_re" type="int" value="16778624"/>
		<constant name="IBUS_KEY_Armenian_se" type="int" value="16778621"/>
		<constant name="IBUS_KEY_Armenian_separation_mark" type="int" value="16778589"/>
		<constant name="IBUS_KEY_Armenian_sha" type="int" value="16778615"/>
		<constant name="IBUS_KEY_Armenian_shesht" type="int" value="16778587"/>
		<constant name="IBUS_KEY_Armenian_tche" type="int" value="16778611"/>
		<constant name="IBUS_KEY_Armenian_to" type="int" value="16778601"/>
		<constant name="IBUS_KEY_Armenian_tsa" type="int" value="16778606"/>
		<constant name="IBUS_KEY_Armenian_tso" type="int" value="16778625"/>
		<constant name="IBUS_KEY_Armenian_tyun" type="int" value="16778623"/>
		<constant name="IBUS_KEY_Armenian_verjaket" type="int" value="16778633"/>
		<constant name="IBUS_KEY_Armenian_vev" type="int" value="16778622"/>
		<constant name="IBUS_KEY_Armenian_vo" type="int" value="16778616"/>
		<constant name="IBUS_KEY_Armenian_vyun" type="int" value="16778626"/>
		<constant name="IBUS_KEY_Armenian_yech" type="int" value="16778597"/>
		<constant name="IBUS_KEY_Armenian_yentamna" type="int" value="16778634"/>
		<constant name="IBUS_KEY_Armenian_za" type="int" value="16778598"/>
		<constant name="IBUS_KEY_Armenian_zhe" type="int" value="16778602"/>
		<constant name="IBUS_KEY_Atilde" type="int" value="195"/>
		<constant name="IBUS_KEY_AudibleBell_Enable" type="int" value="65146"/>
		<constant name="IBUS_KEY_B" type="int" value="66"/>
		<constant name="IBUS_KEY_Babovedot" type="int" value="16784898"/>
		<constant name="IBUS_KEY_BackSpace" type="int" value="65288"/>
		<constant name="IBUS_KEY_Begin" type="int" value="65368"/>
		<constant name="IBUS_KEY_BounceKeys_Enable" type="int" value="65140"/>
		<constant name="IBUS_KEY_Break" type="int" value="65387"/>
		<constant name="IBUS_KEY_Byelorussian_SHORTU" type="int" value="1726"/>
		<constant name="IBUS_KEY_Byelorussian_shortu" type="int" value="1710"/>
		<constant name="IBUS_KEY_C" type="int" value="67"/>
		<constant name="IBUS_KEY_CH" type="int" value="65186"/>
		<constant name="IBUS_KEY_C_H" type="int" value="65189"/>
		<constant name="IBUS_KEY_C_h" type="int" value="65188"/>
		<constant name="IBUS_KEY_Cabovedot" type="int" value="709"/>
		<constant name="IBUS_KEY_Cacute" type="int" value="454"/>
		<constant name="IBUS_KEY_Cancel" type="int" value="65385"/>
		<constant name="IBUS_KEY_Caps_Lock" type="int" value="65509"/>
		<constant name="IBUS_KEY_Ccaron" type="int" value="456"/>
		<constant name="IBUS_KEY_Ccedilla" type="int" value="199"/>
		<constant name="IBUS_KEY_Ccircumflex" type="int" value="710"/>
		<constant name="IBUS_KEY_Ch" type="int" value="65185"/>
		<constant name="IBUS_KEY_Clear" type="int" value="65291"/>
		<constant name="IBUS_KEY_Codeinput" type="int" value="65335"/>
		<constant name="IBUS_KEY_ColonSign" type="int" value="16785569"/>
		<constant name="IBUS_KEY_Control_L" type="int" value="65507"/>
		<constant name="IBUS_KEY_Control_R" type="int" value="65508"/>
		<constant name="IBUS_KEY_CruzeiroSign" type="int" value="16785570"/>
		<constant name="IBUS_KEY_Cyrillic_A" type="int" value="1761"/>
		<constant name="IBUS_KEY_Cyrillic_BE" type="int" value="1762"/>
		<constant name="IBUS_KEY_Cyrillic_CHE" type="int" value="1790"/>
		<constant name="IBUS_KEY_Cyrillic_CHE_descender" type="int" value="16778422"/>
		<constant name="IBUS_KEY_Cyrillic_CHE_vertstroke" type="int" value="16778424"/>
		<constant name="IBUS_KEY_Cyrillic_DE" type="int" value="1764"/>
		<constant name="IBUS_KEY_Cyrillic_DZHE" type="int" value="1727"/>
		<constant name="IBUS_KEY_Cyrillic_E" type="int" value="1788"/>
		<constant name="IBUS_KEY_Cyrillic_EF" type="int" value="1766"/>
		<constant name="IBUS_KEY_Cyrillic_EL" type="int" value="1772"/>
		<constant name="IBUS_KEY_Cyrillic_EM" type="int" value="1773"/>
		<constant name="IBUS_KEY_Cyrillic_EN" type="int" value="1774"/>
		<constant name="IBUS_KEY_Cyrillic_EN_descender" type="int" value="16778402"/>
		<constant name="IBUS_KEY_Cyrillic_ER" type="int" value="1778"/>
		<constant name="IBUS_KEY_Cyrillic_ES" type="int" value="1779"/>
		<constant name="IBUS_KEY_Cyrillic_GHE" type="int" value="1767"/>
		<constant name="IBUS_KEY_Cyrillic_GHE_bar" type="int" value="16778386"/>
		<constant name="IBUS_KEY_Cyrillic_HA" type="int" value="1768"/>
		<constant name="IBUS_KEY_Cyrillic_HARDSIGN" type="int" value="1791"/>
		<constant name="IBUS_KEY_Cyrillic_HA_descender" type="int" value="16778418"/>
		<constant name="IBUS_KEY_Cyrillic_I" type="int" value="1769"/>
		<constant name="IBUS_KEY_Cyrillic_IE" type="int" value="1765"/>
		<constant name="IBUS_KEY_Cyrillic_IO" type="int" value="1715"/>
		<constant name="IBUS_KEY_Cyrillic_I_macron" type="int" value="16778466"/>
		<constant name="IBUS_KEY_Cyrillic_JE" type="int" value="1720"/>
		<constant name="IBUS_KEY_Cyrillic_KA" type="int" value="1771"/>
		<constant name="IBUS_KEY_Cyrillic_KA_descender" type="int" value="16778394"/>
		<constant name="IBUS_KEY_Cyrillic_KA_vertstroke" type="int" value="16778396"/>
		<constant name="IBUS_KEY_Cyrillic_LJE" type="int" value="1721"/>
		<constant name="IBUS_KEY_Cyrillic_NJE" type="int" value="1722"/>
		<constant name="IBUS_KEY_Cyrillic_O" type="int" value="1775"/>
		<constant name="IBUS_KEY_Cyrillic_O_bar" type="int" value="16778472"/>
		<constant name="IBUS_KEY_Cyrillic_PE" type="int" value="1776"/>
		<constant name="IBUS_KEY_Cyrillic_SCHWA" type="int" value="16778456"/>
		<constant name="IBUS_KEY_Cyrillic_SHA" type="int" value="1787"/>
		<constant name="IBUS_KEY_Cyrillic_SHCHA" type="int" value="1789"/>
		<constant name="IBUS_KEY_Cyrillic_SHHA" type="int" value="16778426"/>
		<constant name="IBUS_KEY_Cyrillic_SHORTI" type="int" value="1770"/>
		<constant name="IBUS_KEY_Cyrillic_SOFTSIGN" type="int" value="1784"/>
		<constant name="IBUS_KEY_Cyrillic_TE" type="int" value="1780"/>
		<constant name="IBUS_KEY_Cyrillic_TSE" type="int" value="1763"/>
		<constant name="IBUS_KEY_Cyrillic_U" type="int" value="1781"/>
		<constant name="IBUS_KEY_Cyrillic_U_macron" type="int" value="16778478"/>
		<constant name="IBUS_KEY_Cyrillic_U_straight" type="int" value="16778414"/>
		<constant name="IBUS_KEY_Cyrillic_U_straight_bar" type="int" value="16778416"/>
		<constant name="IBUS_KEY_Cyrillic_VE" type="int" value="1783"/>
		<constant name="IBUS_KEY_Cyrillic_YA" type="int" value="1777"/>
		<constant name="IBUS_KEY_Cyrillic_YERU" type="int" value="1785"/>
		<constant name="IBUS_KEY_Cyrillic_YU" type="int" value="1760"/>
		<constant name="IBUS_KEY_Cyrillic_ZE" type="int" value="1786"/>
		<constant name="IBUS_KEY_Cyrillic_ZHE" type="int" value="1782"/>
		<constant name="IBUS_KEY_Cyrillic_ZHE_descender" type="int" value="16778390"/>
		<constant name="IBUS_KEY_Cyrillic_a" type="int" value="1729"/>
		<constant name="IBUS_KEY_Cyrillic_be" type="int" value="1730"/>
		<constant name="IBUS_KEY_Cyrillic_che" type="int" value="1758"/>
		<constant name="IBUS_KEY_Cyrillic_che_descender" type="int" value="16778423"/>
		<constant name="IBUS_KEY_Cyrillic_che_vertstroke" type="int" value="16778425"/>
		<constant name="IBUS_KEY_Cyrillic_de" type="int" value="1732"/>
		<constant name="IBUS_KEY_Cyrillic_dzhe" type="int" value="1711"/>
		<constant name="IBUS_KEY_Cyrillic_e" type="int" value="1756"/>
		<constant name="IBUS_KEY_Cyrillic_ef" type="int" value="1734"/>
		<constant name="IBUS_KEY_Cyrillic_el" type="int" value="1740"/>
		<constant name="IBUS_KEY_Cyrillic_em" type="int" value="1741"/>
		<constant name="IBUS_KEY_Cyrillic_en" type="int" value="1742"/>
		<constant name="IBUS_KEY_Cyrillic_en_descender" type="int" value="16778403"/>
		<constant name="IBUS_KEY_Cyrillic_er" type="int" value="1746"/>
		<constant name="IBUS_KEY_Cyrillic_es" type="int" value="1747"/>
		<constant name="IBUS_KEY_Cyrillic_ghe" type="int" value="1735"/>
		<constant name="IBUS_KEY_Cyrillic_ghe_bar" type="int" value="16778387"/>
		<constant name="IBUS_KEY_Cyrillic_ha" type="int" value="1736"/>
		<constant name="IBUS_KEY_Cyrillic_ha_descender" type="int" value="16778419"/>
		<constant name="IBUS_KEY_Cyrillic_hardsign" type="int" value="1759"/>
		<constant name="IBUS_KEY_Cyrillic_i" type="int" value="1737"/>
		<constant name="IBUS_KEY_Cyrillic_i_macron" type="int" value="16778467"/>
		<constant name="IBUS_KEY_Cyrillic_ie" type="int" value="1733"/>
		<constant name="IBUS_KEY_Cyrillic_io" type="int" value="1699"/>
		<constant name="IBUS_KEY_Cyrillic_je" type="int" value="1704"/>
		<constant name="IBUS_KEY_Cyrillic_ka" type="int" value="1739"/>
		<constant name="IBUS_KEY_Cyrillic_ka_descender" type="int" value="16778395"/>
		<constant name="IBUS_KEY_Cyrillic_ka_vertstroke" type="int" value="16778397"/>
		<constant name="IBUS_KEY_Cyrillic_lje" type="int" value="1705"/>
		<constant name="IBUS_KEY_Cyrillic_nje" type="int" value="1706"/>
		<constant name="IBUS_KEY_Cyrillic_o" type="int" value="1743"/>
		<constant name="IBUS_KEY_Cyrillic_o_bar" type="int" value="16778473"/>
		<constant name="IBUS_KEY_Cyrillic_pe" type="int" value="1744"/>
		<constant name="IBUS_KEY_Cyrillic_schwa" type="int" value="16778457"/>
		<constant name="IBUS_KEY_Cyrillic_sha" type="int" value="1755"/>
		<constant name="IBUS_KEY_Cyrillic_shcha" type="int" value="1757"/>
		<constant name="IBUS_KEY_Cyrillic_shha" type="int" value="16778427"/>
		<constant name="IBUS_KEY_Cyrillic_shorti" type="int" value="1738"/>
		<constant name="IBUS_KEY_Cyrillic_softsign" type="int" value="1752"/>
		<constant name="IBUS_KEY_Cyrillic_te" type="int" value="1748"/>
		<constant name="IBUS_KEY_Cyrillic_tse" type="int" value="1731"/>
		<constant name="IBUS_KEY_Cyrillic_u" type="int" value="1749"/>
		<constant name="IBUS_KEY_Cyrillic_u_macron" type="int" value="16778479"/>
		<constant name="IBUS_KEY_Cyrillic_u_straight" type="int" value="16778415"/>
		<constant name="IBUS_KEY_Cyrillic_u_straight_bar" type="int" value="16778417"/>
		<constant name="IBUS_KEY_Cyrillic_ve" type="int" value="1751"/>
		<constant name="IBUS_KEY_Cyrillic_ya" type="int" value="1745"/>
		<constant name="IBUS_KEY_Cyrillic_yeru" type="int" value="1753"/>
		<constant name="IBUS_KEY_Cyrillic_yu" type="int" value="1728"/>
		<constant name="IBUS_KEY_Cyrillic_ze" type="int" value="1754"/>
		<constant name="IBUS_KEY_Cyrillic_zhe" type="int" value="1750"/>
		<constant name="IBUS_KEY_Cyrillic_zhe_descender" type="int" value="16778391"/>
		<constant name="IBUS_KEY_D" type="int" value="68"/>
		<constant name="IBUS_KEY_Dabovedot" type="int" value="16784906"/>
		<constant name="IBUS_KEY_Dcaron" type="int" value="463"/>
		<constant name="IBUS_KEY_Delete" type="int" value="65535"/>
		<constant name="IBUS_KEY_DongSign" type="int" value="16785579"/>
		<constant name="IBUS_KEY_Down" type="int" value="65364"/>
		<constant name="IBUS_KEY_Dstroke" type="int" value="464"/>
		<constant name="IBUS_KEY_E" type="int" value="69"/>
		<constant name="IBUS_KEY_ENG" type="int" value="957"/>
		<constant name="IBUS_KEY_ETH" type="int" value="208"/>
		<constant name="IBUS_KEY_Eabovedot" type="int" value="972"/>
		<constant name="IBUS_KEY_Eacute" type="int" value="201"/>
		<constant name="IBUS_KEY_Ebelowdot" type="int" value="16785080"/>
		<constant name="IBUS_KEY_Ecaron" type="int" value="460"/>
		<constant name="IBUS_KEY_Ecircumflex" type="int" value="202"/>
		<constant name="IBUS_KEY_Ecircumflexacute" type="int" value="16785086"/>
		<constant name="IBUS_KEY_Ecircumflexbelowdot" type="int" value="16785094"/>
		<constant name="IBUS_KEY_Ecircumflexgrave" type="int" value="16785088"/>
		<constant name="IBUS_KEY_Ecircumflexhook" type="int" value="16785090"/>
		<constant name="IBUS_KEY_Ecircumflextilde" type="int" value="16785092"/>
		<constant name="IBUS_KEY_EcuSign" type="int" value="16785568"/>
		<constant name="IBUS_KEY_Ediaeresis" type="int" value="203"/>
		<constant name="IBUS_KEY_Egrave" type="int" value="200"/>
		<constant name="IBUS_KEY_Ehook" type="int" value="16785082"/>
		<constant name="IBUS_KEY_Eisu_Shift" type="int" value="65327"/>
		<constant name="IBUS_KEY_Eisu_toggle" type="int" value="65328"/>
		<constant name="IBUS_KEY_Emacron" type="int" value="938"/>
		<constant name="IBUS_KEY_End" type="int" value="65367"/>
		<constant name="IBUS_KEY_Eogonek" type="int" value="458"/>
		<constant name="IBUS_KEY_Escape" type="int" value="65307"/>
		<constant name="IBUS_KEY_Eth" type="int" value="208"/>
		<constant name="IBUS_KEY_Etilde" type="int" value="16785084"/>
		<constant name="IBUS_KEY_EuroSign" type="int" value="8364"/>
		<constant name="IBUS_KEY_Execute" type="int" value="65378"/>
		<constant name="IBUS_KEY_F" type="int" value="70"/>
		<constant name="IBUS_KEY_F1" type="int" value="65470"/>
		<constant name="IBUS_KEY_F10" type="int" value="65479"/>
		<constant name="IBUS_KEY_F11" type="int" value="65480"/>
		<constant name="IBUS_KEY_F12" type="int" value="65481"/>
		<constant name="IBUS_KEY_F13" type="int" value="65482"/>
		<constant name="IBUS_KEY_F14" type="int" value="65483"/>
		<constant name="IBUS_KEY_F15" type="int" value="65484"/>
		<constant name="IBUS_KEY_F16" type="int" value="65485"/>
		<constant name="IBUS_KEY_F17" type="int" value="65486"/>
		<constant name="IBUS_KEY_F18" type="int" value="65487"/>
		<constant name="IBUS_KEY_F19" type="int" value="65488"/>
		<constant name="IBUS_KEY_F2" type="int" value="65471"/>
		<constant name="IBUS_KEY_F20" type="int" value="65489"/>
		<constant name="IBUS_KEY_F21" type="int" value="65490"/>
		<constant name="IBUS_KEY_F22" type="int" value="65491"/>
		<constant name="IBUS_KEY_F23" type="int" value="65492"/>
		<constant name="IBUS_KEY_F24" type="int" value="65493"/>
		<constant name="IBUS_KEY_F25" type="int" value="65494"/>
		<constant name="IBUS_KEY_F26" type="int" value="65495"/>
		<constant name="IBUS_KEY_F27" type="int" value="65496"/>
		<constant name="IBUS_KEY_F28" type="int" value="65497"/>
		<constant name="IBUS_KEY_F29" type="int" value="65498"/>
		<constant name="IBUS_KEY_F3" type="int" value="65472"/>
		<constant name="IBUS_KEY_F30" type="int" value="65499"/>
		<constant name="IBUS_KEY_F31" type="int" value="65500"/>
		<constant name="IBUS_KEY_F32" type="int" value="65501"/>
		<constant name="IBUS_KEY_F33" type="int" value="65502"/>
		<constant name="IBUS_KEY_F34" type="int" value="65503"/>
		<constant name="IBUS_KEY_F35" type="int" value="65504"/>
		<constant name="IBUS_KEY_F4" type="int" value="65473"/>
		<constant name="IBUS_KEY_F5" type="int" value="65474"/>
		<constant name="IBUS_KEY_F6" type="int" value="65475"/>
		<constant name="IBUS_KEY_F7" type="int" value="65476"/>
		<constant name="IBUS_KEY_F8" type="int" value="65477"/>
		<constant name="IBUS_KEY_F9" type="int" value="65478"/>
		<constant name="IBUS_KEY_FFrancSign" type="int" value="16785571"/>
		<constant name="IBUS_KEY_Fabovedot" type="int" value="16784926"/>
		<constant name="IBUS_KEY_Farsi_0" type="int" value="16778992"/>
		<constant name="IBUS_KEY_Farsi_1" type="int" value="16778993"/>
		<constant name="IBUS_KEY_Farsi_2" type="int" value="16778994"/>
		<constant name="IBUS_KEY_Farsi_3" type="int" value="16778995"/>
		<constant name="IBUS_KEY_Farsi_4" type="int" value="16778996"/>
		<constant name="IBUS_KEY_Farsi_5" type="int" value="16778997"/>
		<constant name="IBUS_KEY_Farsi_6" type="int" value="16778998"/>
		<constant name="IBUS_KEY_Farsi_7" type="int" value="16778999"/>
		<constant name="IBUS_KEY_Farsi_8" type="int" value="16779000"/>
		<constant name="IBUS_KEY_Farsi_9" type="int" value="16779001"/>
		<constant name="IBUS_KEY_Farsi_yeh" type="int" value="16778956"/>
		<constant name="IBUS_KEY_Find" type="int" value="65384"/>
		<constant name="IBUS_KEY_First_Virtual_Screen" type="int" value="65232"/>
		<constant name="IBUS_KEY_G" type="int" value="71"/>
		<constant name="IBUS_KEY_Gabovedot" type="int" value="725"/>
		<constant name="IBUS_KEY_Gbreve" type="int" value="683"/>
		<constant name="IBUS_KEY_Gcaron" type="int" value="16777702"/>
		<constant name="IBUS_KEY_Gcedilla" type="int" value="939"/>
		<constant name="IBUS_KEY_Gcircumflex" type="int" value="728"/>
		<constant name="IBUS_KEY_Georgian_an" type="int" value="16781520"/>
		<constant name="IBUS_KEY_Georgian_ban" type="int" value="16781521"/>
		<constant name="IBUS_KEY_Georgian_can" type="int" value="16781546"/>
		<constant name="IBUS_KEY_Georgian_char" type="int" value="16781549"/>
		<constant name="IBUS_KEY_Georgian_chin" type="int" value="16781545"/>
		<constant name="IBUS_KEY_Georgian_cil" type="int" value="16781548"/>
		<constant name="IBUS_KEY_Georgian_don" type="int" value="16781523"/>
		<constant name="IBUS_KEY_Georgian_en" type="int" value="16781524"/>
		<constant name="IBUS_KEY_Georgian_fi" type="int" value="16781558"/>
		<constant name="IBUS_KEY_Georgian_gan" type="int" value="16781522"/>
		<constant name="IBUS_KEY_Georgian_ghan" type="int" value="16781542"/>
		<constant name="IBUS_KEY_Georgian_hae" type="int" value="16781552"/>
		<constant name="IBUS_KEY_Georgian_har" type="int" value="16781556"/>
		<constant name="IBUS_KEY_Georgian_he" type="int" value="16781553"/>
		<constant name="IBUS_KEY_Georgian_hie" type="int" value="16781554"/>
		<constant name="IBUS_KEY_Georgian_hoe" type="int" value="16781557"/>
		<constant name="IBUS_KEY_Georgian_in" type="int" value="16781528"/>
		<constant name="IBUS_KEY_Georgian_jhan" type="int" value="16781551"/>
		<constant name="IBUS_KEY_Georgian_jil" type="int" value="16781547"/>
		<constant name="IBUS_KEY_Georgian_kan" type="int" value="16781529"/>
		<constant name="IBUS_KEY_Georgian_khar" type="int" value="16781541"/>
		<constant name="IBUS_KEY_Georgian_las" type="int" value="16781530"/>
		<constant name="IBUS_KEY_Georgian_man" type="int" value="16781531"/>
		<constant name="IBUS_KEY_Georgian_nar" type="int" value="16781532"/>
		<constant name="IBUS_KEY_Georgian_on" type="int" value="16781533"/>
		<constant name="IBUS_KEY_Georgian_par" type="int" value="16781534"/>
		<constant name="IBUS_KEY_Georgian_phar" type="int" value="16781540"/>
		<constant name="IBUS_KEY_Georgian_qar" type="int" value="16781543"/>
		<constant name="IBUS_KEY_Georgian_rae" type="int" value="16781536"/>
		<constant name="IBUS_KEY_Georgian_san" type="int" value="16781537"/>
		<constant name="IBUS_KEY_Georgian_shin" type="int" value="16781544"/>
		<constant name="IBUS_KEY_Georgian_tan" type="int" value="16781527"/>
		<constant name="IBUS_KEY_Georgian_tar" type="int" value="16781538"/>
		<constant name="IBUS_KEY_Georgian_un" type="int" value="16781539"/>
		<constant name="IBUS_KEY_Georgian_vin" type="int" value="16781525"/>
		<constant name="IBUS_KEY_Georgian_we" type="int" value="16781555"/>
		<constant name="IBUS_KEY_Georgian_xan" type="int" value="16781550"/>
		<constant name="IBUS_KEY_Georgian_zen" type="int" value="16781526"/>
		<constant name="IBUS_KEY_Georgian_zhar" type="int" value="16781535"/>
		<constant name="IBUS_KEY_Greek_ALPHA" type="int" value="1985"/>
		<constant name="IBUS_KEY_Greek_ALPHAaccent" type="int" value="1953"/>
		<constant name="IBUS_KEY_Greek_BETA" type="int" value="1986"/>
		<constant name="IBUS_KEY_Greek_CHI" type="int" value="2007"/>
		<constant name="IBUS_KEY_Greek_DELTA" type="int" value="1988"/>
		<constant name="IBUS_KEY_Greek_EPSILON" type="int" value="1989"/>
		<constant name="IBUS_KEY_Greek_EPSILONaccent" type="int" value="1954"/>
		<constant name="IBUS_KEY_Greek_ETA" type="int" value="1991"/>
		<constant name="IBUS_KEY_Greek_ETAaccent" type="int" value="1955"/>
		<constant name="IBUS_KEY_Greek_GAMMA" type="int" value="1987"/>
		<constant name="IBUS_KEY_Greek_IOTA" type="int" value="1993"/>
		<constant name="IBUS_KEY_Greek_IOTAaccent" type="int" value="1956"/>
		<constant name="IBUS_KEY_Greek_IOTAdiaeresis" type="int" value="1957"/>
		<constant name="IBUS_KEY_Greek_IOTAdieresis" type="int" value="1957"/>
		<constant name="IBUS_KEY_Greek_KAPPA" type="int" value="1994"/>
		<constant name="IBUS_KEY_Greek_LAMBDA" type="int" value="1995"/>
		<constant name="IBUS_KEY_Greek_LAMDA" type="int" value="1995"/>
		<constant name="IBUS_KEY_Greek_MU" type="int" value="1996"/>
		<constant name="IBUS_KEY_Greek_NU" type="int" value="1997"/>
		<constant name="IBUS_KEY_Greek_OMEGA" type="int" value="2009"/>
		<constant name="IBUS_KEY_Greek_OMEGAaccent" type="int" value="1963"/>
		<constant name="IBUS_KEY_Greek_OMICRON" type="int" value="1999"/>
		<constant name="IBUS_KEY_Greek_OMICRONaccent" type="int" value="1959"/>
		<constant name="IBUS_KEY_Greek_PHI" type="int" value="2006"/>
		<constant name="IBUS_KEY_Greek_PI" type="int" value="2000"/>
		<constant name="IBUS_KEY_Greek_PSI" type="int" value="2008"/>
		<constant name="IBUS_KEY_Greek_RHO" type="int" value="2001"/>
		<constant name="IBUS_KEY_Greek_SIGMA" type="int" value="2002"/>
		<constant name="IBUS_KEY_Greek_TAU" type="int" value="2004"/>
		<constant name="IBUS_KEY_Greek_THETA" type="int" value="1992"/>
		<constant name="IBUS_KEY_Greek_UPSILON" type="int" value="2005"/>
		<constant name="IBUS_KEY_Greek_UPSILONaccent" type="int" value="1960"/>
		<constant name="IBUS_KEY_Greek_UPSILONdieresis" type="int" value="1961"/>
		<constant name="IBUS_KEY_Greek_XI" type="int" value="1998"/>
		<constant name="IBUS_KEY_Greek_ZETA" type="int" value="1990"/>
		<constant name="IBUS_KEY_Greek_accentdieresis" type="int" value="1966"/>
		<constant name="IBUS_KEY_Greek_alpha" type="int" value="2017"/>
		<constant name="IBUS_KEY_Greek_alphaaccent" type="int" value="1969"/>
		<constant name="IBUS_KEY_Greek_beta" type="int" value="2018"/>
		<constant name="IBUS_KEY_Greek_chi" type="int" value="2039"/>
		<constant name="IBUS_KEY_Greek_delta" type="int" value="2020"/>
		<constant name="IBUS_KEY_Greek_epsilon" type="int" value="2021"/>
		<constant name="IBUS_KEY_Greek_epsilonaccent" type="int" value="1970"/>
		<constant name="IBUS_KEY_Greek_eta" type="int" value="2023"/>
		<constant name="IBUS_KEY_Greek_etaaccent" type="int" value="1971"/>
		<constant name="IBUS_KEY_Greek_finalsmallsigma" type="int" value="2035"/>
		<constant name="IBUS_KEY_Greek_gamma" type="int" value="2019"/>
		<constant name="IBUS_KEY_Greek_horizbar" type="int" value="1967"/>
		<constant name="IBUS_KEY_Greek_iota" type="int" value="2025"/>
		<constant name="IBUS_KEY_Greek_iotaaccent" type="int" value="1972"/>
		<constant name="IBUS_KEY_Greek_iotaaccentdieresis" type="int" value="1974"/>
		<constant name="IBUS_KEY_Greek_iotadieresis" type="int" value="1973"/>
		<constant name="IBUS_KEY_Greek_kappa" type="int" value="2026"/>
		<constant name="IBUS_KEY_Greek_lambda" type="int" value="2027"/>
		<constant name="IBUS_KEY_Greek_lamda" type="int" value="2027"/>
		<constant name="IBUS_KEY_Greek_mu" type="int" value="2028"/>
		<constant name="IBUS_KEY_Greek_nu" type="int" value="2029"/>
		<constant name="IBUS_KEY_Greek_omega" type="int" value="2041"/>
		<constant name="IBUS_KEY_Greek_omegaaccent" type="int" value="1979"/>
		<constant name="IBUS_KEY_Greek_omicron" type="int" value="2031"/>
		<constant name="IBUS_KEY_Greek_omicronaccent" type="int" value="1975"/>
		<constant name="IBUS_KEY_Greek_phi" type="int" value="2038"/>
		<constant name="IBUS_KEY_Greek_pi" type="int" value="2032"/>
		<constant name="IBUS_KEY_Greek_psi" type="int" value="2040"/>
		<constant name="IBUS_KEY_Greek_rho" type="int" value="2033"/>
		<constant name="IBUS_KEY_Greek_sigma" type="int" value="2034"/>
		<constant name="IBUS_KEY_Greek_switch" type="int" value="65406"/>
		<constant name="IBUS_KEY_Greek_tau" type="int" value="2036"/>
		<constant name="IBUS_KEY_Greek_theta" type="int" value="2024"/>
		<constant name="IBUS_KEY_Greek_upsilon" type="int" value="2037"/>
		<constant name="IBUS_KEY_Greek_upsilonaccent" type="int" value="1976"/>
		<constant name="IBUS_KEY_Greek_upsilonaccentdieresis" type="int" value="1978"/>
		<constant name="IBUS_KEY_Greek_upsilondieresis" type="int" value="1977"/>
		<constant name="IBUS_KEY_Greek_xi" type="int" value="2030"/>
		<constant name="IBUS_KEY_Greek_zeta" type="int" value="2022"/>
		<constant name="IBUS_KEY_H" type="int" value="72"/>
		<constant name="IBUS_KEY_Hangul" type="int" value="65329"/>
		<constant name="IBUS_KEY_Hangul_A" type="int" value="3775"/>
		<constant name="IBUS_KEY_Hangul_AE" type="int" value="3776"/>
		<constant name="IBUS_KEY_Hangul_AraeA" type="int" value="3830"/>
		<constant name="IBUS_KEY_Hangul_AraeAE" type="int" value="3831"/>
		<constant name="IBUS_KEY_Hangul_Banja" type="int" value="65337"/>
		<constant name="IBUS_KEY_Hangul_Cieuc" type="int" value="3770"/>
		<constant name="IBUS_KEY_Hangul_Codeinput" type="int" value="65335"/>
		<constant name="IBUS_KEY_Hangul_Dikeud" type="int" value="3751"/>
		<constant name="IBUS_KEY_Hangul_E" type="int" value="3780"/>
		<constant name="IBUS_KEY_Hangul_EO" type="int" value="3779"/>
		<constant name="IBUS_KEY_Hangul_EU" type="int" value="3793"/>
		<constant name="IBUS_KEY_Hangul_End" type="int" value="65331"/>
		<constant name="IBUS_KEY_Hangul_Hanja" type="int" value="65332"/>
		<constant name="IBUS_KEY_Hangul_Hieuh" type="int" value="3774"/>
		<constant name="IBUS_KEY_Hangul_I" type="int" value="3795"/>
		<constant name="IBUS_KEY_Hangul_Ieung" type="int" value="3767"/>
		<constant name="IBUS_KEY_Hangul_J_Cieuc" type="int" value="3818"/>
		<constant name="IBUS_KEY_Hangul_J_Dikeud" type="int" value="3802"/>
		<constant name="IBUS_KEY_Hangul_J_Hieuh" type="int" value="3822"/>
		<constant name="IBUS_KEY_Hangul_J_Ieung" type="int" value="3816"/>
		<constant name="IBUS_KEY_Hangul_J_Jieuj" type="int" value="3817"/>
		<constant name="IBUS_KEY_Hangul_J_Khieuq" type="int" value="3819"/>
		<constant name="IBUS_KEY_Hangul_J_Kiyeog" type="int" value="3796"/>
		<constant name="IBUS_KEY_Hangul_J_KiyeogSios" type="int" value="3798"/>
		<constant name="IBUS_KEY_Hangul_J_KkogjiDalrinIeung" type="int" value="3833"/>
		<constant name="IBUS_KEY_Hangul_J_Mieum" type="int" value="3811"/>
		<constant name="IBUS_KEY_Hangul_J_Nieun" type="int" value="3799"/>
		<constant name="IBUS_KEY_Hangul_J_NieunHieuh" type="int" value="3801"/>
		<constant name="IBUS_KEY_Hangul_J_NieunJieuj" type="int" value="3800"/>
		<constant name="IBUS_KEY_Hangul_J_PanSios" type="int" value="3832"/>
		<constant name="IBUS_KEY_Hangul_J_Phieuf" type="int" value="3821"/>
		<constant name="IBUS_KEY_Hangul_J_Pieub" type="int" value="3812"/>
		<constant name="IBUS_KEY_Hangul_J_PieubSios" type="int" value="3813"/>
		<constant name="IBUS_KEY_Hangul_J_Rieul" type="int" value="3803"/>
		<constant name="IBUS_KEY_Hangul_J_RieulHieuh" type="int" value="3810"/>
		<constant name="IBUS_KEY_Hangul_J_RieulKiyeog" type="int" value="3804"/>
		<constant name="IBUS_KEY_Hangul_J_RieulMieum" type="int" value="3805"/>
		<constant name="IBUS_KEY_Hangul_J_RieulPhieuf" type="int" value="3809"/>
		<constant name="IBUS_KEY_Hangul_J_RieulPieub" type="int" value="3806"/>
		<constant name="IBUS_KEY_Hangul_J_RieulSios" type="int" value="3807"/>
		<constant name="IBUS_KEY_Hangul_J_RieulTieut" type="int" value="3808"/>
		<constant name="IBUS_KEY_Hangul_J_Sios" type="int" value="3814"/>
		<constant name="IBUS_KEY_Hangul_J_SsangKiyeog" type="int" value="3797"/>
		<constant name="IBUS_KEY_Hangul_J_SsangSios" type="int" value="3815"/>
		<constant name="IBUS_KEY_Hangul_J_Tieut" type="int" value="3820"/>
		<constant name="IBUS_KEY_Hangul_J_YeorinHieuh" type="int" value="3834"/>
		<constant name="IBUS_KEY_Hangul_Jamo" type="int" value="65333"/>
		<constant name="IBUS_KEY_Hangul_Jeonja" type="int" value="65336"/>
		<constant name="IBUS_KEY_Hangul_Jieuj" type="int" value="3768"/>
		<constant name="IBUS_KEY_Hangul_Khieuq" type="int" value="3771"/>
		<constant name="IBUS_KEY_Hangul_Kiyeog" type="int" value="3745"/>
		<constant name="IBUS_KEY_Hangul_KiyeogSios" type="int" value="3747"/>
		<constant name="IBUS_KEY_Hangul_KkogjiDalrinIeung" type="int" value="3827"/>
		<constant name="IBUS_KEY_Hangul_Mieum" type="int" value="3761"/>
		<constant name="IBUS_KEY_Hangul_MultipleCandidate" type="int" value="65341"/>
		<constant name="IBUS_KEY_Hangul_Nieun" type="int" value="3748"/>
		<constant name="IBUS_KEY_Hangul_NieunHieuh" type="int" value="3750"/>
		<constant name="IBUS_KEY_Hangul_NieunJieuj" type="int" value="3749"/>
		<constant name="IBUS_KEY_Hangul_O" type="int" value="3783"/>
		<constant name="IBUS_KEY_Hangul_OE" type="int" value="3786"/>
		<constant name="IBUS_KEY_Hangul_PanSios" type="int" value="3826"/>
		<constant name="IBUS_KEY_Hangul_Phieuf" type="int" value="3773"/>
		<constant name="IBUS_KEY_Hangul_Pieub" type="int" value="3762"/>
		<constant name="IBUS_KEY_Hangul_PieubSios" type="int" value="3764"/>
		<constant name="IBUS_KEY_Hangul_PostHanja" type="int" value="65339"/>
		<constant name="IBUS_KEY_Hangul_PreHanja" type="int" value="65338"/>
		<constant name="IBUS_KEY_Hangul_PreviousCandidate" type="int" value="65342"/>
		<constant name="IBUS_KEY_Hangul_Rieul" type="int" value="3753"/>
		<constant name="IBUS_KEY_Hangul_RieulHieuh" type="int" value="3760"/>
		<constant name="IBUS_KEY_Hangul_RieulKiyeog" type="int" value="3754"/>
		<constant name="IBUS_KEY_Hangul_RieulMieum" type="int" value="3755"/>
		<constant name="IBUS_KEY_Hangul_RieulPhieuf" type="int" value="3759"/>
		<constant name="IBUS_KEY_Hangul_RieulPieub" type="int" value="3756"/>
		<constant name="IBUS_KEY_Hangul_RieulSios" type="int" value="3757"/>
		<constant name="IBUS_KEY_Hangul_RieulTieut" type="int" value="3758"/>
		<constant name="IBUS_KEY_Hangul_RieulYeorinHieuh" type="int" value="3823"/>
		<constant name="IBUS_KEY_Hangul_Romaja" type="int" value="65334"/>
		<constant name="IBUS_KEY_Hangul_SingleCandidate" type="int" value="65340"/>
		<constant name="IBUS_KEY_Hangul_Sios" type="int" value="3765"/>
		<constant name="IBUS_KEY_Hangul_Special" type="int" value="65343"/>
		<constant name="IBUS_KEY_Hangul_SsangDikeud" type="int" value="3752"/>
		<constant name="IBUS_KEY_Hangul_SsangJieuj" type="int" value="3769"/>
		<constant name="IBUS_KEY_Hangul_SsangKiyeog" type="int" value="3746"/>
		<constant name="IBUS_KEY_Hangul_SsangPieub" type="int" value="3763"/>
		<constant name="IBUS_KEY_Hangul_SsangSios" type="int" value="3766"/>
		<constant name="IBUS_KEY_Hangul_Start" type="int" value="65330"/>
		<constant name="IBUS_KEY_Hangul_SunkyeongeumMieum" type="int" value="3824"/>
		<constant name="IBUS_KEY_Hangul_SunkyeongeumPhieuf" type="int" value="3828"/>
		<constant name="IBUS_KEY_Hangul_SunkyeongeumPieub" type="int" value="3825"/>
		<constant name="IBUS_KEY_Hangul_Tieut" type="int" value="3772"/>
		<constant name="IBUS_KEY_Hangul_U" type="int" value="3788"/>
		<constant name="IBUS_KEY_Hangul_WA" type="int" value="3784"/>
		<constant name="IBUS_KEY_Hangul_WAE" type="int" value="3785"/>
		<constant name="IBUS_KEY_Hangul_WE" type="int" value="3790"/>
		<constant name="IBUS_KEY_Hangul_WEO" type="int" value="3789"/>
		<constant name="IBUS_KEY_Hangul_WI" type="int" value="3791"/>
		<constant name="IBUS_KEY_Hangul_YA" type="int" value="3777"/>
		<constant name="IBUS_KEY_Hangul_YAE" type="int" value="3778"/>
		<constant name="IBUS_KEY_Hangul_YE" type="int" value="3782"/>
		<constant name="IBUS_KEY_Hangul_YEO" type="int" value="3781"/>
		<constant name="IBUS_KEY_Hangul_YI" type="int" value="3794"/>
		<constant name="IBUS_KEY_Hangul_YO" type="int" value="3787"/>
		<constant name="IBUS_KEY_Hangul_YU" type="int" value="3792"/>
		<constant name="IBUS_KEY_Hangul_YeorinHieuh" type="int" value="3829"/>
		<constant name="IBUS_KEY_Hangul_switch" type="int" value="65406"/>
		<constant name="IBUS_KEY_Hankaku" type="int" value="65321"/>
		<constant name="IBUS_KEY_Hcircumflex" type="int" value="678"/>
		<constant name="IBUS_KEY_Hebrew_switch" type="int" value="65406"/>
		<constant name="IBUS_KEY_Help" type="int" value="65386"/>
		<constant name="IBUS_KEY_Henkan" type="int" value="65315"/>
		<constant name="IBUS_KEY_Henkan_Mode" type="int" value="65315"/>
		<constant name="IBUS_KEY_Hiragana" type="int" value="65317"/>
		<constant name="IBUS_KEY_Hiragana_Katakana" type="int" value="65319"/>
		<constant name="IBUS_KEY_Home" type="int" value="65360"/>
		<constant name="IBUS_KEY_Hstroke" type="int" value="673"/>
		<constant name="IBUS_KEY_Hyper_L" type="int" value="65517"/>
		<constant name="IBUS_KEY_Hyper_R" type="int" value="65518"/>
		<constant name="IBUS_KEY_I" type="int" value="73"/>
		<constant name="IBUS_KEY_ISO_Center_Object" type="int" value="65075"/>
		<constant name="IBUS_KEY_ISO_Continuous_Underline" type="int" value="65072"/>
		<constant name="IBUS_KEY_ISO_Discontinuous_Underline" type="int" value="65073"/>
		<constant name="IBUS_KEY_ISO_Emphasize" type="int" value="65074"/>
		<constant name="IBUS_KEY_ISO_Enter" type="int" value="65076"/>
		<constant name="IBUS_KEY_ISO_Fast_Cursor_Down" type="int" value="65071"/>
		<constant name="IBUS_KEY_ISO_Fast_Cursor_Left" type="int" value="65068"/>
		<constant name="IBUS_KEY_ISO_Fast_Cursor_Right" type="int" value="65069"/>
		<constant name="IBUS_KEY_ISO_Fast_Cursor_Up" type="int" value="65070"/>
		<constant name="IBUS_KEY_ISO_First_Group" type="int" value="65036"/>
		<constant name="IBUS_KEY_ISO_First_Group_Lock" type="int" value="65037"/>
		<constant name="IBUS_KEY_ISO_Group_Latch" type="int" value="65030"/>
		<constant name="IBUS_KEY_ISO_Group_Lock" type="int" value="65031"/>
		<constant name="IBUS_KEY_ISO_Group_Shift" type="int" value="65406"/>
		<constant name="IBUS_KEY_ISO_Last_Group" type="int" value="65038"/>
		<constant name="IBUS_KEY_ISO_Last_Group_Lock" type="int" value="65039"/>
		<constant name="IBUS_KEY_ISO_Left_Tab" type="int" value="65056"/>
		<constant name="IBUS_KEY_ISO_Level2_Latch" type="int" value="65026"/>
		<constant name="IBUS_KEY_ISO_Level3_Latch" type="int" value="65028"/>
		<constant name="IBUS_KEY_ISO_Level3_Lock" type="int" value="65029"/>
		<constant name="IBUS_KEY_ISO_Level3_Shift" type="int" value="65027"/>
		<constant name="IBUS_KEY_ISO_Level5_Latch" type="int" value="65042"/>
		<constant name="IBUS_KEY_ISO_Level5_Lock" type="int" value="65043"/>
		<constant name="IBUS_KEY_ISO_Level5_Shift" type="int" value="65041"/>
		<constant name="IBUS_KEY_ISO_Lock" type="int" value="65025"/>
		<constant name="IBUS_KEY_ISO_Move_Line_Down" type="int" value="65058"/>
		<constant name="IBUS_KEY_ISO_Move_Line_Up" type="int" value="65057"/>
		<constant name="IBUS_KEY_ISO_Next_Group" type="int" value="65032"/>
		<constant name="IBUS_KEY_ISO_Next_Group_Lock" type="int" value="65033"/>
		<constant name="IBUS_KEY_ISO_Partial_Line_Down" type="int" value="65060"/>
		<constant name="IBUS_KEY_ISO_Partial_Line_Up" type="int" value="65059"/>
		<constant name="IBUS_KEY_ISO_Partial_Space_Left" type="int" value="65061"/>
		<constant name="IBUS_KEY_ISO_Partial_Space_Right" type="int" value="65062"/>
		<constant name="IBUS_KEY_ISO_Prev_Group" type="int" value="65034"/>
		<constant name="IBUS_KEY_ISO_Prev_Group_Lock" type="int" value="65035"/>
		<constant name="IBUS_KEY_ISO_Release_Both_Margins" type="int" value="65067"/>
		<constant name="IBUS_KEY_ISO_Release_Margin_Left" type="int" value="65065"/>
		<constant name="IBUS_KEY_ISO_Release_Margin_Right" type="int" value="65066"/>
		<constant name="IBUS_KEY_ISO_Set_Margin_Left" type="int" value="65063"/>
		<constant name="IBUS_KEY_ISO_Set_Margin_Right" type="int" value="65064"/>
		<constant name="IBUS_KEY_Iabovedot" type="int" value="681"/>
		<constant name="IBUS_KEY_Iacute" type="int" value="205"/>
		<constant name="IBUS_KEY_Ibelowdot" type="int" value="16785098"/>
		<constant name="IBUS_KEY_Ibreve" type="int" value="16777516"/>
		<constant name="IBUS_KEY_Icircumflex" type="int" value="206"/>
		<constant name="IBUS_KEY_Idiaeresis" type="int" value="207"/>
		<constant name="IBUS_KEY_Igrave" type="int" value="204"/>
		<constant name="IBUS_KEY_Ihook" type="int" value="16785096"/>
		<constant name="IBUS_KEY_Imacron" type="int" value="975"/>
		<constant name="IBUS_KEY_Insert" type="int" value="65379"/>
		<constant name="IBUS_KEY_Iogonek" type="int" value="967"/>
		<constant name="IBUS_KEY_Itilde" type="int" value="933"/>
		<constant name="IBUS_KEY_J" type="int" value="74"/>
		<constant name="IBUS_KEY_Jcircumflex" type="int" value="684"/>
		<constant name="IBUS_KEY_K" type="int" value="75"/>
		<constant name="IBUS_KEY_KP_0" type="int" value="65456"/>
		<constant name="IBUS_KEY_KP_1" type="int" value="65457"/>
		<constant name="IBUS_KEY_KP_2" type="int" value="65458"/>
		<constant name="IBUS_KEY_KP_3" type="int" value="65459"/>
		<constant name="IBUS_KEY_KP_4" type="int" value="65460"/>
		<constant name="IBUS_KEY_KP_5" type="int" value="65461"/>
		<constant name="IBUS_KEY_KP_6" type="int" value="65462"/>
		<constant name="IBUS_KEY_KP_7" type="int" value="65463"/>
		<constant name="IBUS_KEY_KP_8" type="int" value="65464"/>
		<constant name="IBUS_KEY_KP_9" type="int" value="65465"/>
		<constant name="IBUS_KEY_KP_Add" type="int" value="65451"/>
		<constant name="IBUS_KEY_KP_Begin" type="int" value="65437"/>
		<constant name="IBUS_KEY_KP_Decimal" type="int" value="65454"/>
		<constant name="IBUS_KEY_KP_Delete" type="int" value="65439"/>
		<constant name="IBUS_KEY_KP_Divide" type="int" value="65455"/>
		<constant name="IBUS_KEY_KP_Down" type="int" value="65433"/>
		<constant name="IBUS_KEY_KP_End" type="int" value="65436"/>
		<constant name="IBUS_KEY_KP_Enter" type="int" value="65421"/>
		<constant name="IBUS_KEY_KP_Equal" type="int" value="65469"/>
		<constant name="IBUS_KEY_KP_F1" type="int" value="65425"/>
		<constant name="IBUS_KEY_KP_F2" type="int" value="65426"/>
		<constant name="IBUS_KEY_KP_F3" type="int" value="65427"/>
		<constant name="IBUS_KEY_KP_F4" type="int" value="65428"/>
		<constant name="IBUS_KEY_KP_Home" type="int" value="65429"/>
		<constant name="IBUS_KEY_KP_Insert" type="int" value="65438"/>
		<constant name="IBUS_KEY_KP_Left" type="int" value="65430"/>
		<constant name="IBUS_KEY_KP_Multiply" type="int" value="65450"/>
		<constant name="IBUS_KEY_KP_Next" type="int" value="65435"/>
		<constant name="IBUS_KEY_KP_Page_Down" type="int" value="65435"/>
		<constant name="IBUS_KEY_KP_Page_Up" type="int" value="65434"/>
		<constant name="IBUS_KEY_KP_Prior" type="int" value="65434"/>
		<constant name="IBUS_KEY_KP_Right" type="int" value="65432"/>
		<constant name="IBUS_KEY_KP_Separator" type="int" value="65452"/>
		<constant name="IBUS_KEY_KP_Space" type="int" value="65408"/>
		<constant name="IBUS_KEY_KP_Subtract" type="int" value="65453"/>
		<constant name="IBUS_KEY_KP_Tab" type="int" value="65417"/>
		<constant name="IBUS_KEY_KP_Up" type="int" value="65431"/>
		<constant name="IBUS_KEY_Kana_Lock" type="int" value="65325"/>
		<constant name="IBUS_KEY_Kana_Shift" type="int" value="65326"/>
		<constant name="IBUS_KEY_Kanji" type="int" value="65313"/>
		<constant name="IBUS_KEY_Kanji_Bangou" type="int" value="65335"/>
		<constant name="IBUS_KEY_Katakana" type="int" value="65318"/>
		<constant name="IBUS_KEY_Kcedilla" type="int" value="979"/>
		<constant name="IBUS_KEY_Korean_Won" type="int" value="3839"/>
		<constant name="IBUS_KEY_L" type="int" value="76"/>
		<constant name="IBUS_KEY_L1" type="int" value="65480"/>
		<constant name="IBUS_KEY_L10" type="int" value="65489"/>
		<constant name="IBUS_KEY_L2" type="int" value="65481"/>
		<constant name="IBUS_KEY_L3" type="int" value="65482"/>
		<constant name="IBUS_KEY_L4" type="int" value="65483"/>
		<constant name="IBUS_KEY_L5" type="int" value="65484"/>
		<constant name="IBUS_KEY_L6" type="int" value="65485"/>
		<constant name="IBUS_KEY_L7" type="int" value="65486"/>
		<constant name="IBUS_KEY_L8" type="int" value="65487"/>
		<constant name="IBUS_KEY_L9" type="int" value="65488"/>
		<constant name="IBUS_KEY_Lacute" type="int" value="453"/>
		<constant name="IBUS_KEY_Last_Virtual_Screen" type="int" value="65236"/>
		<constant name="IBUS_KEY_Lbelowdot" type="int" value="16784950"/>
		<constant name="IBUS_KEY_Lcaron" type="int" value="421"/>
		<constant name="IBUS_KEY_Lcedilla" type="int" value="934"/>
		<constant name="IBUS_KEY_Left" type="int" value="65361"/>
		<constant name="IBUS_KEY_Linefeed" type="int" value="65290"/>
		<constant name="IBUS_KEY_LiraSign" type="int" value="16785572"/>
		<constant name="IBUS_KEY_Lstroke" type="int" value="419"/>
		<constant name="IBUS_KEY_M" type="int" value="77"/>
		<constant name="IBUS_KEY_Mabovedot" type="int" value="16784960"/>
		<constant name="IBUS_KEY_Macedonia_DSE" type="int" value="1717"/>
		<constant name="IBUS_KEY_Macedonia_GJE" type="int" value="1714"/>
		<constant name="IBUS_KEY_Macedonia_KJE" type="int" value="1724"/>
		<constant name="IBUS_KEY_Macedonia_dse" type="int" value="1701"/>
		<constant name="IBUS_KEY_Macedonia_gje" type="int" value="1698"/>
		<constant name="IBUS_KEY_Macedonia_kje" type="int" value="1708"/>
		<constant name="IBUS_KEY_Mae_Koho" type="int" value="65342"/>
		<constant name="IBUS_KEY_Massyo" type="int" value="65324"/>
		<constant name="IBUS_KEY_Menu" type="int" value="65383"/>
		<constant name="IBUS_KEY_Meta_L" type="int" value="65511"/>
		<constant name="IBUS_KEY_Meta_R" type="int" value="65512"/>
		<constant name="IBUS_KEY_MillSign" type="int" value="16785573"/>
		<constant name="IBUS_KEY_Mode_switch" type="int" value="65406"/>
		<constant name="IBUS_KEY_MouseKeys_Accel_Enable" type="int" value="65143"/>
		<constant name="IBUS_KEY_MouseKeys_Enable" type="int" value="65142"/>
		<constant name="IBUS_KEY_Muhenkan" type="int" value="65314"/>
		<constant name="IBUS_KEY_Multi_key" type="int" value="65312"/>
		<constant name="IBUS_KEY_MultipleCandidate" type="int" value="65341"/>
		<constant name="IBUS_KEY_N" type="int" value="78"/>
		<constant name="IBUS_KEY_Nacute" type="int" value="465"/>
		<constant name="IBUS_KEY_NairaSign" type="int" value="16785574"/>
		<constant name="IBUS_KEY_Ncaron" type="int" value="466"/>
		<constant name="IBUS_KEY_Ncedilla" type="int" value="977"/>
		<constant name="IBUS_KEY_NewSheqelSign" type="int" value="16785578"/>
		<constant name="IBUS_KEY_Next" type="int" value="65366"/>
		<constant name="IBUS_KEY_Next_Virtual_Screen" type="int" value="65234"/>
		<constant name="IBUS_KEY_Ntilde" type="int" value="209"/>
		<constant name="IBUS_KEY_Num_Lock" type="int" value="65407"/>
		<constant name="IBUS_KEY_O" type="int" value="79"/>
		<constant name="IBUS_KEY_OE" type="int" value="5052"/>
		<constant name="IBUS_KEY_Oacute" type="int" value="211"/>
		<constant name="IBUS_KEY_Obarred" type="int" value="16777631"/>
		<constant name="IBUS_KEY_Obelowdot" type="int" value="16785100"/>
		<constant name="IBUS_KEY_Ocaron" type="int" value="16777681"/>
		<constant name="IBUS_KEY_Ocircumflex" type="int" value="212"/>
		<constant name="IBUS_KEY_Ocircumflexacute" type="int" value="16785104"/>
		<constant name="IBUS_KEY_Ocircumflexbelowdot" type="int" value="16785112"/>
		<constant name="IBUS_KEY_Ocircumflexgrave" type="int" value="16785106"/>
		<constant name="IBUS_KEY_Ocircumflexhook" type="int" value="16785108"/>
		<constant name="IBUS_KEY_Ocircumflextilde" type="int" value="16785110"/>
		<constant name="IBUS_KEY_Odiaeresis" type="int" value="214"/>
		<constant name="IBUS_KEY_Odoubleacute" type="int" value="469"/>
		<constant name="IBUS_KEY_Ograve" type="int" value="210"/>
		<constant name="IBUS_KEY_Ohook" type="int" value="16785102"/>
		<constant name="IBUS_KEY_Ohorn" type="int" value="16777632"/>
		<constant name="IBUS_KEY_Ohornacute" type="int" value="16785114"/>
		<constant name="IBUS_KEY_Ohornbelowdot" type="int" value="16785122"/>
		<constant name="IBUS_KEY_Ohorngrave" type="int" value="16785116"/>
		<constant name="IBUS_KEY_Ohornhook" type="int" value="16785118"/>
		<constant name="IBUS_KEY_Ohorntilde" type="int" value="16785120"/>
		<constant name="IBUS_KEY_Omacron" type="int" value="978"/>
		<constant name="IBUS_KEY_Ooblique" type="int" value="216"/>
		<constant name="IBUS_KEY_Oslash" type="int" value="216"/>
		<constant name="IBUS_KEY_Otilde" type="int" value="213"/>
		<constant name="IBUS_KEY_Overlay1_Enable" type="int" value="65144"/>
		<constant name="IBUS_KEY_Overlay2_Enable" type="int" value="65145"/>
		<constant name="IBUS_KEY_P" type="int" value="80"/>
		<constant name="IBUS_KEY_Pabovedot" type="int" value="16784982"/>
		<constant name="IBUS_KEY_Page_Down" type="int" value="65366"/>
		<constant name="IBUS_KEY_Page_Up" type="int" value="65365"/>
		<constant name="IBUS_KEY_Pause" type="int" value="65299"/>
		<constant name="IBUS_KEY_PesetaSign" type="int" value="16785575"/>
		<constant name="IBUS_KEY_Pointer_Accelerate" type="int" value="65274"/>
		<constant name="IBUS_KEY_Pointer_Button1" type="int" value="65257"/>
		<constant name="IBUS_KEY_Pointer_Button2" type="int" value="65258"/>
		<constant name="IBUS_KEY_Pointer_Button3" type="int" value="65259"/>
		<constant name="IBUS_KEY_Pointer_Button4" type="int" value="65260"/>
		<constant name="IBUS_KEY_Pointer_Button5" type="int" value="65261"/>
		<constant name="IBUS_KEY_Pointer_Button_Dflt" type="int" value="65256"/>
		<constant name="IBUS_KEY_Pointer_DblClick1" type="int" value="65263"/>
		<constant name="IBUS_KEY_Pointer_DblClick2" type="int" value="65264"/>
		<constant name="IBUS_KEY_Pointer_DblClick3" type="int" value="65265"/>
		<constant name="IBUS_KEY_Pointer_DblClick4" type="int" value="65266"/>
		<constant name="IBUS_KEY_Pointer_DblClick5" type="int" value="65267"/>
		<constant name="IBUS_KEY_Pointer_DblClick_Dflt" type="int" value="65262"/>
		<constant name="IBUS_KEY_Pointer_DfltBtnNext" type="int" value="65275"/>
		<constant name="IBUS_KEY_Pointer_DfltBtnPrev" type="int" value="65276"/>
		<constant name="IBUS_KEY_Pointer_Down" type="int" value="65251"/>
		<constant name="IBUS_KEY_Pointer_DownLeft" type="int" value="65254"/>
		<constant name="IBUS_KEY_Pointer_DownRight" type="int" value="65255"/>
		<constant name="IBUS_KEY_Pointer_Drag1" type="int" value="65269"/>
		<constant name="IBUS_KEY_Pointer_Drag2" type="int" value="65270"/>
		<constant name="IBUS_KEY_Pointer_Drag3" type="int" value="65271"/>
		<constant name="IBUS_KEY_Pointer_Drag4" type="int" value="65272"/>
		<constant name="IBUS_KEY_Pointer_Drag5" type="int" value="65277"/>
		<constant name="IBUS_KEY_Pointer_Drag_Dflt" type="int" value="65268"/>
		<constant name="IBUS_KEY_Pointer_EnableKeys" type="int" value="65273"/>
		<constant name="IBUS_KEY_Pointer_Left" type="int" value="65248"/>
		<constant name="IBUS_KEY_Pointer_Right" type="int" value="65249"/>
		<constant name="IBUS_KEY_Pointer_Up" type="int" value="65250"/>
		<constant name="IBUS_KEY_Pointer_UpLeft" type="int" value="65252"/>
		<constant name="IBUS_KEY_Pointer_UpRight" type="int" value="65253"/>
		<constant name="IBUS_KEY_Prev_Virtual_Screen" type="int" value="65233"/>
		<constant name="IBUS_KEY_PreviousCandidate" type="int" value="65342"/>
		<constant name="IBUS_KEY_Print" type="int" value="65377"/>
		<constant name="IBUS_KEY_Prior" type="int" value="65365"/>
		<constant name="IBUS_KEY_Q" type="int" value="81"/>
		<constant name="IBUS_KEY_R" type="int" value="82"/>
		<constant name="IBUS_KEY_R1" type="int" value="65490"/>
		<constant name="IBUS_KEY_R10" type="int" value="65499"/>
		<constant name="IBUS_KEY_R11" type="int" value="65500"/>
		<constant name="IBUS_KEY_R12" type="int" value="65501"/>
		<constant name="IBUS_KEY_R13" type="int" value="65502"/>
		<constant name="IBUS_KEY_R14" type="int" value="65503"/>
		<constant name="IBUS_KEY_R15" type="int" value="65504"/>
		<constant name="IBUS_KEY_R2" type="int" value="65491"/>
		<constant name="IBUS_KEY_R3" type="int" value="65492"/>
		<constant name="IBUS_KEY_R4" type="int" value="65493"/>
		<constant name="IBUS_KEY_R5" type="int" value="65494"/>
		<constant name="IBUS_KEY_R6" type="int" value="65495"/>
		<constant name="IBUS_KEY_R7" type="int" value="65496"/>
		<constant name="IBUS_KEY_R8" type="int" value="65497"/>
		<constant name="IBUS_KEY_R9" type="int" value="65498"/>
		<constant name="IBUS_KEY_Racute" type="int" value="448"/>
		<constant name="IBUS_KEY_Rcaron" type="int" value="472"/>
		<constant name="IBUS_KEY_Rcedilla" type="int" value="931"/>
		<constant name="IBUS_KEY_Redo" type="int" value="65382"/>
		<constant name="IBUS_KEY_RepeatKeys_Enable" type="int" value="65138"/>
		<constant name="IBUS_KEY_Return" type="int" value="65293"/>
		<constant name="IBUS_KEY_Right" type="int" value="65363"/>
		<constant name="IBUS_KEY_Romaji" type="int" value="65316"/>
		<constant name="IBUS_KEY_RupeeSign" type="int" value="16785576"/>
		<constant name="IBUS_KEY_S" type="int" value="83"/>
		<constant name="IBUS_KEY_SCHWA" type="int" value="16777615"/>
		<constant name="IBUS_KEY_Sabovedot" type="int" value="16784992"/>
		<constant name="IBUS_KEY_Sacute" type="int" value="422"/>
		<constant name="IBUS_KEY_Scaron" type="int" value="425"/>
		<constant name="IBUS_KEY_Scedilla" type="int" value="426"/>
		<constant name="IBUS_KEY_Scircumflex" type="int" value="734"/>
		<constant name="IBUS_KEY_Scroll_Lock" type="int" value="65300"/>
		<constant name="IBUS_KEY_Select" type="int" value="65376"/>
		<constant name="IBUS_KEY_Serbian_DJE" type="int" value="1713"/>
		<constant name="IBUS_KEY_Serbian_DZE" type="int" value="1727"/>
		<constant name="IBUS_KEY_Serbian_JE" type="int" value="1720"/>
		<constant name="IBUS_KEY_Serbian_LJE" type="int" value="1721"/>
		<constant name="IBUS_KEY_Serbian_NJE" type="int" value="1722"/>
		<constant name="IBUS_KEY_Serbian_TSHE" type="int" value="1723"/>
		<constant name="IBUS_KEY_Serbian_dje" type="int" value="1697"/>
		<constant name="IBUS_KEY_Serbian_dze" type="int" value="1711"/>
		<constant name="IBUS_KEY_Serbian_je" type="int" value="1704"/>
		<constant name="IBUS_KEY_Serbian_lje" type="int" value="1705"/>
		<constant name="IBUS_KEY_Serbian_nje" type="int" value="1706"/>
		<constant name="IBUS_KEY_Serbian_tshe" type="int" value="1707"/>
		<constant name="IBUS_KEY_Shift_L" type="int" value="65505"/>
		<constant name="IBUS_KEY_Shift_Lock" type="int" value="65510"/>
		<constant name="IBUS_KEY_Shift_R" type="int" value="65506"/>
		<constant name="IBUS_KEY_SingleCandidate" type="int" value="65340"/>
		<constant name="IBUS_KEY_Sinh_a" type="int" value="16780677"/>
		<constant name="IBUS_KEY_Sinh_aa" type="int" value="16780678"/>
		<constant name="IBUS_KEY_Sinh_aa2" type="int" value="16780751"/>
		<constant name="IBUS_KEY_Sinh_ae" type="int" value="16780679"/>
		<constant name="IBUS_KEY_Sinh_ae2" type="int" value="16780752"/>
		<constant name="IBUS_KEY_Sinh_aee" type="int" value="16780680"/>
		<constant name="IBUS_KEY_Sinh_aee2" type="int" value="16780753"/>
		<constant name="IBUS_KEY_Sinh_ai" type="int" value="16780691"/>
		<constant name="IBUS_KEY_Sinh_ai2" type="int" value="16780763"/>
		<constant name="IBUS_KEY_Sinh_al" type="int" value="16780746"/>
		<constant name="IBUS_KEY_Sinh_au" type="int" value="16780694"/>
		<constant name="IBUS_KEY_Sinh_au2" type="int" value="16780766"/>
		<constant name="IBUS_KEY_Sinh_ba" type="int" value="16780726"/>
		<constant name="IBUS_KEY_Sinh_bha" type="int" value="16780727"/>
		<constant name="IBUS_KEY_Sinh_ca" type="int" value="16780704"/>
		<constant name="IBUS_KEY_Sinh_cha" type="int" value="16780705"/>
		<constant name="IBUS_KEY_Sinh_dda" type="int" value="16780713"/>
		<constant name="IBUS_KEY_Sinh_ddha" type="int" value="16780714"/>
		<constant name="IBUS_KEY_Sinh_dha" type="int" value="16780719"/>
		<constant name="IBUS_KEY_Sinh_dhha" type="int" value="16780720"/>
		<constant name="IBUS_KEY_Sinh_e" type="int" value="16780689"/>
		<constant name="IBUS_KEY_Sinh_e2" type="int" value="16780761"/>
		<constant name="IBUS_KEY_Sinh_ee" type="int" value="16780690"/>
		<constant name="IBUS_KEY_Sinh_ee2" type="int" value="16780762"/>
		<constant name="IBUS_KEY_Sinh_fa" type="int" value="16780742"/>
		<constant name="IBUS_KEY_Sinh_ga" type="int" value="16780700"/>
		<constant name="IBUS_KEY_Sinh_gha" type="int" value="16780701"/>
		<constant name="IBUS_KEY_Sinh_h2" type="int" value="16780675"/>
		<constant name="IBUS_KEY_Sinh_ha" type="int" value="16780740"/>
		<constant name="IBUS_KEY_Sinh_i" type="int" value="16780681"/>
		<constant name="IBUS_KEY_Sinh_i2" type="int" value="16780754"/>
		<constant name="IBUS_KEY_Sinh_ii" type="int" value="16780682"/>
		<constant name="IBUS_KEY_Sinh_ii2" type="int" value="16780755"/>
		<constant name="IBUS_KEY_Sinh_ja" type="int" value="16780706"/>
		<constant name="IBUS_KEY_Sinh_jha" type="int" value="16780707"/>
		<constant name="IBUS_KEY_Sinh_jnya" type="int" value="16780709"/>
		<constant name="IBUS_KEY_Sinh_ka" type="int" value="16780698"/>
		<constant name="IBUS_KEY_Sinh_kha" type="int" value="16780699"/>
		<constant name="IBUS_KEY_Sinh_kunddaliya" type="int" value="16780788"/>
		<constant name="IBUS_KEY_Sinh_la" type="int" value="16780733"/>
		<constant name="IBUS_KEY_Sinh_lla" type="int" value="16780741"/>
		<constant name="IBUS_KEY_Sinh_lu" type="int" value="16780687"/>
		<constant name="IBUS_KEY_Sinh_lu2" type="int" value="16780767"/>
		<constant name="IBUS_KEY_Sinh_luu" type="int" value="16780688"/>
		<constant name="IBUS_KEY_Sinh_luu2" type="int" value="16780787"/>
		<constant name="IBUS_KEY_Sinh_ma" type="int" value="16780728"/>
		<constant name="IBUS_KEY_Sinh_mba" type="int" value="16780729"/>
		<constant name="IBUS_KEY_Sinh_na" type="int" value="16780721"/>
		<constant name="IBUS_KEY_Sinh_ndda" type="int" value="16780716"/>
		<constant name="IBUS_KEY_Sinh_ndha" type="int" value="16780723"/>
		<constant name="IBUS_KEY_Sinh_ng" type="int" value="16780674"/>
		<constant name="IBUS_KEY_Sinh_ng2" type="int" value="16780702"/>
		<constant name="IBUS_KEY_Sinh_nga" type="int" value="16780703"/>
		<constant name="IBUS_KEY_Sinh_nja" type="int" value="16780710"/>
		<constant name="IBUS_KEY_Sinh_nna" type="int" value="16780715"/>
		<constant name="IBUS_KEY_Sinh_nya" type="int" value="16780708"/>
		<constant name="IBUS_KEY_Sinh_o" type="int" value="16780692"/>
		<constant name="IBUS_KEY_Sinh_o2" type="int" value="16780764"/>
		<constant name="IBUS_KEY_Sinh_oo" type="int" value="16780693"/>
		<constant name="IBUS_KEY_Sinh_oo2" type="int" value="16780765"/>
		<constant name="IBUS_KEY_Sinh_pa" type="int" value="16780724"/>
		<constant name="IBUS_KEY_Sinh_pha" type="int" value="16780725"/>
		<constant name="IBUS_KEY_Sinh_ra" type="int" value="16780731"/>
		<constant name="IBUS_KEY_Sinh_ri" type="int" value="16780685"/>
		<constant name="IBUS_KEY_Sinh_rii" type="int" value="16780686"/>
		<constant name="IBUS_KEY_Sinh_ru2" type="int" value="16780760"/>
		<constant name="IBUS_KEY_Sinh_ruu2" type="int" value="16780786"/>
		<constant name="IBUS_KEY_Sinh_sa" type="int" value="16780739"/>
		<constant name="IBUS_KEY_Sinh_sha" type="int" value="16780737"/>
		<constant name="IBUS_KEY_Sinh_ssha" type="int" value="16780738"/>
		<constant name="IBUS_KEY_Sinh_tha" type="int" value="16780717"/>
		<constant name="IBUS_KEY_Sinh_thha" type="int" value="16780718"/>
		<constant name="IBUS_KEY_Sinh_tta" type="int" value="16780711"/>
		<constant name="IBUS_KEY_Sinh_ttha" type="int" value="16780712"/>
		<constant name="IBUS_KEY_Sinh_u" type="int" value="16780683"/>
		<constant name="IBUS_KEY_Sinh_u2" type="int" value="16780756"/>
		<constant name="IBUS_KEY_Sinh_uu" type="int" value="16780684"/>
		<constant name="IBUS_KEY_Sinh_uu2" type="int" value="16780758"/>
		<constant name="IBUS_KEY_Sinh_va" type="int" value="16780736"/>
		<constant name="IBUS_KEY_Sinh_ya" type="int" value="16780730"/>
		<constant name="IBUS_KEY_SlowKeys_Enable" type="int" value="65139"/>
		<constant name="IBUS_KEY_StickyKeys_Enable" type="int" value="65141"/>
		<constant name="IBUS_KEY_Super_L" type="int" value="65515"/>
		<constant name="IBUS_KEY_Super_R" type="int" value="65516"/>
		<constant name="IBUS_KEY_Sys_Req" type="int" value="65301"/>
		<constant name="IBUS_KEY_T" type="int" value="84"/>
		<constant name="IBUS_KEY_THORN" type="int" value="222"/>
		<constant name="IBUS_KEY_Tab" type="int" value="65289"/>
		<constant name="IBUS_KEY_Tabovedot" type="int" value="16785002"/>
		<constant name="IBUS_KEY_Tcaron" type="int" value="427"/>
		<constant name="IBUS_KEY_Tcedilla" type="int" value="478"/>
		<constant name="IBUS_KEY_Terminate_Server" type="int" value="65237"/>
		<constant name="IBUS_KEY_Thai_baht" type="int" value="3551"/>
		<constant name="IBUS_KEY_Thai_bobaimai" type="int" value="3514"/>
		<constant name="IBUS_KEY_Thai_chochan" type="int" value="3496"/>
		<constant name="IBUS_KEY_Thai_chochang" type="int" value="3498"/>
		<constant name="IBUS_KEY_Thai_choching" type="int" value="3497"/>
		<constant name="IBUS_KEY_Thai_chochoe" type="int" value="3500"/>
		<constant name="IBUS_KEY_Thai_dochada" type="int" value="3502"/>
		<constant name="IBUS_KEY_Thai_dodek" type="int" value="3508"/>
		<constant name="IBUS_KEY_Thai_fofa" type="int" value="3517"/>
		<constant name="IBUS_KEY_Thai_fofan" type="int" value="3519"/>
		<constant name="IBUS_KEY_Thai_hohip" type="int" value="3531"/>
		<constant name="IBUS_KEY_Thai_honokhuk" type="int" value="3534"/>
		<constant name="IBUS_KEY_Thai_khokhai" type="int" value="3490"/>
		<constant name="IBUS_KEY_Thai_khokhon" type="int" value="3493"/>
		<constant name="IBUS_KEY_Thai_khokhuat" type="int" value="3491"/>
		<constant name="IBUS_KEY_Thai_khokhwai" type="int" value="3492"/>
		<constant name="IBUS_KEY_Thai_khorakhang" type="int" value="3494"/>
		<constant name="IBUS_KEY_Thai_kokai" type="int" value="3489"/>
		<constant name="IBUS_KEY_Thai_lakkhangyao" type="int" value="3557"/>
		<constant name="IBUS_KEY_Thai_lekchet" type="int" value="3575"/>
		<constant name="IBUS_KEY_Thai_lekha" type="int" value="3573"/>
		<constant name="IBUS_KEY_Thai_lekhok" type="int" value="3574"/>
		<constant name="IBUS_KEY_Thai_lekkao" type="int" value="3577"/>
		<constant name="IBUS_KEY_Thai_leknung" type="int" value="3569"/>
		<constant name="IBUS_KEY_Thai_lekpaet" type="int" value="3576"/>
		<constant name="IBUS_KEY_Thai_leksam" type="int" value="3571"/>
		<constant name="IBUS_KEY_Thai_leksi" type="int" value="3572"/>
		<constant name="IBUS_KEY_Thai_leksong" type="int" value="3570"/>
		<constant name="IBUS_KEY_Thai_leksun" type="int" value="3568"/>
		<constant name="IBUS_KEY_Thai_lochula" type="int" value="3532"/>
		<constant name="IBUS_KEY_Thai_loling" type="int" value="3525"/>
		<constant name="IBUS_KEY_Thai_lu" type="int" value="3526"/>
		<constant name="IBUS_KEY_Thai_maichattawa" type="int" value="3563"/>
		<constant name="IBUS_KEY_Thai_maiek" type="int" value="3560"/>
		<constant name="IBUS_KEY_Thai_maihanakat" type="int" value="3537"/>
		<constant name="IBUS_KEY_Thai_maihanakat_maitho" type="int" value="3550"/>
		<constant name="IBUS_KEY_Thai_maitaikhu" type="int" value="3559"/>
		<constant name="IBUS_KEY_Thai_maitho" type="int" value="3561"/>
		<constant name="IBUS_KEY_Thai_maitri" type="int" value="3562"/>
		<constant name="IBUS_KEY_Thai_maiyamok" type="int" value="3558"/>
		<constant name="IBUS_KEY_Thai_moma" type="int" value="3521"/>
		<constant name="IBUS_KEY_Thai_ngongu" type="int" value="3495"/>
		<constant name="IBUS_KEY_Thai_nikhahit" type="int" value="3565"/>
		<constant name="IBUS_KEY_Thai_nonen" type="int" value="3507"/>
		<constant name="IBUS_KEY_Thai_nonu" type="int" value="3513"/>
		<constant name="IBUS_KEY_Thai_oang" type="int" value="3533"/>
		<constant name="IBUS_KEY_Thai_paiyannoi" type="int" value="3535"/>
		<constant name="IBUS_KEY_Thai_phinthu" type="int" value="3546"/>
		<constant name="IBUS_KEY_Thai_phophan" type="int" value="3518"/>
		<constant name="IBUS_KEY_Thai_phophung" type="int" value="3516"/>
		<constant name="IBUS_KEY_Thai_phosamphao" type="int" value="3520"/>
		<constant name="IBUS_KEY_Thai_popla" type="int" value="3515"/>
		<constant name="IBUS_KEY_Thai_rorua" type="int" value="3523"/>
		<constant name="IBUS_KEY_Thai_ru" type="int" value="3524"/>
		<constant name="IBUS_KEY_Thai_saraa" type="int" value="3536"/>
		<constant name="IBUS_KEY_Thai_saraaa" type="int" value="3538"/>
		<constant name="IBUS_KEY_Thai_saraae" type="int" value="3553"/>
		<constant name="IBUS_KEY_Thai_saraaimaimalai" type="int" value="3556"/>
		<constant name="IBUS_KEY_Thai_saraaimaimuan" type="int" value="3555"/>
		<constant name="IBUS_KEY_Thai_saraam" type="int" value="3539"/>
		<constant name="IBUS_KEY_Thai_sarae" type="int" value="3552"/>
		<constant name="IBUS_KEY_Thai_sarai" type="int" value="3540"/>
		<constant name="IBUS_KEY_Thai_saraii" type="int" value="3541"/>
		<constant name="IBUS_KEY_Thai_sarao" type="int" value="3554"/>
		<constant name="IBUS_KEY_Thai_sarau" type="int" value="3544"/>
		<constant name="IBUS_KEY_Thai_saraue" type="int" value="3542"/>
		<constant name="IBUS_KEY_Thai_sarauee" type="int" value="3543"/>
		<constant name="IBUS_KEY_Thai_sarauu" type="int" value="3545"/>
		<constant name="IBUS_KEY_Thai_sorusi" type="int" value="3529"/>
		<constant name="IBUS_KEY_Thai_sosala" type="int" value="3528"/>
		<constant name="IBUS_KEY_Thai_soso" type="int" value="3499"/>
		<constant name="IBUS_KEY_Thai_sosua" type="int" value="3530"/>
		<constant name="IBUS_KEY_Thai_thanthakhat" type="int" value="3564"/>
		<constant name="IBUS_KEY_Thai_thonangmontho" type="int" value="3505"/>
		<constant name="IBUS_KEY_Thai_thophuthao" type="int" value="3506"/>
		<constant name="IBUS_KEY_Thai_thothahan" type="int" value="3511"/>
		<constant name="IBUS_KEY_Thai_thothan" type="int" value="3504"/>
		<constant name="IBUS_KEY_Thai_thothong" type="int" value="3512"/>
		<constant name="IBUS_KEY_Thai_thothung" type="int" value="3510"/>
		<constant name="IBUS_KEY_Thai_topatak" type="int" value="3503"/>
		<constant name="IBUS_KEY_Thai_totao" type="int" value="3509"/>
		<constant name="IBUS_KEY_Thai_wowaen" type="int" value="3527"/>
		<constant name="IBUS_KEY_Thai_yoyak" type="int" value="3522"/>
		<constant name="IBUS_KEY_Thai_yoying" type="int" value="3501"/>
		<constant name="IBUS_KEY_Thorn" type="int" value="222"/>
		<constant name="IBUS_KEY_Touroku" type="int" value="65323"/>
		<constant name="IBUS_KEY_Tslash" type="int" value="940"/>
		<constant name="IBUS_KEY_U" type="int" value="85"/>
		<constant name="IBUS_KEY_Uacute" type="int" value="218"/>
		<constant name="IBUS_KEY_Ubelowdot" type="int" value="16785124"/>
		<constant name="IBUS_KEY_Ubreve" type="int" value="733"/>
		<constant name="IBUS_KEY_Ucircumflex" type="int" value="219"/>
		<constant name="IBUS_KEY_Udiaeresis" type="int" value="220"/>
		<constant name="IBUS_KEY_Udoubleacute" type="int" value="475"/>
		<constant name="IBUS_KEY_Ugrave" type="int" value="217"/>
		<constant name="IBUS_KEY_Uhook" type="int" value="16785126"/>
		<constant name="IBUS_KEY_Uhorn" type="int" value="16777647"/>
		<constant name="IBUS_KEY_Uhornacute" type="int" value="16785128"/>
		<constant name="IBUS_KEY_Uhornbelowdot" type="int" value="16785136"/>
		<constant name="IBUS_KEY_Uhorngrave" type="int" value="16785130"/>
		<constant name="IBUS_KEY_Uhornhook" type="int" value="16785132"/>
		<constant name="IBUS_KEY_Uhorntilde" type="int" value="16785134"/>
		<constant name="IBUS_KEY_Ukrainian_GHE_WITH_UPTURN" type="int" value="1725"/>
		<constant name="IBUS_KEY_Ukrainian_I" type="int" value="1718"/>
		<constant name="IBUS_KEY_Ukrainian_IE" type="int" value="1716"/>
		<constant name="IBUS_KEY_Ukrainian_YI" type="int" value="1719"/>
		<constant name="IBUS_KEY_Ukrainian_ghe_with_upturn" type="int" value="1709"/>
		<constant name="IBUS_KEY_Ukrainian_i" type="int" value="1702"/>
		<constant name="IBUS_KEY_Ukrainian_ie" type="int" value="1700"/>
		<constant name="IBUS_KEY_Ukrainian_yi" type="int" value="1703"/>
		<constant name="IBUS_KEY_Ukranian_I" type="int" value="1718"/>
		<constant name="IBUS_KEY_Ukranian_JE" type="int" value="1716"/>
		<constant name="IBUS_KEY_Ukranian_YI" type="int" value="1719"/>
		<constant name="IBUS_KEY_Ukranian_i" type="int" value="1702"/>
		<constant name="IBUS_KEY_Ukranian_je" type="int" value="1700"/>
		<constant name="IBUS_KEY_Ukranian_yi" type="int" value="1703"/>
		<constant name="IBUS_KEY_Umacron" type="int" value="990"/>
		<constant name="IBUS_KEY_Undo" type="int" value="65381"/>
		<constant name="IBUS_KEY_Uogonek" type="int" value="985"/>
		<constant name="IBUS_KEY_Up" type="int" value="65362"/>
		<constant name="IBUS_KEY_Uring" type="int" value="473"/>
		<constant name="IBUS_KEY_Utilde" type="int" value="989"/>
		<constant name="IBUS_KEY_V" type="int" value="86"/>
		<constant name="IBUS_KEY_VoidSymbol" type="int" value="16777215"/>
		<constant name="IBUS_KEY_W" type="int" value="87"/>
		<constant name="IBUS_KEY_Wacute" type="int" value="16785026"/>
		<constant name="IBUS_KEY_Wcircumflex" type="int" value="16777588"/>
		<constant name="IBUS_KEY_Wdiaeresis" type="int" value="16785028"/>
		<constant name="IBUS_KEY_Wgrave" type="int" value="16785024"/>
		<constant name="IBUS_KEY_WonSign" type="int" value="16785577"/>
		<constant name="IBUS_KEY_X" type="int" value="88"/>
		<constant name="IBUS_KEY_Xabovedot" type="int" value="16785034"/>
		<constant name="IBUS_KEY_Y" type="int" value="89"/>
		<constant name="IBUS_KEY_Yacute" type="int" value="221"/>
		<constant name="IBUS_KEY_Ybelowdot" type="int" value="16785140"/>
		<constant name="IBUS_KEY_Ycircumflex" type="int" value="16777590"/>
		<constant name="IBUS_KEY_Ydiaeresis" type="int" value="5054"/>
		<constant name="IBUS_KEY_Ygrave" type="int" value="16785138"/>
		<constant name="IBUS_KEY_Yhook" type="int" value="16785142"/>
		<constant name="IBUS_KEY_Ytilde" type="int" value="16785144"/>
		<constant name="IBUS_KEY_Z" type="int" value="90"/>
		<constant name="IBUS_KEY_Zabovedot" type="int" value="431"/>
		<constant name="IBUS_KEY_Zacute" type="int" value="428"/>
		<constant name="IBUS_KEY_Zcaron" type="int" value="430"/>
		<constant name="IBUS_KEY_Zen_Koho" type="int" value="65341"/>
		<constant name="IBUS_KEY_Zenkaku" type="int" value="65320"/>
		<constant name="IBUS_KEY_Zenkaku_Hankaku" type="int" value="65322"/>
		<constant name="IBUS_KEY_Zstroke" type="int" value="16777653"/>
		<constant name="IBUS_KEY_a" type="int" value="97"/>
		<constant name="IBUS_KEY_aacute" type="int" value="225"/>
		<constant name="IBUS_KEY_abelowdot" type="int" value="16785057"/>
		<constant name="IBUS_KEY_abovedot" type="int" value="511"/>
		<constant name="IBUS_KEY_abreve" type="int" value="483"/>
		<constant name="IBUS_KEY_abreveacute" type="int" value="16785071"/>
		<constant name="IBUS_KEY_abrevebelowdot" type="int" value="16785079"/>
		<constant name="IBUS_KEY_abrevegrave" type="int" value="16785073"/>
		<constant name="IBUS_KEY_abrevehook" type="int" value="16785075"/>
		<constant name="IBUS_KEY_abrevetilde" type="int" value="16785077"/>
		<constant name="IBUS_KEY_acircumflex" type="int" value="226"/>
		<constant name="IBUS_KEY_acircumflexacute" type="int" value="16785061"/>
		<constant name="IBUS_KEY_acircumflexbelowdot" type="int" value="16785069"/>
		<constant name="IBUS_KEY_acircumflexgrave" type="int" value="16785063"/>
		<constant name="IBUS_KEY_acircumflexhook" type="int" value="16785065"/>
		<constant name="IBUS_KEY_acircumflextilde" type="int" value="16785067"/>
		<constant name="IBUS_KEY_acute" type="int" value="180"/>
		<constant name="IBUS_KEY_adiaeresis" type="int" value="228"/>
		<constant name="IBUS_KEY_ae" type="int" value="230"/>
		<constant name="IBUS_KEY_agrave" type="int" value="224"/>
		<constant name="IBUS_KEY_ahook" type="int" value="16785059"/>
		<constant name="IBUS_KEY_amacron" type="int" value="992"/>
		<constant name="IBUS_KEY_ampersand" type="int" value="38"/>
		<constant name="IBUS_KEY_aogonek" type="int" value="433"/>
		<constant name="IBUS_KEY_apostrophe" type="int" value="39"/>
		<constant name="IBUS_KEY_approxeq" type="int" value="16785992"/>
		<constant name="IBUS_KEY_approximate" type="int" value="2248"/>
		<constant name="IBUS_KEY_aring" type="int" value="229"/>
		<constant name="IBUS_KEY_asciicircum" type="int" value="94"/>
		<constant name="IBUS_KEY_asciitilde" type="int" value="126"/>
		<constant name="IBUS_KEY_asterisk" type="int" value="42"/>
		<constant name="IBUS_KEY_at" type="int" value="64"/>
		<constant name="IBUS_KEY_atilde" type="int" value="227"/>
		<constant name="IBUS_KEY_b" type="int" value="98"/>
		<constant name="IBUS_KEY_babovedot" type="int" value="16784899"/>
		<constant name="IBUS_KEY_backslash" type="int" value="92"/>
		<constant name="IBUS_KEY_ballotcross" type="int" value="2804"/>
		<constant name="IBUS_KEY_bar" type="int" value="124"/>
		<constant name="IBUS_KEY_because" type="int" value="16785973"/>
		<constant name="IBUS_KEY_blank" type="int" value="2527"/>
		<constant name="IBUS_KEY_botintegral" type="int" value="2213"/>
		<constant name="IBUS_KEY_botleftparens" type="int" value="2220"/>
		<constant name="IBUS_KEY_botleftsqbracket" type="int" value="2216"/>
		<constant name="IBUS_KEY_botleftsummation" type="int" value="2226"/>
		<constant name="IBUS_KEY_botrightparens" type="int" value="2222"/>
		<constant name="IBUS_KEY_botrightsqbracket" type="int" value="2218"/>
		<constant name="IBUS_KEY_botrightsummation" type="int" value="2230"/>
		<constant name="IBUS_KEY_bott" type="int" value="2550"/>
		<constant name="IBUS_KEY_botvertsummationconnector" type="int" value="2228"/>
		<constant name="IBUS_KEY_braceleft" type="int" value="123"/>
		<constant name="IBUS_KEY_braceright" type="int" value="125"/>
		<constant name="IBUS_KEY_bracketleft" type="int" value="91"/>
		<constant name="IBUS_KEY_bracketright" type="int" value="93"/>
		<constant name="IBUS_KEY_braille_blank" type="int" value="16787456"/>
		<constant name="IBUS_KEY_braille_dot_1" type="int" value="65521"/>
		<constant name="IBUS_KEY_braille_dot_10" type="int" value="65530"/>
		<constant name="IBUS_KEY_braille_dot_2" type="int" value="65522"/>
		<constant name="IBUS_KEY_braille_dot_3" type="int" value="65523"/>
		<constant name="IBUS_KEY_braille_dot_4" type="int" value="65524"/>
		<constant name="IBUS_KEY_braille_dot_5" type="int" value="65525"/>
		<constant name="IBUS_KEY_braille_dot_6" type="int" value="65526"/>
		<constant name="IBUS_KEY_braille_dot_7" type="int" value="65527"/>
		<constant name="IBUS_KEY_braille_dot_8" type="int" value="65528"/>
		<constant name="IBUS_KEY_braille_dot_9" type="int" value="65529"/>
		<constant name="IBUS_KEY_braille_dots_1" type="int" value="16787457"/>
		<constant name="IBUS_KEY_braille_dots_12" type="int" value="16787459"/>
		<constant name="IBUS_KEY_braille_dots_123" type="int" value="16787463"/>
		<constant name="IBUS_KEY_braille_dots_1234" type="int" value="16787471"/>
		<constant name="IBUS_KEY_braille_dots_12345" type="int" value="16787487"/>
		<constant name="IBUS_KEY_braille_dots_123456" type="int" value="16787519"/>
		<constant name="IBUS_KEY_braille_dots_1234567" type="int" value="16787583"/>
		<constant name="IBUS_KEY_braille_dots_12345678" type="int" value="16787711"/>
		<constant name="IBUS_KEY_braille_dots_1234568" type="int" value="16787647"/>
		<constant name="IBUS_KEY_braille_dots_123457" type="int" value="16787551"/>
		<constant name="IBUS_KEY_braille_dots_1234578" type="int" value="16787679"/>
		<constant name="IBUS_KEY_braille_dots_123458" type="int" value="16787615"/>
		<constant name="IBUS_KEY_braille_dots_12346" type="int" value="16787503"/>
		<constant name="IBUS_KEY_braille_dots_123467" type="int" value="16787567"/>
		<constant name="IBUS_KEY_braille_dots_1234678" type="int" value="16787695"/>
		<constant name="IBUS_KEY_braille_dots_123468" type="int" value="16787631"/>
		<constant name="IBUS_KEY_braille_dots_12347" type="int" value="16787535"/>
		<constant name="IBUS_KEY_braille_dots_123478" type="int" value="16787663"/>
		<constant name="IBUS_KEY_braille_dots_12348" type="int" value="16787599"/>
		<constant name="IBUS_KEY_braille_dots_1235" type="int" value="16787479"/>
		<constant name="IBUS_KEY_braille_dots_12356" type="int" value="16787511"/>
		<constant name="IBUS_KEY_braille_dots_123567" type="int" value="16787575"/>
		<constant name="IBUS_KEY_braille_dots_1235678" type="int" value="16787703"/>
		<constant name="IBUS_KEY_braille_dots_123568" type="int" value="16787639"/>
		<constant name="IBUS_KEY_braille_dots_12357" type="int" value="16787543"/>
		<constant name="IBUS_KEY_braille_dots_123578" type="int" value="16787671"/>
		<constant name="IBUS_KEY_braille_dots_12358" type="int" value="16787607"/>
		<constant name="IBUS_KEY_braille_dots_1236" type="int" value="16787495"/>
		<constant name="IBUS_KEY_braille_dots_12367" type="int" value="16787559"/>
		<constant name="IBUS_KEY_braille_dots_123678" type="int" value="16787687"/>
		<constant name="IBUS_KEY_braille_dots_12368" type="int" value="16787623"/>
		<constant name="IBUS_KEY_braille_dots_1237" type="int" value="16787527"/>
		<constant name="IBUS_KEY_braille_dots_12378" type="int" value="16787655"/>
		<constant name="IBUS_KEY_braille_dots_1238" type="int" value="16787591"/>
		<constant name="IBUS_KEY_braille_dots_124" type="int" value="16787467"/>
		<constant name="IBUS_KEY_braille_dots_1245" type="int" value="16787483"/>
		<constant name="IBUS_KEY_braille_dots_12456" type="int" value="16787515"/>
		<constant name="IBUS_KEY_braille_dots_124567" type="int" value="16787579"/>
		<constant name="IBUS_KEY_braille_dots_1245678" type="int" value="16787707"/>
		<constant name="IBUS_KEY_braille_dots_124568" type="int" value="16787643"/>
		<constant name="IBUS_KEY_braille_dots_12457" type="int" value="16787547"/>
		<constant name="IBUS_KEY_braille_dots_124578" type="int" value="16787675"/>
		<constant name="IBUS_KEY_braille_dots_12458" type="int" value="16787611"/>
		<constant name="IBUS_KEY_braille_dots_1246" type="int" value="16787499"/>
		<constant name="IBUS_KEY_braille_dots_12467" type="int" value="16787563"/>
		<constant name="IBUS_KEY_braille_dots_124678" type="int" value="16787691"/>
		<constant name="IBUS_KEY_braille_dots_12468" type="int" value="16787627"/>
		<constant name="IBUS_KEY_braille_dots_1247" type="int" value="16787531"/>
		<constant name="IBUS_KEY_braille_dots_12478" type="int" value="16787659"/>
		<constant name="IBUS_KEY_braille_dots_1248" type="int" value="16787595"/>
		<constant name="IBUS_KEY_braille_dots_125" type="int" value="16787475"/>
		<constant name="IBUS_KEY_braille_dots_1256" type="int" value="16787507"/>
		<constant name="IBUS_KEY_braille_dots_12567" type="int" value="16787571"/>
		<constant name="IBUS_KEY_braille_dots_125678" type="int" value="16787699"/>
		<constant name="IBUS_KEY_braille_dots_12568" type="int" value="16787635"/>
		<constant name="IBUS_KEY_braille_dots_1257" type="int" value="16787539"/>
		<constant name="IBUS_KEY_braille_dots_12578" type="int" value="16787667"/>
		<constant name="IBUS_KEY_braille_dots_1258" type="int" value="16787603"/>
		<constant name="IBUS_KEY_braille_dots_126" type="int" value="16787491"/>
		<constant name="IBUS_KEY_braille_dots_1267" type="int" value="16787555"/>
		<constant name="IBUS_KEY_braille_dots_12678" type="int" value="16787683"/>
		<constant name="IBUS_KEY_braille_dots_1268" type="int" value="16787619"/>
		<constant name="IBUS_KEY_braille_dots_127" type="int" value="16787523"/>
		<constant name="IBUS_KEY_braille_dots_1278" type="int" value="16787651"/>
		<constant name="IBUS_KEY_braille_dots_128" type="int" value="16787587"/>
		<constant name="IBUS_KEY_braille_dots_13" type="int" value="16787461"/>
		<constant name="IBUS_KEY_braille_dots_134" type="int" value="16787469"/>
		<constant name="IBUS_KEY_braille_dots_1345" type="int" value="16787485"/>
		<constant name="IBUS_KEY_braille_dots_13456" type="int" value="16787517"/>
		<constant name="IBUS_KEY_braille_dots_134567" type="int" value="16787581"/>
		<constant name="IBUS_KEY_braille_dots_1345678" type="int" value="16787709"/>
		<constant name="IBUS_KEY_braille_dots_134568" type="int" value="16787645"/>
		<constant name="IBUS_KEY_braille_dots_13457" type="int" value="16787549"/>
		<constant name="IBUS_KEY_braille_dots_134578" type="int" value="16787677"/>
		<constant name="IBUS_KEY_braille_dots_13458" type="int" value="16787613"/>
		<constant name="IBUS_KEY_braille_dots_1346" type="int" value="16787501"/>
		<constant name="IBUS_KEY_braille_dots_13467" type="int" value="16787565"/>
		<constant name="IBUS_KEY_braille_dots_134678" type="int" value="16787693"/>
		<constant name="IBUS_KEY_braille_dots_13468" type="int" value="16787629"/>
		<constant name="IBUS_KEY_braille_dots_1347" type="int" value="16787533"/>
		<constant name="IBUS_KEY_braille_dots_13478" type="int" value="16787661"/>
		<constant name="IBUS_KEY_braille_dots_1348" type="int" value="16787597"/>
		<constant name="IBUS_KEY_braille_dots_135" type="int" value="16787477"/>
		<constant name="IBUS_KEY_braille_dots_1356" type="int" value="16787509"/>
		<constant name="IBUS_KEY_braille_dots_13567" type="int" value="16787573"/>
		<constant name="IBUS_KEY_braille_dots_135678" type="int" value="16787701"/>
		<constant name="IBUS_KEY_braille_dots_13568" type="int" value="16787637"/>
		<constant name="IBUS_KEY_braille_dots_1357" type="int" value="16787541"/>
		<constant name="IBUS_KEY_braille_dots_13578" type="int" value="16787669"/>
		<constant name="IBUS_KEY_braille_dots_1358" type="int" value="16787605"/>
		<constant name="IBUS_KEY_braille_dots_136" type="int" value="16787493"/>
		<constant name="IBUS_KEY_braille_dots_1367" type="int" value="16787557"/>
		<constant name="IBUS_KEY_braille_dots_13678" type="int" value="16787685"/>
		<constant name="IBUS_KEY_braille_dots_1368" type="int" value="16787621"/>
		<constant name="IBUS_KEY_braille_dots_137" type="int" value="16787525"/>
		<constant name="IBUS_KEY_braille_dots_1378" type="int" value="16787653"/>
		<constant name="IBUS_KEY_braille_dots_138" type="int" value="16787589"/>
		<constant name="IBUS_KEY_braille_dots_14" type="int" value="16787465"/>
		<constant name="IBUS_KEY_braille_dots_145" type="int" value="16787481"/>
		<constant name="IBUS_KEY_braille_dots_1456" type="int" value="16787513"/>
		<constant name="IBUS_KEY_braille_dots_14567" type="int" value="16787577"/>
		<constant name="IBUS_KEY_braille_dots_145678" type="int" value="16787705"/>
		<constant name="IBUS_KEY_braille_dots_14568" type="int" value="16787641"/>
		<constant name="IBUS_KEY_braille_dots_1457" type="int" value="16787545"/>
		<constant name="IBUS_KEY_braille_dots_14578" type="int" value="16787673"/>
		<constant name="IBUS_KEY_braille_dots_1458" type="int" value="16787609"/>
		<constant name="IBUS_KEY_braille_dots_146" type="int" value="16787497"/>
		<constant name="IBUS_KEY_braille_dots_1467" type="int" value="16787561"/>
		<constant name="IBUS_KEY_braille_dots_14678" type="int" value="16787689"/>
		<constant name="IBUS_KEY_braille_dots_1468" type="int" value="16787625"/>
		<constant name="IBUS_KEY_braille_dots_147" type="int" value="16787529"/>
		<constant name="IBUS_KEY_braille_dots_1478" type="int" value="16787657"/>
		<constant name="IBUS_KEY_braille_dots_148" type="int" value="16787593"/>
		<constant name="IBUS_KEY_braille_dots_15" type="int" value="16787473"/>
		<constant name="IBUS_KEY_braille_dots_156" type="int" value="16787505"/>
		<constant name="IBUS_KEY_braille_dots_1567" type="int" value="16787569"/>
		<constant name="IBUS_KEY_braille_dots_15678" type="int" value="16787697"/>
		<constant name="IBUS_KEY_braille_dots_1568" type="int" value="16787633"/>
		<constant name="IBUS_KEY_braille_dots_157" type="int" value="16787537"/>
		<constant name="IBUS_KEY_braille_dots_1578" type="int" value="16787665"/>
		<constant name="IBUS_KEY_braille_dots_158" type="int" value="16787601"/>
		<constant name="IBUS_KEY_braille_dots_16" type="int" value="16787489"/>
		<constant name="IBUS_KEY_braille_dots_167" type="int" value="16787553"/>
		<constant name="IBUS_KEY_braille_dots_1678" type="int" value="16787681"/>
		<constant name="IBUS_KEY_braille_dots_168" type="int" value="16787617"/>
		<constant name="IBUS_KEY_braille_dots_17" type="int" value="16787521"/>
		<constant name="IBUS_KEY_braille_dots_178" type="int" value="16787649"/>
		<constant name="IBUS_KEY_braille_dots_18" type="int" value="16787585"/>
		<constant name="IBUS_KEY_braille_dots_2" type="int" value="16787458"/>
		<constant name="IBUS_KEY_braille_dots_23" type="int" value="16787462"/>
		<constant name="IBUS_KEY_braille_dots_234" type="int" value="16787470"/>
		<constant name="IBUS_KEY_braille_dots_2345" type="int" value="16787486"/>
		<constant name="IBUS_KEY_braille_dots_23456" type="int" value="16787518"/>
		<constant name="IBUS_KEY_braille_dots_234567" type="int" value="16787582"/>
		<constant name="IBUS_KEY_braille_dots_2345678" type="int" value="16787710"/>
		<constant name="IBUS_KEY_braille_dots_234568" type="int" value="16787646"/>
		<constant name="IBUS_KEY_braille_dots_23457" type="int" value="16787550"/>
		<constant name="IBUS_KEY_braille_dots_234578" type="int" value="16787678"/>
		<constant name="IBUS_KEY_braille_dots_23458" type="int" value="16787614"/>
		<constant name="IBUS_KEY_braille_dots_2346" type="int" value="16787502"/>
		<constant name="IBUS_KEY_braille_dots_23467" type="int" value="16787566"/>
		<constant name="IBUS_KEY_braille_dots_234678" type="int" value="16787694"/>
		<constant name="IBUS_KEY_braille_dots_23468" type="int" value="16787630"/>
		<constant name="IBUS_KEY_braille_dots_2347" type="int" value="16787534"/>
		<constant name="IBUS_KEY_braille_dots_23478" type="int" value="16787662"/>
		<constant name="IBUS_KEY_braille_dots_2348" type="int" value="16787598"/>
		<constant name="IBUS_KEY_braille_dots_235" type="int" value="16787478"/>
		<constant name="IBUS_KEY_braille_dots_2356" type="int" value="16787510"/>
		<constant name="IBUS_KEY_braille_dots_23567" type="int" value="16787574"/>
		<constant name="IBUS_KEY_braille_dots_235678" type="int" value="16787702"/>
		<constant name="IBUS_KEY_braille_dots_23568" type="int" value="16787638"/>
		<constant name="IBUS_KEY_braille_dots_2357" type="int" value="16787542"/>
		<constant name="IBUS_KEY_braille_dots_23578" type="int" value="16787670"/>
		<constant name="IBUS_KEY_braille_dots_2358" type="int" value="16787606"/>
		<constant name="IBUS_KEY_braille_dots_236" type="int" value="16787494"/>
		<constant name="IBUS_KEY_braille_dots_2367" type="int" value="16787558"/>
		<constant name="IBUS_KEY_braille_dots_23678" type="int" value="16787686"/>
		<constant name="IBUS_KEY_braille_dots_2368" type="int" value="16787622"/>
		<constant name="IBUS_KEY_braille_dots_237" type="int" value="16787526"/>
		<constant name="IBUS_KEY_braille_dots_2378" type="int" value="16787654"/>
		<constant name="IBUS_KEY_braille_dots_238" type="int" value="16787590"/>
		<constant name="IBUS_KEY_braille_dots_24" type="int" value="16787466"/>
		<constant name="IBUS_KEY_braille_dots_245" type="int" value="16787482"/>
		<constant name="IBUS_KEY_braille_dots_2456" type="int" value="16787514"/>
		<constant name="IBUS_KEY_braille_dots_24567" type="int" value="16787578"/>
		<constant name="IBUS_KEY_braille_dots_245678" type="int" value="16787706"/>
		<constant name="IBUS_KEY_braille_dots_24568" type="int" value="16787642"/>
		<constant name="IBUS_KEY_braille_dots_2457" type="int" value="16787546"/>
		<constant name="IBUS_KEY_braille_dots_24578" type="int" value="16787674"/>
		<constant name="IBUS_KEY_braille_dots_2458" type="int" value="16787610"/>
		<constant name="IBUS_KEY_braille_dots_246" type="int" value="16787498"/>
		<constant name="IBUS_KEY_braille_dots_2467" type="int" value="16787562"/>
		<constant name="IBUS_KEY_braille_dots_24678" type="int" value="16787690"/>
		<constant name="IBUS_KEY_braille_dots_2468" type="int" value="16787626"/>
		<constant name="IBUS_KEY_braille_dots_247" type="int" value="16787530"/>
		<constant name="IBUS_KEY_braille_dots_2478" type="int" value="16787658"/>
		<constant name="IBUS_KEY_braille_dots_248" type="int" value="16787594"/>
		<constant name="IBUS_KEY_braille_dots_25" type="int" value="16787474"/>
		<constant name="IBUS_KEY_braille_dots_256" type="int" value="16787506"/>
		<constant name="IBUS_KEY_braille_dots_2567" type="int" value="16787570"/>
		<constant name="IBUS_KEY_braille_dots_25678" type="int" value="16787698"/>
		<constant name="IBUS_KEY_braille_dots_2568" type="int" value="16787634"/>
		<constant name="IBUS_KEY_braille_dots_257" type="int" value="16787538"/>
		<constant name="IBUS_KEY_braille_dots_2578" type="int" value="16787666"/>
		<constant name="IBUS_KEY_braille_dots_258" type="int" value="16787602"/>
		<constant name="IBUS_KEY_braille_dots_26" type="int" value="16787490"/>
		<constant name="IBUS_KEY_braille_dots_267" type="int" value="16787554"/>
		<constant name="IBUS_KEY_braille_dots_2678" type="int" value="16787682"/>
		<constant name="IBUS_KEY_braille_dots_268" type="int" value="16787618"/>
		<constant name="IBUS_KEY_braille_dots_27" type="int" value="16787522"/>
		<constant name="IBUS_KEY_braille_dots_278" type="int" value="16787650"/>
		<constant name="IBUS_KEY_braille_dots_28" type="int" value="16787586"/>
		<constant name="IBUS_KEY_braille_dots_3" type="int" value="16787460"/>
		<constant name="IBUS_KEY_braille_dots_34" type="int" value="16787468"/>
		<constant name="IBUS_KEY_braille_dots_345" type="int" value="16787484"/>
		<constant name="IBUS_KEY_braille_dots_3456" type="int" value="16787516"/>
		<constant name="IBUS_KEY_braille_dots_34567" type="int" value="16787580"/>
		<constant name="IBUS_KEY_braille_dots_345678" type="int" value="16787708"/>
		<constant name="IBUS_KEY_braille_dots_34568" type="int" value="16787644"/>
		<constant name="IBUS_KEY_braille_dots_3457" type="int" value="16787548"/>
		<constant name="IBUS_KEY_braille_dots_34578" type="int" value="16787676"/>
		<constant name="IBUS_KEY_braille_dots_3458" type="int" value="16787612"/>
		<constant name="IBUS_KEY_braille_dots_346" type="int" value="16787500"/>
		<constant name="IBUS_KEY_braille_dots_3467" type="int" value="16787564"/>
		<constant name="IBUS_KEY_braille_dots_34678" type="int" value="16787692"/>
		<constant name="IBUS_KEY_braille_dots_3468" type="int" value="16787628"/>
		<constant name="IBUS_KEY_braille_dots_347" type="int" value="16787532"/>
		<constant name="IBUS_KEY_braille_dots_3478" type="int" value="16787660"/>
		<constant name="IBUS_KEY_braille_dots_348" type="int" value="16787596"/>
		<constant name="IBUS_KEY_braille_dots_35" type="int" value="16787476"/>
		<constant name="IBUS_KEY_braille_dots_356" type="int" value="16787508"/>
		<constant name="IBUS_KEY_braille_dots_3567" type="int" value="16787572"/>
		<constant name="IBUS_KEY_braille_dots_35678" type="int" value="16787700"/>
		<constant name="IBUS_KEY_braille_dots_3568" type="int" value="16787636"/>
		<constant name="IBUS_KEY_braille_dots_357" type="int" value="16787540"/>
		<constant name="IBUS_KEY_braille_dots_3578" type="int" value="16787668"/>
		<constant name="IBUS_KEY_braille_dots_358" type="int" value="16787604"/>
		<constant name="IBUS_KEY_braille_dots_36" type="int" value="16787492"/>
		<constant name="IBUS_KEY_braille_dots_367" type="int" value="16787556"/>
		<constant name="IBUS_KEY_braille_dots_3678" type="int" value="16787684"/>
		<constant name="IBUS_KEY_braille_dots_368" type="int" value="16787620"/>
		<constant name="IBUS_KEY_braille_dots_37" type="int" value="16787524"/>
		<constant name="IBUS_KEY_braille_dots_378" type="int" value="16787652"/>
		<constant name="IBUS_KEY_braille_dots_38" type="int" value="16787588"/>
		<constant name="IBUS_KEY_braille_dots_4" type="int" value="16787464"/>
		<constant name="IBUS_KEY_braille_dots_45" type="int" value="16787480"/>
		<constant name="IBUS_KEY_braille_dots_456" type="int" value="16787512"/>
		<constant name="IBUS_KEY_braille_dots_4567" type="int" value="16787576"/>
		<constant name="IBUS_KEY_braille_dots_45678" type="int" value="16787704"/>
		<constant name="IBUS_KEY_braille_dots_4568" type="int" value="16787640"/>
		<constant name="IBUS_KEY_braille_dots_457" type="int" value="16787544"/>
		<constant name="IBUS_KEY_braille_dots_4578" type="int" value="16787672"/>
		<constant name="IBUS_KEY_braille_dots_458" type="int" value="16787608"/>
		<constant name="IBUS_KEY_braille_dots_46" type="int" value="16787496"/>
		<constant name="IBUS_KEY_braille_dots_467" type="int" value="16787560"/>
		<constant name="IBUS_KEY_braille_dots_4678" type="int" value="16787688"/>
		<constant name="IBUS_KEY_braille_dots_468" type="int" value="16787624"/>
		<constant name="IBUS_KEY_braille_dots_47" type="int" value="16787528"/>
		<constant name="IBUS_KEY_braille_dots_478" type="int" value="16787656"/>
		<constant name="IBUS_KEY_braille_dots_48" type="int" value="16787592"/>
		<constant name="IBUS_KEY_braille_dots_5" type="int" value="16787472"/>
		<constant name="IBUS_KEY_braille_dots_56" type="int" value="16787504"/>
		<constant name="IBUS_KEY_braille_dots_567" type="int" value="16787568"/>
		<constant name="IBUS_KEY_braille_dots_5678" type="int" value="16787696"/>
		<constant name="IBUS_KEY_braille_dots_568" type="int" value="16787632"/>
		<constant name="IBUS_KEY_braille_dots_57" type="int" value="16787536"/>
		<constant name="IBUS_KEY_braille_dots_578" type="int" value="16787664"/>
		<constant name="IBUS_KEY_braille_dots_58" type="int" value="16787600"/>
		<constant name="IBUS_KEY_braille_dots_6" type="int" value="16787488"/>
		<constant name="IBUS_KEY_braille_dots_67" type="int" value="16787552"/>
		<constant name="IBUS_KEY_braille_dots_678" type="int" value="16787680"/>
		<constant name="IBUS_KEY_braille_dots_68" type="int" value="16787616"/>
		<constant name="IBUS_KEY_braille_dots_7" type="int" value="16787520"/>
		<constant name="IBUS_KEY_braille_dots_78" type="int" value="16787648"/>
		<constant name="IBUS_KEY_braille_dots_8" type="int" value="16787584"/>
		<constant name="IBUS_KEY_breve" type="int" value="418"/>
		<constant name="IBUS_KEY_brokenbar" type="int" value="166"/>
		<constant name="IBUS_KEY_c" type="int" value="99"/>
		<constant name="IBUS_KEY_c_h" type="int" value="65187"/>
		<constant name="IBUS_KEY_cabovedot" type="int" value="741"/>
		<constant name="IBUS_KEY_cacute" type="int" value="486"/>
		<constant name="IBUS_KEY_careof" type="int" value="2744"/>
		<constant name="IBUS_KEY_caret" type="int" value="2812"/>
		<constant name="IBUS_KEY_caron" type="int" value="439"/>
		<constant name="IBUS_KEY_ccaron" type="int" value="488"/>
		<constant name="IBUS_KEY_ccedilla" type="int" value="231"/>
		<constant name="IBUS_KEY_ccircumflex" type="int" value="742"/>
		<constant name="IBUS_KEY_cedilla" type="int" value="184"/>
		<constant name="IBUS_KEY_cent" type="int" value="162"/>
		<constant name="IBUS_KEY_ch" type="int" value="65184"/>
		<constant name="IBUS_KEY_checkerboard" type="int" value="2529"/>
		<constant name="IBUS_KEY_checkmark" type="int" value="2803"/>
		<constant name="IBUS_KEY_circle" type="int" value="3023"/>
		<constant name="IBUS_KEY_club" type="int" value="2796"/>
		<constant name="IBUS_KEY_colon" type="int" value="58"/>
		<constant name="IBUS_KEY_comma" type="int" value="44"/>
		<constant name="IBUS_KEY_containsas" type="int" value="16785931"/>
		<constant name="IBUS_KEY_copyright" type="int" value="169"/>
		<constant name="IBUS_KEY_cr" type="int" value="2532"/>
		<constant name="IBUS_KEY_crossinglines" type="int" value="2542"/>
		<constant name="IBUS_KEY_cuberoot" type="int" value="16785947"/>
		<constant name="IBUS_KEY_currency" type="int" value="164"/>
		<constant name="IBUS_KEY_cursor" type="int" value="2815"/>
		<constant name="IBUS_KEY_d" type="int" value="100"/>
		<constant name="IBUS_KEY_dabovedot" type="int" value="16784907"/>
		<constant name="IBUS_KEY_dagger" type="int" value="2801"/>
		<constant name="IBUS_KEY_dcaron" type="int" value="495"/>
		<constant name="IBUS_KEY_dead_A" type="int" value="65153"/>
		<constant name="IBUS_KEY_dead_E" type="int" value="65155"/>
		<constant name="IBUS_KEY_dead_I" type="int" value="65157"/>
		<constant name="IBUS_KEY_dead_O" type="int" value="65159"/>
		<constant name="IBUS_KEY_dead_U" type="int" value="65161"/>
		<constant name="IBUS_KEY_dead_a" type="int" value="65152"/>
		<constant name="IBUS_KEY_dead_abovecomma" type="int" value="65124"/>
		<constant name="IBUS_KEY_dead_abovedot" type="int" value="65110"/>
		<constant name="IBUS_KEY_dead_abovereversedcomma" type="int" value="65125"/>
		<constant name="IBUS_KEY_dead_abovering" type="int" value="65112"/>
		<constant name="IBUS_KEY_dead_acute" type="int" value="65105"/>
		<constant name="IBUS_KEY_dead_belowbreve" type="int" value="65131"/>
		<constant name="IBUS_KEY_dead_belowcircumflex" type="int" value="65129"/>
		<constant name="IBUS_KEY_dead_belowcomma" type="int" value="65134"/>
		<constant name="IBUS_KEY_dead_belowdiaeresis" type="int" value="65132"/>
		<constant name="IBUS_KEY_dead_belowdot" type="int" value="65120"/>
		<constant name="IBUS_KEY_dead_belowmacron" type="int" value="65128"/>
		<constant name="IBUS_KEY_dead_belowring" type="int" value="65127"/>
		<constant name="IBUS_KEY_dead_belowtilde" type="int" value="65130"/>
		<constant name="IBUS_KEY_dead_breve" type="int" value="65109"/>
		<constant name="IBUS_KEY_dead_capital_schwa" type="int" value="65163"/>
		<constant name="IBUS_KEY_dead_caron" type="int" value="65114"/>
		<constant name="IBUS_KEY_dead_cedilla" type="int" value="65115"/>
		<constant name="IBUS_KEY_dead_circumflex" type="int" value="65106"/>
		<constant name="IBUS_KEY_dead_currency" type="int" value="65135"/>
		<constant name="IBUS_KEY_dead_dasia" type="int" value="65125"/>
		<constant name="IBUS_KEY_dead_diaeresis" type="int" value="65111"/>
		<constant name="IBUS_KEY_dead_doubleacute" type="int" value="65113"/>
		<constant name="IBUS_KEY_dead_doublegrave" type="int" value="65126"/>
		<constant name="IBUS_KEY_dead_e" type="int" value="65154"/>
		<constant name="IBUS_KEY_dead_grave" type="int" value="65104"/>
		<constant name="IBUS_KEY_dead_hook" type="int" value="65121"/>
		<constant name="IBUS_KEY_dead_horn" type="int" value="65122"/>
		<constant name="IBUS_KEY_dead_i" type="int" value="65156"/>
		<constant name="IBUS_KEY_dead_invertedbreve" type="int" value="65133"/>
		<constant name="IBUS_KEY_dead_iota" type="int" value="65117"/>
		<constant name="IBUS_KEY_dead_macron" type="int" value="65108"/>
		<constant name="IBUS_KEY_dead_o" type="int" value="65158"/>
		<constant name="IBUS_KEY_dead_ogonek" type="int" value="65116"/>
		<constant name="IBUS_KEY_dead_perispomeni" type="int" value="65107"/>
		<constant name="IBUS_KEY_dead_psili" type="int" value="65124"/>
		<constant name="IBUS_KEY_dead_semivoiced_sound" type="int" value="65119"/>
		<constant name="IBUS_KEY_dead_small_schwa" type="int" value="65162"/>
		<constant name="IBUS_KEY_dead_stroke" type="int" value="65123"/>
		<constant name="IBUS_KEY_dead_tilde" type="int" value="65107"/>
		<constant name="IBUS_KEY_dead_u" type="int" value="65160"/>
		<constant name="IBUS_KEY_dead_voiced_sound" type="int" value="65118"/>
		<constant name="IBUS_KEY_decimalpoint" type="int" value="2749"/>
		<constant name="IBUS_KEY_degree" type="int" value="176"/>
		<constant name="IBUS_KEY_diaeresis" type="int" value="168"/>
		<constant name="IBUS_KEY_diamond" type="int" value="2797"/>
		<constant name="IBUS_KEY_digitspace" type="int" value="2725"/>
		<constant name="IBUS_KEY_dintegral" type="int" value="16785964"/>
		<constant name="IBUS_KEY_division" type="int" value="247"/>
		<constant name="IBUS_KEY_dollar" type="int" value="36"/>
		<constant name="IBUS_KEY_doubbaselinedot" type="int" value="2735"/>
		<constant name="IBUS_KEY_doubleacute" type="int" value="445"/>
		<constant name="IBUS_KEY_doubledagger" type="int" value="2802"/>
		<constant name="IBUS_KEY_doublelowquotemark" type="int" value="2814"/>
		<constant name="IBUS_KEY_downarrow" type="int" value="2302"/>
		<constant name="IBUS_KEY_downcaret" type="int" value="2984"/>
		<constant name="IBUS_KEY_downshoe" type="int" value="3030"/>
		<constant name="IBUS_KEY_downstile" type="int" value="3012"/>
		<constant name="IBUS_KEY_downtack" type="int" value="3010"/>
		<constant name="IBUS_KEY_dstroke" type="int" value="496"/>
		<constant name="IBUS_KEY_e" type="int" value="101"/>
		<constant name="IBUS_KEY_eabovedot" type="int" value="1004"/>
		<constant name="IBUS_KEY_eacute" type="int" value="233"/>
		<constant name="IBUS_KEY_ebelowdot" type="int" value="16785081"/>
		<constant name="IBUS_KEY_ecaron" type="int" value="492"/>
		<constant name="IBUS_KEY_ecircumflex" type="int" value="234"/>
		<constant name="IBUS_KEY_ecircumflexacute" type="int" value="16785087"/>
		<constant name="IBUS_KEY_ecircumflexbelowdot" type="int" value="16785095"/>
		<constant name="IBUS_KEY_ecircumflexgrave" type="int" value="16785089"/>
		<constant name="IBUS_KEY_ecircumflexhook" type="int" value="16785091"/>
		<constant name="IBUS_KEY_ecircumflextilde" type="int" value="16785093"/>
		<constant name="IBUS_KEY_ediaeresis" type="int" value="235"/>
		<constant name="IBUS_KEY_egrave" type="int" value="232"/>
		<constant name="IBUS_KEY_ehook" type="int" value="16785083"/>
		<constant name="IBUS_KEY_eightsubscript" type="int" value="16785544"/>
		<constant name="IBUS_KEY_eightsuperior" type="int" value="16785528"/>
		<constant name="IBUS_KEY_elementof" type="int" value="16785928"/>
		<constant name="IBUS_KEY_ellipsis" type="int" value="2734"/>
		<constant name="IBUS_KEY_em3space" type="int" value="2723"/>
		<constant name="IBUS_KEY_em4space" type="int" value="2724"/>
		<constant name="IBUS_KEY_emacron" type="int" value="954"/>
		<constant name="IBUS_KEY_emdash" type="int" value="2729"/>
		<constant name="IBUS_KEY_emfilledcircle" type="int" value="2782"/>
		<constant name="IBUS_KEY_emfilledrect" type="int" value="2783"/>
		<constant name="IBUS_KEY_emopencircle" type="int" value="2766"/>
		<constant name="IBUS_KEY_emopenrectangle" type="int" value="2767"/>
		<constant name="IBUS_KEY_emptyset" type="int" value="16785925"/>
		<constant name="IBUS_KEY_emspace" type="int" value="2721"/>
		<constant name="IBUS_KEY_endash" type="int" value="2730"/>
		<constant name="IBUS_KEY_enfilledcircbullet" type="int" value="2790"/>
		<constant name="IBUS_KEY_enfilledsqbullet" type="int" value="2791"/>
		<constant name="IBUS_KEY_eng" type="int" value="959"/>
		<constant name="IBUS_KEY_enopencircbullet" type="int" value="2784"/>
		<constant name="IBUS_KEY_enopensquarebullet" type="int" value="2785"/>
		<constant name="IBUS_KEY_enspace" type="int" value="2722"/>
		<constant name="IBUS_KEY_eogonek" type="int" value="490"/>
		<constant name="IBUS_KEY_equal" type="int" value="61"/>
		<constant name="IBUS_KEY_eth" type="int" value="240"/>
		<constant name="IBUS_KEY_etilde" type="int" value="16785085"/>
		<constant name="IBUS_KEY_exclam" type="int" value="33"/>
		<constant name="IBUS_KEY_exclamdown" type="int" value="161"/>
		<constant name="IBUS_KEY_f" type="int" value="102"/>
		<constant name="IBUS_KEY_fabovedot" type="int" value="16784927"/>
		<constant name="IBUS_KEY_femalesymbol" type="int" value="2808"/>
		<constant name="IBUS_KEY_ff" type="int" value="2531"/>
		<constant name="IBUS_KEY_figdash" type="int" value="2747"/>
		<constant name="IBUS_KEY_filledlefttribullet" type="int" value="2780"/>
		<constant name="IBUS_KEY_filledrectbullet" type="int" value="2779"/>
		<constant name="IBUS_KEY_filledrighttribullet" type="int" value="2781"/>
		<constant name="IBUS_KEY_filledtribulletdown" type="int" value="2793"/>
		<constant name="IBUS_KEY_filledtribulletup" type="int" value="2792"/>
		<constant name="IBUS_KEY_fiveeighths" type="int" value="2757"/>
		<constant name="IBUS_KEY_fivesixths" type="int" value="2743"/>
		<constant name="IBUS_KEY_fivesubscript" type="int" value="16785541"/>
		<constant name="IBUS_KEY_fivesuperior" type="int" value="16785525"/>
		<constant name="IBUS_KEY_fourfifths" type="int" value="2741"/>
		<constant name="IBUS_KEY_foursubscript" type="int" value="16785540"/>
		<constant name="IBUS_KEY_foursuperior" type="int" value="16785524"/>
		<constant name="IBUS_KEY_fourthroot" type="int" value="16785948"/>
		<constant name="IBUS_KEY_function" type="int" value="2294"/>
		<constant name="IBUS_KEY_g" type="int" value="103"/>
		<constant name="IBUS_KEY_gabovedot" type="int" value="757"/>
		<constant name="IBUS_KEY_gbreve" type="int" value="699"/>
		<constant name="IBUS_KEY_gcaron" type="int" value="16777703"/>
		<constant name="IBUS_KEY_gcedilla" type="int" value="955"/>
		<constant name="IBUS_KEY_gcircumflex" type="int" value="760"/>
		<constant name="IBUS_KEY_grave" type="int" value="96"/>
		<constant name="IBUS_KEY_greater" type="int" value="62"/>
		<constant name="IBUS_KEY_greaterthanequal" type="int" value="2238"/>
		<constant name="IBUS_KEY_guillemotleft" type="int" value="171"/>
		<constant name="IBUS_KEY_guillemotright" type="int" value="187"/>
		<constant name="IBUS_KEY_h" type="int" value="104"/>
		<constant name="IBUS_KEY_hairspace" type="int" value="2728"/>
		<constant name="IBUS_KEY_hcircumflex" type="int" value="694"/>
		<constant name="IBUS_KEY_heart" type="int" value="2798"/>
		<constant name="IBUS_KEY_hebrew_aleph" type="int" value="3296"/>
		<constant name="IBUS_KEY_hebrew_ayin" type="int" value="3314"/>
		<constant name="IBUS_KEY_hebrew_bet" type="int" value="3297"/>
		<constant name="IBUS_KEY_hebrew_beth" type="int" value="3297"/>
		<constant name="IBUS_KEY_hebrew_chet" type="int" value="3303"/>
		<constant name="IBUS_KEY_hebrew_dalet" type="int" value="3299"/>
		<constant name="IBUS_KEY_hebrew_daleth" type="int" value="3299"/>
		<constant name="IBUS_KEY_hebrew_doublelowline" type="int" value="3295"/>
		<constant name="IBUS_KEY_hebrew_finalkaph" type="int" value="3306"/>
		<constant name="IBUS_KEY_hebrew_finalmem" type="int" value="3309"/>
		<constant name="IBUS_KEY_hebrew_finalnun" type="int" value="3311"/>
		<constant name="IBUS_KEY_hebrew_finalpe" type="int" value="3315"/>
		<constant name="IBUS_KEY_hebrew_finalzade" type="int" value="3317"/>
		<constant name="IBUS_KEY_hebrew_finalzadi" type="int" value="3317"/>
		<constant name="IBUS_KEY_hebrew_gimel" type="int" value="3298"/>
		<constant name="IBUS_KEY_hebrew_gimmel" type="int" value="3298"/>
		<constant name="IBUS_KEY_hebrew_he" type="int" value="3300"/>
		<constant name="IBUS_KEY_hebrew_het" type="int" value="3303"/>
		<constant name="IBUS_KEY_hebrew_kaph" type="int" value="3307"/>
		<constant name="IBUS_KEY_hebrew_kuf" type="int" value="3319"/>
		<constant name="IBUS_KEY_hebrew_lamed" type="int" value="3308"/>
		<constant name="IBUS_KEY_hebrew_mem" type="int" value="3310"/>
		<constant name="IBUS_KEY_hebrew_nun" type="int" value="3312"/>
		<constant name="IBUS_KEY_hebrew_pe" type="int" value="3316"/>
		<constant name="IBUS_KEY_hebrew_qoph" type="int" value="3319"/>
		<constant name="IBUS_KEY_hebrew_resh" type="int" value="3320"/>
		<constant name="IBUS_KEY_hebrew_samech" type="int" value="3313"/>
		<constant name="IBUS_KEY_hebrew_samekh" type="int" value="3313"/>
		<constant name="IBUS_KEY_hebrew_shin" type="int" value="3321"/>
		<constant name="IBUS_KEY_hebrew_taf" type="int" value="3322"/>
		<constant name="IBUS_KEY_hebrew_taw" type="int" value="3322"/>
		<constant name="IBUS_KEY_hebrew_tet" type="int" value="3304"/>
		<constant name="IBUS_KEY_hebrew_teth" type="int" value="3304"/>
		<constant name="IBUS_KEY_hebrew_waw" type="int" value="3301"/>
		<constant name="IBUS_KEY_hebrew_yod" type="int" value="3305"/>
		<constant name="IBUS_KEY_hebrew_zade" type="int" value="3318"/>
		<constant name="IBUS_KEY_hebrew_zadi" type="int" value="3318"/>
		<constant name="IBUS_KEY_hebrew_zain" type="int" value="3302"/>
		<constant name="IBUS_KEY_hebrew_zayin" type="int" value="3302"/>
		<constant name="IBUS_KEY_hexagram" type="int" value="2778"/>
		<constant name="IBUS_KEY_horizconnector" type="int" value="2211"/>
		<constant name="IBUS_KEY_horizlinescan1" type="int" value="2543"/>
		<constant name="IBUS_KEY_horizlinescan3" type="int" value="2544"/>
		<constant name="IBUS_KEY_horizlinescan5" type="int" value="2545"/>
		<constant name="IBUS_KEY_horizlinescan7" type="int" value="2546"/>
		<constant name="IBUS_KEY_horizlinescan9" type="int" value="2547"/>
		<constant name="IBUS_KEY_hstroke" type="int" value="689"/>
		<constant name="IBUS_KEY_ht" type="int" value="2530"/>
		<constant name="IBUS_KEY_hyphen" type="int" value="173"/>
		<constant name="IBUS_KEY_i" type="int" value="105"/>
		<constant name="IBUS_KEY_iacute" type="int" value="237"/>
		<constant name="IBUS_KEY_ibelowdot" type="int" value="16785099"/>
		<constant name="IBUS_KEY_ibreve" type="int" value="16777517"/>
		<constant name="IBUS_KEY_icircumflex" type="int" value="238"/>
		<constant name="IBUS_KEY_identical" type="int" value="2255"/>
		<constant name="IBUS_KEY_idiaeresis" type="int" value="239"/>
		<constant name="IBUS_KEY_idotless" type="int" value="697"/>
		<constant name="IBUS_KEY_ifonlyif" type="int" value="2253"/>
		<constant name="IBUS_KEY_igrave" type="int" value="236"/>
		<constant name="IBUS_KEY_ihook" type="int" value="16785097"/>
		<constant name="IBUS_KEY_imacron" type="int" value="1007"/>
		<constant name="IBUS_KEY_implies" type="int" value="2254"/>
		<constant name="IBUS_KEY_includedin" type="int" value="2266"/>
		<constant name="IBUS_KEY_includes" type="int" value="2267"/>
		<constant name="IBUS_KEY_infinity" type="int" value="2242"/>
		<constant name="IBUS_KEY_integral" type="int" value="2239"/>
		<constant name="IBUS_KEY_intersection" type="int" value="2268"/>
		<constant name="IBUS_KEY_iogonek" type="int" value="999"/>
		<constant name="IBUS_KEY_itilde" type="int" value="949"/>
		<constant name="IBUS_KEY_j" type="int" value="106"/>
		<constant name="IBUS_KEY_jcircumflex" type="int" value="700"/>
		<constant name="IBUS_KEY_jot" type="int" value="3018"/>
		<constant name="IBUS_KEY_k" type="int" value="107"/>
		<constant name="IBUS_KEY_kana_A" type="int" value="1201"/>
		<constant name="IBUS_KEY_kana_CHI" type="int" value="1217"/>
		<constant name="IBUS_KEY_kana_E" type="int" value="1204"/>
		<constant name="IBUS_KEY_kana_FU" type="int" value="1228"/>
		<constant name="IBUS_KEY_kana_HA" type="int" value="1226"/>
		<constant name="IBUS_KEY_kana_HE" type="int" value="1229"/>
		<constant name="IBUS_KEY_kana_HI" type="int" value="1227"/>
		<constant name="IBUS_KEY_kana_HO" type="int" value="1230"/>
		<constant name="IBUS_KEY_kana_HU" type="int" value="1228"/>
		<constant name="IBUS_KEY_kana_I" type="int" value="1202"/>
		<constant name="IBUS_KEY_kana_KA" type="int" value="1206"/>
		<constant name="IBUS_KEY_kana_KE" type="int" value="1209"/>
		<constant name="IBUS_KEY_kana_KI" type="int" value="1207"/>
		<constant name="IBUS_KEY_kana_KO" type="int" value="1210"/>
		<constant name="IBUS_KEY_kana_KU" type="int" value="1208"/>
		<constant name="IBUS_KEY_kana_MA" type="int" value="1231"/>
		<constant name="IBUS_KEY_kana_ME" type="int" value="1234"/>
		<constant name="IBUS_KEY_kana_MI" type="int" value="1232"/>
		<constant name="IBUS_KEY_kana_MO" type="int" value="1235"/>
		<constant name="IBUS_KEY_kana_MU" type="int" value="1233"/>
		<constant name="IBUS_KEY_kana_N" type="int" value="1245"/>
		<constant name="IBUS_KEY_kana_NA" type="int" value="1221"/>
		<constant name="IBUS_KEY_kana_NE" type="int" value="1224"/>
		<constant name="IBUS_KEY_kana_NI" type="int" value="1222"/>
		<constant name="IBUS_KEY_kana_NO" type="int" value="1225"/>
		<constant name="IBUS_KEY_kana_NU" type="int" value="1223"/>
		<constant name="IBUS_KEY_kana_O" type="int" value="1205"/>
		<constant name="IBUS_KEY_kana_RA" type="int" value="1239"/>
		<constant name="IBUS_KEY_kana_RE" type="int" value="1242"/>
		<constant name="IBUS_KEY_kana_RI" type="int" value="1240"/>
		<constant name="IBUS_KEY_kana_RO" type="int" value="1243"/>
		<constant name="IBUS_KEY_kana_RU" type="int" value="1241"/>
		<constant name="IBUS_KEY_kana_SA" type="int" value="1211"/>
		<constant name="IBUS_KEY_kana_SE" type="int" value="1214"/>
		<constant name="IBUS_KEY_kana_SHI" type="int" value="1212"/>
		<constant name="IBUS_KEY_kana_SO" type="int" value="1215"/>
		<constant name="IBUS_KEY_kana_SU" type="int" value="1213"/>
		<constant name="IBUS_KEY_kana_TA" type="int" value="1216"/>
		<constant name="IBUS_KEY_kana_TE" type="int" value="1219"/>
		<constant name="IBUS_KEY_kana_TI" type="int" value="1217"/>
		<constant name="IBUS_KEY_kana_TO" type="int" value="1220"/>
		<constant name="IBUS_KEY_kana_TSU" type="int" value="1218"/>
		<constant name="IBUS_KEY_kana_TU" type="int" value="1218"/>
		<constant name="IBUS_KEY_kana_U" type="int" value="1203"/>
		<constant name="IBUS_KEY_kana_WA" type="int" value="1244"/>
		<constant name="IBUS_KEY_kana_WO" type="int" value="1190"/>
		<constant name="IBUS_KEY_kana_YA" type="int" value="1236"/>
		<constant name="IBUS_KEY_kana_YO" type="int" value="1238"/>
		<constant name="IBUS_KEY_kana_YU" type="int" value="1237"/>
		<constant name="IBUS_KEY_kana_a" type="int" value="1191"/>
		<constant name="IBUS_KEY_kana_closingbracket" type="int" value="1187"/>
		<constant name="IBUS_KEY_kana_comma" type="int" value="1188"/>
		<constant name="IBUS_KEY_kana_conjunctive" type="int" value="1189"/>
		<constant name="IBUS_KEY_kana_e" type="int" value="1194"/>
		<constant name="IBUS_KEY_kana_fullstop" type="int" value="1185"/>
		<constant name="IBUS_KEY_kana_i" type="int" value="1192"/>
		<constant name="IBUS_KEY_kana_middledot" type="int" value="1189"/>
		<constant name="IBUS_KEY_kana_o" type="int" value="1195"/>
		<constant name="IBUS_KEY_kana_openingbracket" type="int" value="1186"/>
		<constant name="IBUS_KEY_kana_switch" type="int" value="65406"/>
		<constant name="IBUS_KEY_kana_tsu" type="int" value="1199"/>
		<constant name="IBUS_KEY_kana_tu" type="int" value="1199"/>
		<constant name="IBUS_KEY_kana_u" type="int" value="1193"/>
		<constant name="IBUS_KEY_kana_ya" type="int" value="1196"/>
		<constant name="IBUS_KEY_kana_yo" type="int" value="1198"/>
		<constant name="IBUS_KEY_kana_yu" type="int" value="1197"/>
		<constant name="IBUS_KEY_kappa" type="int" value="930"/>
		<constant name="IBUS_KEY_kcedilla" type="int" value="1011"/>
		<constant name="IBUS_KEY_kra" type="int" value="930"/>
		<constant name="IBUS_KEY_l" type="int" value="108"/>
		<constant name="IBUS_KEY_lacute" type="int" value="485"/>
		<constant name="IBUS_KEY_latincross" type="int" value="2777"/>
		<constant name="IBUS_KEY_lbelowdot" type="int" value="16784951"/>
		<constant name="IBUS_KEY_lcaron" type="int" value="437"/>
		<constant name="IBUS_KEY_lcedilla" type="int" value="950"/>
		<constant name="IBUS_KEY_leftanglebracket" type="int" value="2748"/>
		<constant name="IBUS_KEY_leftarrow" type="int" value="2299"/>
		<constant name="IBUS_KEY_leftcaret" type="int" value="2979"/>
		<constant name="IBUS_KEY_leftdoublequotemark" type="int" value="2770"/>
		<constant name="IBUS_KEY_leftmiddlecurlybrace" type="int" value="2223"/>
		<constant name="IBUS_KEY_leftopentriangle" type="int" value="2764"/>
		<constant name="IBUS_KEY_leftpointer" type="int" value="2794"/>
		<constant name="IBUS_KEY_leftradical" type="int" value="2209"/>
		<constant name="IBUS_KEY_leftshoe" type="int" value="3034"/>
		<constant name="IBUS_KEY_leftsinglequotemark" type="int" value="2768"/>
		<constant name="IBUS_KEY_leftt" type="int" value="2548"/>
		<constant name="IBUS_KEY_lefttack" type="int" value="3036"/>
		<constant name="IBUS_KEY_less" type="int" value="60"/>
		<constant name="IBUS_KEY_lessthanequal" type="int" value="2236"/>
		<constant name="IBUS_KEY_lf" type="int" value="2533"/>
		<constant name="IBUS_KEY_logicaland" type="int" value="2270"/>
		<constant name="IBUS_KEY_logicalor" type="int" value="2271"/>
		<constant name="IBUS_KEY_lowleftcorner" type="int" value="2541"/>
		<constant name="IBUS_KEY_lowrightcorner" type="int" value="2538"/>
		<constant name="IBUS_KEY_lstroke" type="int" value="435"/>
		<constant name="IBUS_KEY_m" type="int" value="109"/>
		<constant name="IBUS_KEY_mabovedot" type="int" value="16784961"/>
		<constant name="IBUS_KEY_macron" type="int" value="175"/>
		<constant name="IBUS_KEY_malesymbol" type="int" value="2807"/>
		<constant name="IBUS_KEY_maltesecross" type="int" value="2800"/>
		<constant name="IBUS_KEY_marker" type="int" value="2751"/>
		<constant name="IBUS_KEY_masculine" type="int" value="186"/>
		<constant name="IBUS_KEY_minus" type="int" value="45"/>
		<constant name="IBUS_KEY_minutes" type="int" value="2774"/>
		<constant name="IBUS_KEY_mu" type="int" value="181"/>
		<constant name="IBUS_KEY_multiply" type="int" value="215"/>
		<constant name="IBUS_KEY_musicalflat" type="int" value="2806"/>
		<constant name="IBUS_KEY_musicalsharp" type="int" value="2805"/>
		<constant name="IBUS_KEY_n" type="int" value="110"/>
		<constant name="IBUS_KEY_nabla" type="int" value="2245"/>
		<constant name="IBUS_KEY_nacute" type="int" value="497"/>
		<constant name="IBUS_KEY_ncaron" type="int" value="498"/>
		<constant name="IBUS_KEY_ncedilla" type="int" value="1009"/>
		<constant name="IBUS_KEY_ninesubscript" type="int" value="16785545"/>
		<constant name="IBUS_KEY_ninesuperior" type="int" value="16785529"/>
		<constant name="IBUS_KEY_nl" type="int" value="2536"/>
		<constant name="IBUS_KEY_nobreakspace" type="int" value="160"/>
		<constant name="IBUS_KEY_notapproxeq" type="int" value="16785991"/>
		<constant name="IBUS_KEY_notelementof" type="int" value="16785929"/>
		<constant name="IBUS_KEY_notequal" type="int" value="2237"/>
		<constant name="IBUS_KEY_notidentical" type="int" value="16786018"/>
		<constant name="IBUS_KEY_notsign" type="int" value="172"/>
		<constant name="IBUS_KEY_ntilde" type="int" value="241"/>
		<constant name="IBUS_KEY_numbersign" type="int" value="35"/>
		<constant name="IBUS_KEY_numerosign" type="int" value="1712"/>
		<constant name="IBUS_KEY_o" type="int" value="111"/>
		<constant name="IBUS_KEY_oacute" type="int" value="243"/>
		<constant name="IBUS_KEY_obarred" type="int" value="16777845"/>
		<constant name="IBUS_KEY_obelowdot" type="int" value="16785101"/>
		<constant name="IBUS_KEY_ocaron" type="int" value="16777682"/>
		<constant name="IBUS_KEY_ocircumflex" type="int" value="244"/>
		<constant name="IBUS_KEY_ocircumflexacute" type="int" value="16785105"/>
		<constant name="IBUS_KEY_ocircumflexbelowdot" type="int" value="16785113"/>
		<constant name="IBUS_KEY_ocircumflexgrave" type="int" value="16785107"/>
		<constant name="IBUS_KEY_ocircumflexhook" type="int" value="16785109"/>
		<constant name="IBUS_KEY_ocircumflextilde" type="int" value="16785111"/>
		<constant name="IBUS_KEY_odiaeresis" type="int" value="246"/>
		<constant name="IBUS_KEY_odoubleacute" type="int" value="501"/>
		<constant name="IBUS_KEY_oe" type="int" value="5053"/>
		<constant name="IBUS_KEY_ogonek" type="int" value="434"/>
		<constant name="IBUS_KEY_ograve" type="int" value="242"/>
		<constant name="IBUS_KEY_ohook" type="int" value="16785103"/>
		<constant name="IBUS_KEY_ohorn" type="int" value="16777633"/>
		<constant name="IBUS_KEY_ohornacute" type="int" value="16785115"/>
		<constant name="IBUS_KEY_ohornbelowdot" type="int" value="16785123"/>
		<constant name="IBUS_KEY_ohorngrave" type="int" value="16785117"/>
		<constant name="IBUS_KEY_ohornhook" type="int" value="16785119"/>
		<constant name="IBUS_KEY_ohorntilde" type="int" value="16785121"/>
		<constant name="IBUS_KEY_omacron" type="int" value="1010"/>
		<constant name="IBUS_KEY_oneeighth" type="int" value="2755"/>
		<constant name="IBUS_KEY_onefifth" type="int" value="2738"/>
		<constant name="IBUS_KEY_onehalf" type="int" value="189"/>
		<constant name="IBUS_KEY_onequarter" type="int" value="188"/>
		<constant name="IBUS_KEY_onesixth" type="int" value="2742"/>
		<constant name="IBUS_KEY_onesubscript" type="int" value="16785537"/>
		<constant name="IBUS_KEY_onesuperior" type="int" value="185"/>
		<constant name="IBUS_KEY_onethird" type="int" value="2736"/>
		<constant name="IBUS_KEY_ooblique" type="int" value="248"/>
		<constant name="IBUS_KEY_openrectbullet" type="int" value="2786"/>
		<constant name="IBUS_KEY_openstar" type="int" value="2789"/>
		<constant name="IBUS_KEY_opentribulletdown" type="int" value="2788"/>
		<constant name="IBUS_KEY_opentribulletup" type="int" value="2787"/>
		<constant name="IBUS_KEY_ordfeminine" type="int" value="170"/>
		<constant name="IBUS_KEY_oslash" type="int" value="248"/>
		<constant name="IBUS_KEY_otilde" type="int" value="245"/>
		<constant name="IBUS_KEY_overbar" type="int" value="3008"/>
		<constant name="IBUS_KEY_overline" type="int" value="1150"/>
		<constant name="IBUS_KEY_p" type="int" value="112"/>
		<constant name="IBUS_KEY_pabovedot" type="int" value="16784983"/>
		<constant name="IBUS_KEY_paragraph" type="int" value="182"/>
		<constant name="IBUS_KEY_parenleft" type="int" value="40"/>
		<constant name="IBUS_KEY_parenright" type="int" value="41"/>
		<constant name="IBUS_KEY_partdifferential" type="int" value="16785922"/>
		<constant name="IBUS_KEY_partialderivative" type="int" value="2287"/>
		<constant name="IBUS_KEY_percent" type="int" value="37"/>
		<constant name="IBUS_KEY_period" type="int" value="46"/>
		<constant name="IBUS_KEY_periodcentered" type="int" value="183"/>
		<constant name="IBUS_KEY_phonographcopyright" type="int" value="2811"/>
		<constant name="IBUS_KEY_plus" type="int" value="43"/>
		<constant name="IBUS_KEY_plusminus" type="int" value="177"/>
		<constant name="IBUS_KEY_prescription" type="int" value="2772"/>
		<constant name="IBUS_KEY_prolongedsound" type="int" value="1200"/>
		<constant name="IBUS_KEY_punctspace" type="int" value="2726"/>
		<constant name="IBUS_KEY_q" type="int" value="113"/>
		<constant name="IBUS_KEY_quad" type="int" value="3020"/>
		<constant name="IBUS_KEY_question" type="int" value="63"/>
		<constant name="IBUS_KEY_questiondown" type="int" value="191"/>
		<constant name="IBUS_KEY_quotedbl" type="int" value="34"/>
		<constant name="IBUS_KEY_quoteleft" type="int" value="96"/>
		<constant name="IBUS_KEY_quoteright" type="int" value="39"/>
		<constant name="IBUS_KEY_r" type="int" value="114"/>
		<constant name="IBUS_KEY_racute" type="int" value="480"/>
		<constant name="IBUS_KEY_radical" type="int" value="2262"/>
		<constant name="IBUS_KEY_rcaron" type="int" value="504"/>
		<constant name="IBUS_KEY_rcedilla" type="int" value="947"/>
		<constant name="IBUS_KEY_registered" type="int" value="174"/>
		<constant name="IBUS_KEY_rightanglebracket" type="int" value="2750"/>
		<constant name="IBUS_KEY_rightarrow" type="int" value="2301"/>
		<constant name="IBUS_KEY_rightcaret" type="int" value="2982"/>
		<constant name="IBUS_KEY_rightdoublequotemark" type="int" value="2771"/>
		<constant name="IBUS_KEY_rightmiddlecurlybrace" type="int" value="2224"/>
		<constant name="IBUS_KEY_rightmiddlesummation" type="int" value="2231"/>
		<constant name="IBUS_KEY_rightopentriangle" type="int" value="2765"/>
		<constant name="IBUS_KEY_rightpointer" type="int" value="2795"/>
		<constant name="IBUS_KEY_rightshoe" type="int" value="3032"/>
		<constant name="IBUS_KEY_rightsinglequotemark" type="int" value="2769"/>
		<constant name="IBUS_KEY_rightt" type="int" value="2549"/>
		<constant name="IBUS_KEY_righttack" type="int" value="3068"/>
		<constant name="IBUS_KEY_s" type="int" value="115"/>
		<constant name="IBUS_KEY_sabovedot" type="int" value="16784993"/>
		<constant name="IBUS_KEY_sacute" type="int" value="438"/>
		<constant name="IBUS_KEY_scaron" type="int" value="441"/>
		<constant name="IBUS_KEY_scedilla" type="int" value="442"/>
		<constant name="IBUS_KEY_schwa" type="int" value="16777817"/>
		<constant name="IBUS_KEY_scircumflex" type="int" value="766"/>
		<constant name="IBUS_KEY_script_switch" type="int" value="65406"/>
		<constant name="IBUS_KEY_seconds" type="int" value="2775"/>
		<constant name="IBUS_KEY_section" type="int" value="167"/>
		<constant name="IBUS_KEY_semicolon" type="int" value="59"/>
		<constant name="IBUS_KEY_semivoicedsound" type="int" value="1247"/>
		<constant name="IBUS_KEY_seveneighths" type="int" value="2758"/>
		<constant name="IBUS_KEY_sevensubscript" type="int" value="16785543"/>
		<constant name="IBUS_KEY_sevensuperior" type="int" value="16785527"/>
		<constant name="IBUS_KEY_signaturemark" type="int" value="2762"/>
		<constant name="IBUS_KEY_signifblank" type="int" value="2732"/>
		<constant name="IBUS_KEY_similarequal" type="int" value="2249"/>
		<constant name="IBUS_KEY_singlelowquotemark" type="int" value="2813"/>
		<constant name="IBUS_KEY_sixsubscript" type="int" value="16785542"/>
		<constant name="IBUS_KEY_sixsuperior" type="int" value="16785526"/>
		<constant name="IBUS_KEY_slash" type="int" value="47"/>
		<constant name="IBUS_KEY_soliddiamond" type="int" value="2528"/>
		<constant name="IBUS_KEY_space" type="int" value="32"/>
		<constant name="IBUS_KEY_squareroot" type="int" value="16785946"/>
		<constant name="IBUS_KEY_ssharp" type="int" value="223"/>
		<constant name="IBUS_KEY_sterling" type="int" value="163"/>
		<constant name="IBUS_KEY_stricteq" type="int" value="16786019"/>
		<constant name="IBUS_KEY_t" type="int" value="116"/>
		<constant name="IBUS_KEY_tabovedot" type="int" value="16785003"/>
		<constant name="IBUS_KEY_tcaron" type="int" value="443"/>
		<constant name="IBUS_KEY_tcedilla" type="int" value="510"/>
		<constant name="IBUS_KEY_telephone" type="int" value="2809"/>
		<constant name="IBUS_KEY_telephonerecorder" type="int" value="2810"/>
		<constant name="IBUS_KEY_therefore" type="int" value="2240"/>
		<constant name="IBUS_KEY_thinspace" type="int" value="2727"/>
		<constant name="IBUS_KEY_thorn" type="int" value="254"/>
		<constant name="IBUS_KEY_threeeighths" type="int" value="2756"/>
		<constant name="IBUS_KEY_threefifths" type="int" value="2740"/>
		<constant name="IBUS_KEY_threequarters" type="int" value="190"/>
		<constant name="IBUS_KEY_threesubscript" type="int" value="16785539"/>
		<constant name="IBUS_KEY_threesuperior" type="int" value="179"/>
		<constant name="IBUS_KEY_tintegral" type="int" value="16785965"/>
		<constant name="IBUS_KEY_topintegral" type="int" value="2212"/>
		<constant name="IBUS_KEY_topleftparens" type="int" value="2219"/>
		<constant name="IBUS_KEY_topleftradical" type="int" value="2210"/>
		<constant name="IBUS_KEY_topleftsqbracket" type="int" value="2215"/>
		<constant name="IBUS_KEY_topleftsummation" type="int" value="2225"/>
		<constant name="IBUS_KEY_toprightparens" type="int" value="2221"/>
		<constant name="IBUS_KEY_toprightsqbracket" type="int" value="2217"/>
		<constant name="IBUS_KEY_toprightsummation" type="int" value="2229"/>
		<constant name="IBUS_KEY_topt" type="int" value="2551"/>
		<constant name="IBUS_KEY_topvertsummationconnector" type="int" value="2227"/>
		<constant name="IBUS_KEY_trademark" type="int" value="2761"/>
		<constant name="IBUS_KEY_trademarkincircle" type="int" value="2763"/>
		<constant name="IBUS_KEY_tslash" type="int" value="956"/>
		<constant name="IBUS_KEY_twofifths" type="int" value="2739"/>
		<constant name="IBUS_KEY_twosubscript" type="int" value="16785538"/>
		<constant name="IBUS_KEY_twosuperior" type="int" value="178"/>
		<constant name="IBUS_KEY_twothirds" type="int" value="2737"/>
		<constant name="IBUS_KEY_u" type="int" value="117"/>
		<constant name="IBUS_KEY_uacute" type="int" value="250"/>
		<constant name="IBUS_KEY_ubelowdot" type="int" value="16785125"/>
		<constant name="IBUS_KEY_ubreve" type="int" value="765"/>
		<constant name="IBUS_KEY_ucircumflex" type="int" value="251"/>
		<constant name="IBUS_KEY_udiaeresis" type="int" value="252"/>
		<constant name="IBUS_KEY_udoubleacute" type="int" value="507"/>
		<constant name="IBUS_KEY_ugrave" type="int" value="249"/>
		<constant name="IBUS_KEY_uhook" type="int" value="16785127"/>
		<constant name="IBUS_KEY_uhorn" type="int" value="16777648"/>
		<constant name="IBUS_KEY_uhornacute" type="int" value="16785129"/>
		<constant name="IBUS_KEY_uhornbelowdot" type="int" value="16785137"/>
		<constant name="IBUS_KEY_uhorngrave" type="int" value="16785131"/>
		<constant name="IBUS_KEY_uhornhook" type="int" value="16785133"/>
		<constant name="IBUS_KEY_uhorntilde" type="int" value="16785135"/>
		<constant name="IBUS_KEY_umacron" type="int" value="1022"/>
		<constant name="IBUS_KEY_underbar" type="int" value="3014"/>
		<constant name="IBUS_KEY_underscore" type="int" value="95"/>
		<constant name="IBUS_KEY_union" type="int" value="2269"/>
		<constant name="IBUS_KEY_uogonek" type="int" value="1017"/>
		<constant name="IBUS_KEY_uparrow" type="int" value="2300"/>
		<constant name="IBUS_KEY_upcaret" type="int" value="2985"/>
		<constant name="IBUS_KEY_upleftcorner" type="int" value="2540"/>
		<constant name="IBUS_KEY_uprightcorner" type="int" value="2539"/>
		<constant name="IBUS_KEY_upshoe" type="int" value="3011"/>
		<constant name="IBUS_KEY_upstile" type="int" value="3027"/>
		<constant name="IBUS_KEY_uptack" type="int" value="3022"/>
		<constant name="IBUS_KEY_uring" type="int" value="505"/>
		<constant name="IBUS_KEY_utilde" type="int" value="1021"/>
		<constant name="IBUS_KEY_v" type="int" value="118"/>
		<constant name="IBUS_KEY_variation" type="int" value="2241"/>
		<constant name="IBUS_KEY_vertbar" type="int" value="2552"/>
		<constant name="IBUS_KEY_vertconnector" type="int" value="2214"/>
		<constant name="IBUS_KEY_voicedsound" type="int" value="1246"/>
		<constant name="IBUS_KEY_vt" type="int" value="2537"/>
		<constant name="IBUS_KEY_w" type="int" value="119"/>
		<constant name="IBUS_KEY_wacute" type="int" value="16785027"/>
		<constant name="IBUS_KEY_wcircumflex" type="int" value="16777589"/>
		<constant name="IBUS_KEY_wdiaeresis" type="int" value="16785029"/>
		<constant name="IBUS_KEY_wgrave" type="int" value="16785025"/>
		<constant name="IBUS_KEY_x" type="int" value="120"/>
		<constant name="IBUS_KEY_xabovedot" type="int" value="16785035"/>
		<constant name="IBUS_KEY_y" type="int" value="121"/>
		<constant name="IBUS_KEY_yacute" type="int" value="253"/>
		<constant name="IBUS_KEY_ybelowdot" type="int" value="16785141"/>
		<constant name="IBUS_KEY_ycircumflex" type="int" value="16777591"/>
		<constant name="IBUS_KEY_ydiaeresis" type="int" value="255"/>
		<constant name="IBUS_KEY_yen" type="int" value="165"/>
		<constant name="IBUS_KEY_ygrave" type="int" value="16785139"/>
		<constant name="IBUS_KEY_yhook" type="int" value="16785143"/>
		<constant name="IBUS_KEY_ytilde" type="int" value="16785145"/>
		<constant name="IBUS_KEY_z" type="int" value="122"/>
		<constant name="IBUS_KEY_zabovedot" type="int" value="447"/>
		<constant name="IBUS_KEY_zacute" type="int" value="444"/>
		<constant name="IBUS_KEY_zcaron" type="int" value="446"/>
		<constant name="IBUS_KEY_zerosubscript" type="int" value="16785536"/>
		<constant name="IBUS_KEY_zerosuperior" type="int" value="16785520"/>
		<constant name="IBUS_KEY_zstroke" type="int" value="16777654"/>
		<constant name="IBUS_MAJOR_VERSION" type="int" value="1"/>
		<constant name="IBUS_MAX_COMPOSE_LEN" type="int" value="7"/>
		<constant name="IBUS_MICRO_VERSION" type="int" value="0"/>
		<constant name="IBUS_MINOR_VERSION" type="int" value="4"/>
		<constant name="IBUS_PATH_CONFIG" type="char*" value="/org/freedesktop/IBus/Config"/>
		<constant name="IBUS_PATH_FACTORY" type="char*" value="/org/freedesktop/IBus/Factory"/>
		<constant name="IBUS_PATH_IBUS" type="char*" value="/org/freedesktop/IBus"/>
		<constant name="IBUS_PATH_INPUT_CONTEXT" type="char*" value="/org/freedesktop/IBus/InputContext_%d"/>
		<constant name="IBUS_PATH_NOTIFICATIONS" type="char*" value="/org/freedesktop/IBus/Notifications"/>
		<constant name="IBUS_PATH_PANEL" type="char*" value="/org/freedesktop/IBus/Panel"/>
		<constant name="IBUS_SERVICE_CONFIG" type="char*" value="org.freedesktop.IBus.Config"/>
		<constant name="IBUS_SERVICE_IBUS" type="char*" value="org.freedesktop.IBus"/>
		<constant name="IBUS_SERVICE_NOTIFICATIONS" type="char*" value="org.freedesktop.IBus.Notifications"/>
		<constant name="IBUS_SERVICE_PANEL" type="char*" value="org.freedesktop.IBus.Panel"/>
	</namespace>
</api>
